
#  API Reference

## Index

### Enumerations

* [BinaryVoteResult](enums/BinaryVoteResult.md)
* [ExecutionState](enums/ExecutionState.md)
* [GlobalConstraintProposalType](enums/GlobalConstraintProposalType.md)
* [LogLevel](enums/LogLevel.md)
* [ProposalState](enums/ProposalState.md)
* [RewardType](enums/RewardType.md)
* [SchemePermissions](enums/SchemePermissions.md)
* [SchemeRegistrarProposalType](enums/SchemeRegistrarProposalType.md)
* [TransactionStage](enums/TransactionStage.md)
* [UpgradeSchemeProposalType](enums/UpgradeSchemeProposalType.md)

### Classes

* [AbsoluteVoteWrapper](classes/AbsoluteVoteWrapper.md)
* [AccountService](classes/AccountService.md)
* [ArcTransactionAgreementResult](classes/ArcTransactionAgreementResult.md)
* [ArcTransactionDataResult](classes/ArcTransactionDataResult.md)
* [ArcTransactionProposalResult](classes/ArcTransactionProposalResult.md)
* [ArcTransactionResult](classes/ArcTransactionResult.md)
* [Auction4ReputationType](classes/Auction4ReputationType.md)
* [Auction4ReputationWrapper](classes/Auction4ReputationWrapper.md)
* [AvatarService](classes/AvatarService.md)
* [ConfigService](classes/ConfigService.md)
* [ContractWrapperBase](classes/ContractWrapperBase.md)
* [ContractWrapperFactory](classes/ContractWrapperFactory.md)
* [ContributionRewardWrapper](classes/ContributionRewardWrapper.md)
* [ControllerService](classes/ControllerService.md)
* [DAO](classes/DAO.md)
* [DaoCreatorFactoryType](classes/DaoCreatorFactoryType.md)
* [DaoCreatorWrapper](classes/DaoCreatorWrapper.md)
* [DaoTokenFactoryType](classes/DaoTokenFactoryType.md)
* [DaoTokenWrapper](classes/DaoTokenWrapper.md)
* [DefaultSchemePermissions](classes/DefaultSchemePermissions.md)
* [EventSubscription](classes/EventSubscription.md)
* [ExternalLocking4ReputationType](classes/ExternalLocking4ReputationType.md)
* [ExternalLocking4ReputationWrapper](classes/ExternalLocking4ReputationWrapper.md)
* [FixedReputationAllocationType](classes/FixedReputationAllocationType.md)
* [FixedReputationAllocationWrapper](classes/FixedReputationAllocationWrapper.md)
* [GenesisDaoCreator](classes/GenesisDaoCreator.md)
* [GenesisProtocolFactoryType](classes/GenesisProtocolFactoryType.md)
* [GenesisProtocolWrapper](classes/GenesisProtocolWrapper.md)
* [GlobalConstraintRegistrarWrapper](classes/GlobalConstraintRegistrarWrapper.md)
* [IntVoteInterfaceFactoryType](classes/IntVoteInterfaceFactoryType.md)
* [IntVoteInterfaceWrapper](classes/IntVoteInterfaceWrapper.md)
* [Locking4ReputationWrapper](classes/Locking4ReputationWrapper.md)
* [LockingEth4ReputationType](classes/LockingEth4ReputationType.md)
* [LockingEth4ReputationWrapper](classes/LockingEth4ReputationWrapper.md)
* [LockingToken4ReputationType](classes/LockingToken4ReputationType.md)
* [LockingToken4ReputationWrapper](classes/LockingToken4ReputationWrapper.md)
* [LoggingService](classes/LoggingService.md)
* [MintableTokenFactoryType](classes/MintableTokenFactoryType.md)
* [MintableTokenWrapper](classes/MintableTokenWrapper.md)
* [PromiseEventService](classes/PromiseEventService.md)
* [ProposalGeneratorBase](classes/ProposalGeneratorBase.md)
* [ProposalService](classes/ProposalService.md)
* [PubSubEventService](classes/PubSubEventService.md)
* [RedeemerFactoryType](classes/RedeemerFactoryType.md)
* [RedeemerWrapper](classes/RedeemerWrapper.md)
* [ReputationFactoryType](classes/ReputationFactoryType.md)
* [ReputationWrapper](classes/ReputationWrapper.md)
* [SchemeRegistrarWrapper](classes/SchemeRegistrarWrapper.md)
* [SchemeWrapperBase](classes/SchemeWrapperBase.md)
* [StandardTokenFactoryType](classes/StandardTokenFactoryType.md)
* [StandardTokenWrapper](classes/StandardTokenWrapper.md)
* [SubscriptionCollection](classes/SubscriptionCollection.md)
* [TokenCapGCWrapper](classes/TokenCapGCWrapper.md)
* [TransactionService](classes/TransactionService.md)
* [USchemeWrapperBase](classes/USchemeWrapperBase.md)
* [UpgradeSchemeWrapper](classes/UpgradeSchemeWrapper.md)
* [Utils](classes/Utils.md)
* [UtilsInternal](classes/UtilsInternal.md)
* [VestingSchemeWrapper](classes/VestingSchemeWrapper.md)
* [VoteInOrganizationSchemeWrapper](classes/VoteInOrganizationSchemeWrapper.md)
* [Web3EventService](classes/Web3EventService.md)
* [Web3EventSubscription](classes/Web3EventSubscription.md)
* [WrapperService](classes/WrapperService.md)

### Interfaces

* [AVVoteProposalEventResult](interfaces/AVVoteProposalEventResult.md)
* [AbsoluteVoteParams](interfaces/AbsoluteVoteParams.md)
* [AbsoluteVoteParamsResult](interfaces/AbsoluteVoteParamsResult.md)
* [AddBeneficiariesOptions](interfaces/AddBeneficiariesOptions.md)
* [AddBeneficiaryOptions](interfaces/AddBeneficiaryOptions.md)
* [Agreement](interfaces/Agreement.md)
* [AgreementBase](interfaces/AgreementBase.md)
* [AgreementCancelEventResult](interfaces/AgreementCancelEventResult.md)
* [AgreementProposal](interfaces/AgreementProposal.md)
* [AgreementProposalEventResult](interfaces/AgreementProposalEventResult.md)
* [AllowanceOptions](interfaces/AllowanceOptions.md)
* [ApprovalEventResult](interfaces/ApprovalEventResult.md)
* [ApproveAndCallOptions](interfaces/ApproveAndCallOptions.md)
* [ArcNonUniversalSchemeWrapperFactories](interfaces/ArcNonUniversalSchemeWrapperFactories.md)
* [ArcSchemeWrapperFactories](interfaces/ArcSchemeWrapperFactories.md)
* [ArcUniversalSchemeWrapperFactories](interfaces/ArcUniversalSchemeWrapperFactories.md)
* [ArcWrapperFactories](interfaces/ArcWrapperFactories.md)
* [ArcWrappers](interfaces/ArcWrappers.md)
* [ArcWrappersByType](interfaces/ArcWrappersByType.md)
* [Auction4ReputationBidEventResult](interfaces/Auction4ReputationBidEventResult.md)
* [Auction4ReputationBidOptions](interfaces/Auction4ReputationBidOptions.md)
* [Auction4ReputationInitializeOptions](interfaces/Auction4ReputationInitializeOptions.md)
* [Auction4ReputationRedeemEventResult](interfaces/Auction4ReputationRedeemEventResult.md)
* [Auction4ReputationRedeemOptions](interfaces/Auction4ReputationRedeemOptions.md)
* [Auction4ReputationReleaseEventResult](interfaces/Auction4ReputationReleaseEventResult.md)
* [BeneficiaryAddressAddedEventResult](interfaces/BeneficiaryAddressAddedEventResult.md)
* [BurnEventResult](interfaces/BurnEventResult.md)
* [BurnableTokenBurnOptions](interfaces/BurnableTokenBurnOptions.md)
* [CancelProposalEventResult](interfaces/CancelProposalEventResult.md)
* [CancelVotingEventResult](interfaces/CancelVotingEventResult.md)
* [ChangeApprovalAndCallOptions](interfaces/ChangeApprovalAndCallOptions.md)
* [ChangeUpgradeSchemeProposalEventResult](interfaces/ChangeUpgradeSchemeProposalEventResult.md)
* [CollectEventResult](interfaces/CollectEventResult.md)
* [CollectVestingAgreementConfig](interfaces/CollectVestingAgreementConfig.md)
* [CommonVestingAgreementConfig](interfaces/CommonVestingAgreementConfig.md)
* [ContributionProposal](interfaces/ContributionProposal.md)
* [ContributionRewardParams](interfaces/ContributionRewardParams.md)
* [ContributionRewardParamsReturn](interfaces/ContributionRewardParamsReturn.md)
* [ContributionRewardRedeemParams](interfaces/ContributionRewardRedeemParams.md)
* [ContributionRewardSpecifiedRedemptionParams](interfaces/ContributionRewardSpecifiedRedemptionParams.md)
* [ControllerAddGlobalConstraintsEventLogEntry](interfaces/ControllerAddGlobalConstraintsEventLogEntry.md)
* [ControllerRegisterSchemeEventLogEntry](interfaces/ControllerRegisterSchemeEventLogEntry.md)
* [CreateVestingAgreementConfig](interfaces/CreateVestingAgreementConfig.md)
* [DaoGlobalConstraintInfo](interfaces/DaoGlobalConstraintInfo.md)
* [DaoSchemeInfo](interfaces/DaoSchemeInfo.md)
* [DaoTokenBurnOptions](interfaces/DaoTokenBurnOptions.md)
* [DaoTokenMintOptions](interfaces/DaoTokenMintOptions.md)
* [EntityFetcher](interfaces/EntityFetcher.md)
* [EventFetcher](interfaces/EventFetcher.md)
* [EventFetcherFilterObject](interfaces/EventFetcherFilterObject.md)
* [EventHasPropertyId](interfaces/EventHasPropertyId.md)
* [EventPreProcessorReturn](interfaces/EventPreProcessorReturn.md)
* [ExecuteProposalEventResult](interfaces/ExecuteProposalEventResult.md)
* [ExecutedGenesisProposal](interfaces/ExecutedGenesisProposal.md)
* [ExecutedProposal](interfaces/ExecutedProposal.md)
* [ExternalLockingClaimOptions](interfaces/ExternalLockingClaimOptions.md)
* [ExternalLockingInitializeOptions](interfaces/ExternalLockingInitializeOptions.md)
* [FixedReputationAllocationInitializeOptions](interfaces/FixedReputationAllocationInitializeOptions.md)
* [FixedReputationAllocationRedeemEventResult](interfaces/FixedReputationAllocationRedeemEventResult.md)
* [FixedReputationAllocationRedeemOptions](interfaces/FixedReputationAllocationRedeemOptions.md)
* [ForgeOrgConfig](interfaces/ForgeOrgConfig.md)
* [FounderConfig](interfaces/FounderConfig.md)
* [GPExecuteProposalEventResult](interfaces/GPExecuteProposalEventResult.md)
* [GenesisProtocolDaoTokenBalances](interfaces/GenesisProtocolDaoTokenBalances.md)
* [GenesisProtocolParams](interfaces/GenesisProtocolParams.md)
* [GenesisProtocolProposal](interfaces/GenesisProtocolProposal.md)
* [GetAgreementParams](interfaces/GetAgreementParams.md)
* [GetAllowedRangeOfChoicesResult](interfaces/GetAllowedRangeOfChoicesResult.md)
* [GetBeneficiaryRewardsParams](interfaces/GetBeneficiaryRewardsParams.md)
* [GetDaosOptions](interfaces/GetDaosOptions.md)
* [GetGenesisProtocolParamsResult](interfaces/GetGenesisProtocolParamsResult.md)
* [GetLockersOptions](interfaces/GetLockersOptions.md)
* [GetNumberOfChoicesConfig](interfaces/GetNumberOfChoicesConfig.md)
* [GetParticipantsOptions](interfaces/GetParticipantsOptions.md)
* [GetProposalEventsOptions](interfaces/GetProposalEventsOptions.md)
* [GetProposalStatusConfig](interfaces/GetProposalStatusConfig.md)
* [GetProposalStatusResult](interfaces/GetProposalStatusResult.md)
* [GetScoreConfig](interfaces/GetScoreConfig.md)
* [GetScoreThresholdParamsResult](interfaces/GetScoreThresholdParamsResult.md)
* [GetStakerInfoConfig](interfaces/GetStakerInfoConfig.md)
* [GetStakerInfoResult](interfaces/GetStakerInfoResult.md)
* [GetStateConfig](interfaces/GetStateConfig.md)
* [GetTokenBalancesOptions](interfaces/GetTokenBalancesOptions.md)
* [GetTokenCapGcParamsResult](interfaces/GetTokenCapGcParamsResult.md)
* [GetTotalReputationSupplyConfig](interfaces/GetTotalReputationSupplyConfig.md)
* [GetVoteStatusConfig](interfaces/GetVoteStatusConfig.md)
* [GetVoterInfoConfig](interfaces/GetVoterInfoConfig.md)
* [GetVoterInfoResult](interfaces/GetVoterInfoResult.md)
* [GetWinningVoteConfig](interfaces/GetWinningVoteConfig.md)
* [GpRedeemEventResult](interfaces/GpRedeemEventResult.md)
* [GpStakeEventResult](interfaces/GpStakeEventResult.md)
* [IBurnableTokenWrapper](interfaces/IBurnableTokenWrapper.md)
* [IConfigService](interfaces/IConfigService.md)
* [IContractWrapper](interfaces/IContractWrapper.md)
* [IContractWrapperFactory](interfaces/IContractWrapperFactory.md)
* [IErc827TokenWrapper](interfaces/IErc827TokenWrapper.md)
* [IEventSubscription](interfaces/IEventSubscription.md)
* [IIntVoteInterface](interfaces/IIntVoteInterface.md)
* [ILogger](interfaces/ILogger.md)
* [ISchemeWrapper](interfaces/ISchemeWrapper.md)
* [ITruffleContractFunction](interfaces/ITruffleContractFunction.md)
* [IUniversalSchemeWrapper](interfaces/IUniversalSchemeWrapper.md)
* [IVotingMachineWrapper](interfaces/IVotingMachineWrapper.md)
* [InitialSchemesSetEventResult](interfaces/InitialSchemesSetEventResult.md)
* [InitializeArcOptions](interfaces/InitializeArcOptions.md)
* [InitializeOptions](interfaces/InitializeOptions.md)
* [LockInfo](interfaces/LockInfo.md)
* [LockTokenInitializeOptions](interfaces/LockTokenInitializeOptions.md)
* [LockerInfo](interfaces/LockerInfo.md)
* [Locking4ReputationLockEventResult](interfaces/Locking4ReputationLockEventResult.md)
* [Locking4ReputationRedeemEventResult](interfaces/Locking4ReputationRedeemEventResult.md)
* [Locking4ReputationReleaseEventResult](interfaces/Locking4ReputationReleaseEventResult.md)
* [LockingOptions](interfaces/LockingOptions.md)
* [LockingToken4ReputationLockEventResult](interfaces/LockingToken4ReputationLockEventResult.md)
* [MintEventResult](interfaces/MintEventResult.md)
* [MintFinishedEventResult](interfaces/MintFinishedEventResult.md)
* [MintableTokenMintOptions](interfaces/MintableTokenMintOptions.md)
* [NewContributionProposalEventResult](interfaces/NewContributionProposalEventResult.md)
* [NewDaoConfig](interfaces/NewDaoConfig.md)
* [NewDaoVotingMachineConfig](interfaces/NewDaoVotingMachineConfig.md)
* [NewGlobalConstraintsProposalEventResult](interfaces/NewGlobalConstraintsProposalEventResult.md)
* [NewOrgEventResult](interfaces/NewOrgEventResult.md)
* [NewProposalEventResult](interfaces/NewProposalEventResult.md)
* [NewSchemeProposalEventResult](interfaces/NewSchemeProposalEventResult.md)
* [NewUpgradeProposalEventResult](interfaces/NewUpgradeProposalEventResult.md)
* [NewVestedAgreementEventResult](interfaces/NewVestedAgreementEventResult.md)
* [NewVoteProposalEventResult](interfaces/NewVoteProposalEventResult.md)
* [OwnerVoteOptions](interfaces/OwnerVoteOptions.md)
* [Participant](interfaces/Participant.md)
* [ProposalDeletedEventResult](interfaces/ProposalDeletedEventResult.md)
* [ProposalEntity](interfaces/ProposalEntity.md)
* [ProposalExecutedEventResult](interfaces/ProposalExecutedEventResult.md)
* [ProposalIdOption](interfaces/ProposalIdOption.md)
* [ProposalRewards](interfaces/ProposalRewards.md)
* [ProposeContributionRewardParams](interfaces/ProposeContributionRewardParams.md)
* [ProposeControllerParams](interfaces/ProposeControllerParams.md)
* [ProposeOptions](interfaces/ProposeOptions.md)
* [ProposeToAddModifyGlobalConstraintParams](interfaces/ProposeToAddModifyGlobalConstraintParams.md)
* [ProposeToAddModifySchemeParams](interfaces/ProposeToAddModifySchemeParams.md)
* [ProposeToRemoveGlobalConstraintParams](interfaces/ProposeToRemoveGlobalConstraintParams.md)
* [ProposeToRemoveSchemeParams](interfaces/ProposeToRemoveSchemeParams.md)
* [ProposeUpgradingSchemeParams](interfaces/ProposeUpgradingSchemeParams.md)
* [ProposeVestingAgreementConfig](interfaces/ProposeVestingAgreementConfig.md)
* [ProposedVestedAgreementEventResult](interfaces/ProposedVestedAgreementEventResult.md)
* [RedeeemableResult](interfaces/RedeeemableResult.md)
* [RedeemConfig](interfaces/RedeemConfig.md)
* [RedeemEventResult](interfaces/RedeemEventResult.md)
* [RedeemOptions](interfaces/RedeemOptions.md)
* [RedeemerOptions](interfaces/RedeemerOptions.md)
* [RefreshReputationEventResult](interfaces/RefreshReputationEventResult.md)
* [ReleaseOptions](interfaces/ReleaseOptions.md)
* [RemoveGlobalConstraintsProposalEventResult](interfaces/RemoveGlobalConstraintsProposalEventResult.md)
* [RemoveSchemeProposalEventResult](interfaces/RemoveSchemeProposalEventResult.md)
* [ReputationBurnEventResult](interfaces/ReputationBurnEventResult.md)
* [ReputationBurnOptions](interfaces/ReputationBurnOptions.md)
* [ReputationMintEventResult](interfaces/ReputationMintEventResult.md)
* [ReputationMintOptions](interfaces/ReputationMintOptions.md)
* [RevokeSignToCancelAgreementEventResult](interfaces/RevokeSignToCancelAgreementEventResult.md)
* [RevokeSignToCancelVestingAgreementConfig](interfaces/RevokeSignToCancelVestingAgreementConfig.md)
* [SchemeConfig](interfaces/SchemeConfig.md)
* [SchemeProposalExecuted](interfaces/SchemeProposalExecuted.md)
* [SchemeProposalExecutedEventResult](interfaces/SchemeProposalExecutedEventResult.md)
* [SchemeRegistrarParams](interfaces/SchemeRegistrarParams.md)
* [SchemesConfig](interfaces/SchemesConfig.md)
* [SetSchemesConfig](interfaces/SetSchemesConfig.md)
* [ShouldBoostConfig](interfaces/ShouldBoostConfig.md)
* [SignToCancelAgreementEventResult](interfaces/SignToCancelAgreementEventResult.md)
* [SignToCancelVestingAgreementConfig](interfaces/SignToCancelVestingAgreementConfig.md)
* [StakeConfig](interfaces/StakeConfig.md)
* [StandardSchemeParams](interfaces/StandardSchemeParams.md)
* [StandardTokenAllowanceOptions](interfaces/StandardTokenAllowanceOptions.md)
* [StandardTokenApproveOptions](interfaces/StandardTokenApproveOptions.md)
* [StandardTokenChangeApprovalOptions](interfaces/StandardTokenChangeApprovalOptions.md)
* [StandardTokenTransferFromOptions](interfaces/StandardTokenTransferFromOptions.md)
* [StandardTokenTransferOptions](interfaces/StandardTokenTransferOptions.md)
* [ThresholdSchemeInfo](interfaces/ThresholdSchemeInfo.md)
* [TokenCapGcParams](interfaces/TokenCapGcParams.md)
* [TokenLockingOptions](interfaces/TokenLockingOptions.md)
* [TransactionReceiptTruffle](interfaces/TransactionReceiptTruffle.md)
* [TransactionReceiptsEventInfo](interfaces/TransactionReceiptsEventInfo.md)
* [TransferAndCallOptions](interfaces/TransferAndCallOptions.md)
* [TransferEventResult](interfaces/TransferEventResult.md)
* [TransferFromAndCallOptions](interfaces/TransferFromAndCallOptions.md)
* [TruffleContract](interfaces/TruffleContract.md)
* [VestingSchemeSchemeProposalExecuted](interfaces/VestingSchemeSchemeProposalExecuted.md)
* [VotableGlobalConstraintProposal](interfaces/VotableGlobalConstraintProposal.md)
* [VotableProposal](interfaces/VotableProposal.md)
* [VotableSchemeRegistrarProposal](interfaces/VotableSchemeRegistrarProposal.md)
* [VotableUpgradeSchemeProposal](interfaces/VotableUpgradeSchemeProposal.md)
* [VotableVoteInOrganizationProposal](interfaces/VotableVoteInOrganizationProposal.md)
* [VoteInOrganizationProposeVoteConfig](interfaces/VoteInOrganizationProposeVoteConfig.md)
* [VoteOnBehalfEventResult](interfaces/VoteOnBehalfEventResult.md)
* [VoteOptions](interfaces/VoteOptions.md)
* [VoteProposalEventResult](interfaces/VoteProposalEventResult.md)
* [VoteStatusOptions](interfaces/VoteStatusOptions.md)
* [VoteWithSpecifiedAmountsOptions](interfaces/VoteWithSpecifiedAmountsOptions.md)
* [Web3EventFetcher](interfaces/Web3EventFetcher.md)
* [WrapperFilter](interfaces/WrapperFilter.md)
* [WrapperServiceInitializeOptions](interfaces/WrapperServiceInitializeOptions.md)

### Type aliases

* [Address](#Address)
* [EntityFetcherFactory](#EntityFetcherFactory)
* [EntityGetCallback](#EntityGetCallback)
* [EntityWatchCallback](#EntityWatchCallback)
* [EntityWatchSubscriptionCallback](#EntityWatchSubscriptionCallback)
* [EventFetcherFactory](#EventFetcherFactory)
* [EventGetCallback](#EventGetCallback)
* [EventSubscriptionCallback](#EventSubscriptionCallback)
* [EventSubscriptionKey](#EventSubscriptionKey)
* [EventWatchCallback](#EventWatchCallback)
* [EventWatchSubscriptionCallback](#EventWatchSubscriptionCallback)
* [GasPriceAdjustor](#GasPriceAdjustor)
* [Hash](#Hash)
* [PerDaoCallback](#PerDaoCallback)
* [PreProcessEventCallback](#PreProcessEventCallback)
* [TransformEventCallback](#TransformEventCallback)
* [TruffleContractFunction](#TruffleContractFunction)
* [fnVoid](#fnVoid)

### Variables

* [AbsoluteVoteFactory](#AbsoluteVoteFactory)
* [Auction4ReputationFactory](#Auction4ReputationFactory)
* [ContractWrapperFactories](#ContractWrapperFactories)
* [ContractWrappers](#ContractWrappers)
* [ContractWrappersByAddress](#ContractWrappersByAddress)
* [ContractWrappersByType](#ContractWrappersByType)
* [ContributionRewardFactory](#ContributionRewardFactory)
* [DaoCreatorFactory](#DaoCreatorFactory)
* [DaoTokenFactory](#DaoTokenFactory)
* [ExternalLocking4ReputationFactory](#ExternalLocking4ReputationFactory)
* [FixedReputationAllocationFactory](#FixedReputationAllocationFactory)
* [GenesisProtocolFactory](#GenesisProtocolFactory)
* [GlobalConstraintRegistrarFactory](#GlobalConstraintRegistrarFactory)
* [IntVoteInterfaceFactory](#IntVoteInterfaceFactory)
* [LockingEth4ReputationFactory](#LockingEth4ReputationFactory)
* [LockingToken4ReputationFactory](#LockingToken4ReputationFactory)
* [MintableTokenFactory](#MintableTokenFactory)
* [NonUniversalSchemeFactories](#NonUniversalSchemeFactories)
* [RedeemerFactory](#RedeemerFactory)
* [ReputationFactory](#ReputationFactory)
* [SchemeFactories](#SchemeFactories)
* [SchemeRegistrarFactory](#SchemeRegistrarFactory)
* [StandardTokenFactory](#StandardTokenFactory)
* [TokenCapGCFactory](#TokenCapGCFactory)
* [UniversalSchemeFactories](#UniversalSchemeFactories)
* [UpgradeSchemeFactory](#UpgradeSchemeFactory)
* [VestingSchemeFactory](#VestingSchemeFactory)
* [VoteInOrganizationSchemeFactory](#VoteInOrganizationSchemeFactory)

### Functions

* [GetDefaultGenesisProtocolParameters](#GetDefaultGenesisProtocolParameters)
* [InitializeArcJs](#InitializeArcJs)

---

## Type aliases

<a id="Address"></a>

###  Address

**Ƭ Address**: *`string`*

*Defined in [commonTypes.ts:5](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L5)*

___
<a id="EntityFetcherFactory"></a>

###  EntityFetcherFactory

**Ƭ EntityFetcherFactory**: *`function`*

*Defined in [web3EventService.ts:393](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L393)*

Function that returns an `EntityFetcher<TEntity>`.
*__type__*: TEntity The type returns to the callback.

#### Type declaration
▸(argsFilter?: *`any`*, filterObject?: *[EventFetcherFilterObject](interfaces/EventFetcherFilterObject.md)*, callback?: *[EntityWatchCallback](#EntityWatchCallback)<`TDest`>*, requiredDepth?: *`number`*): [EntityFetcher](interfaces/EntityFetcher.md)<`TDest`, `TSrc`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Optional` argsFilter | `any` |
| `Optional` filterObject | [EventFetcherFilterObject](interfaces/EventFetcherFilterObject.md) |
| `Optional` callback | [EntityWatchCallback](#EntityWatchCallback)<`TDest`> |
| `Optional` requiredDepth | `number` |

**Returns:** [EntityFetcher](interfaces/EntityFetcher.md)<`TDest`, `TSrc`>

___
<a id="EntityGetCallback"></a>

###  EntityGetCallback

**Ƭ EntityGetCallback**: *`function`*

*Defined in [web3EventService.ts:421](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L421)*

#### Type declaration
▸(error: *`Error`*, entity: *`Promise`<`Array`<`TEntity`>>*): `void`

**Parameters:**

| Param | Type |
| ------ | ------ |
| error | `Error` |
| entity | `Promise`<`Array`<`TEntity`>> |

**Returns:** `void`

___
<a id="EntityWatchCallback"></a>

###  EntityWatchCallback

**Ƭ EntityWatchCallback**: *`function`*

*Defined in [web3EventService.ts:420](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L420)*

#### Type declaration
▸(error: *`Error`*, entity: *`TEntity`*): `void`

**Parameters:**

| Param | Type |
| ------ | ------ |
| error | `Error` |
| entity | `TEntity` |

**Returns:** `void`

___
<a id="EntityWatchSubscriptionCallback"></a>

###  EntityWatchSubscriptionCallback

**Ƭ EntityWatchSubscriptionCallback**: *`function`*

*Defined in [web3EventService.ts:422](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L422)*

#### Type declaration
▸(eventName: *`string`*, payload: *`TEntity`*): `void`

**Parameters:**

| Param | Type |
| ------ | ------ |
| eventName | `string` |
| payload | `TEntity` |

**Returns:** `void`

___
<a id="EventFetcherFactory"></a>

###  EventFetcherFactory

**Ƭ EventFetcherFactory**: *`function`*

*Defined in [web3EventService.ts:473](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L473)*

Function that returns an `EventFetcher<TEventArgs>`.
*__type__*: TEventArgs The type of the `args` object.

#### Type declaration
▸(argsFilter?: *`any`*, filterObject?: *[EventFetcherFilterObject](interfaces/EventFetcherFilterObject.md)*, callback?: *[EventWatchCallback](#EventWatchCallback)<`TEventArgs`>*, requiredDepth?: *`number`*): [EventFetcher](interfaces/EventFetcher.md)<`TEventArgs`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Optional` argsFilter | `any` |
| `Optional` filterObject | [EventFetcherFilterObject](interfaces/EventFetcherFilterObject.md) |
| `Optional` callback | [EventWatchCallback](#EventWatchCallback)<`TEventArgs`> |
| `Optional` requiredDepth | `number` |

**Returns:** [EventFetcher](interfaces/EventFetcher.md)<`TEventArgs`>

___
<a id="EventGetCallback"></a>

###  EventGetCallback

**Ƭ EventGetCallback**: *`function`*

*Defined in [web3EventService.ts:499](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L499)*

#### Type declaration
▸(error: *`Error`*, args: *`Array`<`DecodedLogEntryEvent`<`TEventArgs`>>*): `void`

**Parameters:**

| Param | Type |
| ------ | ------ |
| error | `Error` |
| args | `Array`<`DecodedLogEntryEvent`<`TEventArgs`>> |

**Returns:** `void`

___
<a id="EventSubscriptionCallback"></a>

###  EventSubscriptionCallback

**Ƭ EventSubscriptionCallback**: *`function`*

*Defined in [pubSubEventService.ts:196](https://github.com/daostack/arc.js/blob/6f704389/lib/pubSubEventService.ts#L196)*

#### Type declaration
▸(topic: *`string`*, payload: *`any`*): `any`

**Parameters:**

| Param | Type |
| ------ | ------ |
| topic | `string` |
| payload | `any` |

**Returns:** `any`

___
<a id="EventSubscriptionKey"></a>

###  EventSubscriptionKey

**Ƭ EventSubscriptionKey**: * `string` &#124; [EventSubscriptionCallback](#EventSubscriptionCallback)
*

*Defined in [pubSubEventService.ts:197](https://github.com/daostack/arc.js/blob/6f704389/lib/pubSubEventService.ts#L197)*

___
<a id="EventWatchCallback"></a>

###  EventWatchCallback

**Ƭ EventWatchCallback**: *`function`*

*Defined in [web3EventService.ts:497](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L497)*

#### Type declaration
▸(error: *`Error`*, args: *`DecodedLogEntryEvent`<`TEventArgs`>*): `void`

**Parameters:**

| Param | Type |
| ------ | ------ |
| error | `Error` |
| args | `DecodedLogEntryEvent`<`TEventArgs`> |

**Returns:** `void`

___
<a id="EventWatchSubscriptionCallback"></a>

###  EventWatchSubscriptionCallback

**Ƭ EventWatchSubscriptionCallback**: *`function`*

*Defined in [web3EventService.ts:501](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L501)*

#### Type declaration
▸(eventName: *`string`*, payload: *`DecodedLogEntryEvent`<`TEventArgs`>*): `void`

**Parameters:**

| Param | Type |
| ------ | ------ |
| eventName | `string` |
| payload | `DecodedLogEntryEvent`<`TEventArgs`> |

**Returns:** `void`

___
<a id="GasPriceAdjustor"></a>

###  GasPriceAdjustor

**Ƭ GasPriceAdjustor**: *`function`*

*Defined in [iContractWrapperBase.ts:213](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L213)*

The value of the global config setting `gasPriceAdjustor` This function will be invoked to obtain promise of a desired gas price given the current default gas price which will be determined by the x latest blocks median gas price.

#### Type declaration
▸(defaultGasPrice: *`BigNumber`*): `Promise`< `BigNumber` &#124; `string`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| defaultGasPrice | `BigNumber` |

**Returns:** `Promise`< `BigNumber` &#124; `string`>

___
<a id="Hash"></a>

###  Hash

**Ƭ Hash**: *`string`*

*Defined in [commonTypes.ts:4](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L4)*

___
<a id="PerDaoCallback"></a>

###  PerDaoCallback

**Ƭ PerDaoCallback**: *`function`*

*Defined in dao.ts:432*

#### Type declaration
▸(avatarAddress: *[Address](#Address)*):  `void` &#124; `Promise`<`boolean`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](#Address) |

**Returns:**  `void` &#124; `Promise`<`boolean`>

___
<a id="PreProcessEventCallback"></a>

###  PreProcessEventCallback

**Ƭ PreProcessEventCallback**: *`function`*

*Defined in [web3EventService.ts:383](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L383)*

#### Type declaration
▸(error: *`Error`*, log: *`Array`<`DecodedLogEntryEvent`<`TEventArgs`>>*): [EventPreProcessorReturn](interfaces/EventPreProcessorReturn.md)<`TEventArgs`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| error | `Error` |
| log | `Array`<`DecodedLogEntryEvent`<`TEventArgs`>> |

**Returns:** [EventPreProcessorReturn](interfaces/EventPreProcessorReturn.md)<`TEventArgs`>

___
<a id="TransformEventCallback"></a>

###  TransformEventCallback

**Ƭ TransformEventCallback**: *`function`*

*Defined in [web3EventService.ts:386](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L386)*

#### Type declaration
▸(event: *`DecodedLogEntryEvent`<`TSrc`>*): `Promise`< `TDest` &#124; `undefined`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| event | `DecodedLogEntryEvent`<`TSrc`> |

**Returns:** `Promise`< `TDest` &#124; `undefined`>

___
<a id="TruffleContractFunction"></a>

###  TruffleContractFunction

**Ƭ TruffleContractFunction**: *`function`*

*Defined in [contractWrapperBase.ts:334](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L334)*

#### Type declaration
▸(args?: *`Array`<`any`>*): `Promise`<[Hash](#Hash)>

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Optional` args | `Array`<`any`> |

**Returns:** `Promise`<[Hash](#Hash)>

___
<a id="fnVoid"></a>

###  fnVoid

**Ƭ fnVoid**: *`function`*

*Defined in [commonTypes.ts:3](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L3)*

#### Type declaration
▸(): `void`

**Returns:** `void`

___

## Variables

<a id="AbsoluteVoteFactory"></a>

### `<Const>` AbsoluteVoteFactory

**● AbsoluteVoteFactory**: *[ContractWrapperFactory](classes/ContractWrapperFactory.md)<[AbsoluteVoteWrapper](classes/AbsoluteVoteWrapper.md)>* = 
  new ContractWrapperFactory("AbsoluteVote", AbsoluteVoteWrapper, new Web3EventService())

*Defined in [wrappers/absoluteVote.ts:161](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L161)*

___
<a id="Auction4ReputationFactory"></a>

### `<Const>` Auction4ReputationFactory

**● Auction4ReputationFactory**: *[Auction4ReputationType](classes/Auction4ReputationType.md)* = 
  new Auction4ReputationType(
    "Auction4Reputation",
    Auction4ReputationWrapper,
    new Web3EventService()) as Auction4ReputationType

*Defined in [wrappers/auction4Reputation.ts:315](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L315)*

___
<a id="ContractWrapperFactories"></a>

### `<Const>` ContractWrapperFactories

**● ContractWrapperFactories**: *[ArcWrapperFactories](interfaces/ArcWrapperFactories.md)* =  WrapperService.factories

*Defined in [wrapperService.ts:463](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L463)*

for quicker access to the contract wrapper factories

___
<a id="ContractWrappers"></a>

### `<Const>` ContractWrappers

**● ContractWrappers**: *[ArcWrappers](interfaces/ArcWrappers.md)* =  WrapperService.wrappers

*Defined in [wrapperService.ts:459](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L459)*

for quicker access to the contract wrappers

___
<a id="ContractWrappersByAddress"></a>

### `<Const>` ContractWrappersByAddress

**● ContractWrappersByAddress**: *`Map`<[Address](#Address), [IContractWrapper](interfaces/IContractWrapper.md)>* =  WrapperService.wrappersByAddress

*Defined in [wrapperService.ts:472](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L472)*

for quicker access to the contract wrappers by address

___
<a id="ContractWrappersByType"></a>

### `<Const>` ContractWrappersByType

**● ContractWrappersByType**: *[ArcWrappersByType](interfaces/ArcWrappersByType.md)* =  WrapperService.wrappersByType

*Defined in [wrapperService.ts:467](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L467)*

for quicker access to the contract wrapper types

___
<a id="ContributionRewardFactory"></a>

### `<Const>` ContributionRewardFactory

**● ContributionRewardFactory**: *[ContractWrapperFactory](classes/ContractWrapperFactory.md)<[ContributionRewardWrapper](classes/ContributionRewardWrapper.md)>* = 
  new ContractWrapperFactory("ContributionReward", ContributionRewardWrapper, new Web3EventService())

*Defined in [wrappers/contributionReward.ts:564](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L564)*

___
<a id="DaoCreatorFactory"></a>

### `<Const>` DaoCreatorFactory

**● DaoCreatorFactory**: *[DaoCreatorFactoryType](classes/DaoCreatorFactoryType.md)* = 
  new DaoCreatorFactoryType("DaoCreator", DaoCreatorWrapper, new Web3EventService()) as DaoCreatorFactoryType

*Defined in [wrappers/daoCreator.ts:503](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L503)*

___
<a id="DaoTokenFactory"></a>

### `<Const>` DaoTokenFactory

**● DaoTokenFactory**: *[DaoTokenFactoryType](classes/DaoTokenFactoryType.md)* = 
  new DaoTokenFactoryType(
    "DAOToken",
    DaoTokenWrapper,
    new Web3EventService()) as DaoTokenFactoryType

*Defined in [wrappers/daoToken.ts:374](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoToken.ts#L374)*

___
<a id="ExternalLocking4ReputationFactory"></a>

### `<Const>` ExternalLocking4ReputationFactory

**● ExternalLocking4ReputationFactory**: *[ExternalLocking4ReputationType](classes/ExternalLocking4ReputationType.md)* = 
  new ExternalLocking4ReputationType(
    "ExternalLocking4Reputation",
    ExternalLocking4ReputationWrapper,
    new Web3EventService()) as ExternalLocking4ReputationType

*Defined in [wrappers/externalLocking4Reputation.ts:149](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/externalLocking4Reputation.ts#L149)*

___
<a id="FixedReputationAllocationFactory"></a>

### `<Const>` FixedReputationAllocationFactory

**● FixedReputationAllocationFactory**: *[FixedReputationAllocationType](classes/FixedReputationAllocationType.md)* = 
  new FixedReputationAllocationType(
    "FixedReputationAllocation",
    FixedReputationAllocationWrapper,
    new Web3EventService()) as FixedReputationAllocationType

*Defined in [wrappers/fixedReputationAllocation.ts:203](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L203)*

___
<a id="GenesisProtocolFactory"></a>

### `<Const>` GenesisProtocolFactory

**● GenesisProtocolFactory**: *[GenesisProtocolFactoryType](classes/GenesisProtocolFactoryType.md)* = 
  new GenesisProtocolFactoryType(
    "GenesisProtocol",
    GenesisProtocolWrapper,
    new Web3EventService()) as GenesisProtocolFactoryType

*Defined in [wrappers/genesisProtocol.ts:1038](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1038)*

___
<a id="GlobalConstraintRegistrarFactory"></a>

### `<Const>` GlobalConstraintRegistrarFactory

**● GlobalConstraintRegistrarFactory**: *[ContractWrapperFactory](classes/ContractWrapperFactory.md)<[GlobalConstraintRegistrarWrapper](classes/GlobalConstraintRegistrarWrapper.md)>* =  new ContractWrapperFactory(
  "GlobalConstraintRegistrar", GlobalConstraintRegistrarWrapper, new Web3EventService())

*Defined in [wrappers/globalConstraintRegistrar.ts:232](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/globalConstraintRegistrar.ts#L232)*

___
<a id="IntVoteInterfaceFactory"></a>

### `<Const>` IntVoteInterfaceFactory

**● IntVoteInterfaceFactory**: *[IntVoteInterfaceFactoryType](classes/IntVoteInterfaceFactoryType.md)* = 
  new IntVoteInterfaceFactoryType(
    "IntVoteInterface",
    IntVoteInterfaceWrapper,
    new Web3EventService()) as IntVoteInterfaceFactoryType

*Defined in [wrappers/intVoteInterface.ts:383](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L383)*

___
<a id="LockingEth4ReputationFactory"></a>

### `<Const>` LockingEth4ReputationFactory

**● LockingEth4ReputationFactory**: *[LockingEth4ReputationType](classes/LockingEth4ReputationType.md)* = 
  new LockingEth4ReputationType(
    "LockingEth4Reputation",
    LockingEth4ReputationWrapper,
    new Web3EventService()) as LockingEth4ReputationType

*Defined in [wrappers/lockingEth4Reputation.ts:91](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/lockingEth4Reputation.ts#L91)*

___
<a id="LockingToken4ReputationFactory"></a>

### `<Const>` LockingToken4ReputationFactory

**● LockingToken4ReputationFactory**: *[LockingToken4ReputationType](classes/LockingToken4ReputationType.md)* = 
  new LockingToken4ReputationType(
    "LockingToken4Reputation",
    LockingToken4ReputationWrapper,
    new Web3EventService()) as LockingToken4ReputationType

*Defined in [wrappers/lockingToken4Reputation.ts:113](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/lockingToken4Reputation.ts#L113)*

___
<a id="MintableTokenFactory"></a>

### `<Const>` MintableTokenFactory

**● MintableTokenFactory**: *[MintableTokenFactoryType](classes/MintableTokenFactoryType.md)* = 
  new MintableTokenFactoryType(
    "MintableToken",
    MintableTokenWrapper,
    new Web3EventService()) as MintableTokenFactoryType

*Defined in [wrappers/mintableToken.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L127)*

___
<a id="NonUniversalSchemeFactories"></a>

### `<Const>` NonUniversalSchemeFactories

**● NonUniversalSchemeFactories**: *[ArcNonUniversalSchemeWrapperFactories](interfaces/ArcNonUniversalSchemeWrapperFactories.md)* =  WrapperService.nonUniversalSchemeFactories

*Defined in [wrapperService.ts:475](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L475)*

___
<a id="RedeemerFactory"></a>

### `<Const>` RedeemerFactory

**● RedeemerFactory**: *[RedeemerFactoryType](classes/RedeemerFactoryType.md)* = 
  new RedeemerFactoryType(
    "Redeemer",
    RedeemerWrapper,
    new Web3EventService()) as RedeemerFactoryType

*Defined in [wrappers/redeemer.ts:108](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L108)*

___
<a id="ReputationFactory"></a>

### `<Const>` ReputationFactory

**● ReputationFactory**: *[ReputationFactoryType](classes/ReputationFactoryType.md)* = 
  new ReputationFactoryType(
    "Reputation",
    ReputationWrapper,
    new Web3EventService()) as ReputationFactoryType

*Defined in [wrappers/reputation.ts:133](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L133)*

___
<a id="SchemeFactories"></a>

### `<Const>` SchemeFactories

**● SchemeFactories**: *[ArcSchemeWrapperFactories](interfaces/ArcSchemeWrapperFactories.md)* =  WrapperService.schemeFactories

*Defined in [wrapperService.ts:476](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L476)*

___
<a id="SchemeRegistrarFactory"></a>

### `<Const>` SchemeRegistrarFactory

**● SchemeRegistrarFactory**: *[ContractWrapperFactory](classes/ContractWrapperFactory.md)<[SchemeRegistrarWrapper](classes/SchemeRegistrarWrapper.md)>* = 
  new ContractWrapperFactory("SchemeRegistrar", SchemeRegistrarWrapper, new Web3EventService())

*Defined in [wrappers/schemeRegistrar.ts:271](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L271)*

___
<a id="StandardTokenFactory"></a>

### `<Const>` StandardTokenFactory

**● StandardTokenFactory**: *[StandardTokenFactoryType](classes/StandardTokenFactoryType.md)* = 
  new StandardTokenFactoryType(
    "StandardToken",
    StandardTokenWrapper,
    new Web3EventService()) as StandardTokenFactoryType

*Defined in [wrappers/standardToken.ts:227](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L227)*

___
<a id="TokenCapGCFactory"></a>

### `<Const>` TokenCapGCFactory

**● TokenCapGCFactory**: *[ContractWrapperFactory](classes/ContractWrapperFactory.md)<[TokenCapGCWrapper](classes/TokenCapGCWrapper.md)>* = 
  new ContractWrapperFactory("TokenCapGC", TokenCapGCWrapper, new Web3EventService())

*Defined in [wrappers/tokenCapGC.ts:62](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/tokenCapGC.ts#L62)*

___
<a id="UniversalSchemeFactories"></a>

### `<Const>` UniversalSchemeFactories

**● UniversalSchemeFactories**: *[ArcUniversalSchemeWrapperFactories](interfaces/ArcUniversalSchemeWrapperFactories.md)* =  WrapperService.universalSchemeFactories

*Defined in [wrapperService.ts:474](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L474)*

___
<a id="UpgradeSchemeFactory"></a>

### `<Const>` UpgradeSchemeFactory

**● UpgradeSchemeFactory**: *[ContractWrapperFactory](classes/ContractWrapperFactory.md)<[UpgradeSchemeWrapper](classes/UpgradeSchemeWrapper.md)>* = 
  new ContractWrapperFactory("UpgradeScheme", UpgradeSchemeWrapper, new Web3EventService())

*Defined in [wrappers/upgradeScheme.ts:225](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/upgradeScheme.ts#L225)*

___
<a id="VestingSchemeFactory"></a>

### `<Const>` VestingSchemeFactory

**● VestingSchemeFactory**: *[ContractWrapperFactory](classes/ContractWrapperFactory.md)<[VestingSchemeWrapper](classes/VestingSchemeWrapper.md)>* = 
  new ContractWrapperFactory("VestingScheme", VestingSchemeWrapper, new Web3EventService())

*Defined in [wrappers/vestingScheme.ts:442](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L442)*

___
<a id="VoteInOrganizationSchemeFactory"></a>

### `<Const>` VoteInOrganizationSchemeFactory

**● VoteInOrganizationSchemeFactory**: *[ContractWrapperFactory](classes/ContractWrapperFactory.md)<[VoteInOrganizationSchemeWrapper](classes/VoteInOrganizationSchemeWrapper.md)>* = 
  new ContractWrapperFactory(
    "VoteInOrganizationScheme",
    VoteInOrganizationSchemeWrapper,
    new Web3EventService())

*Defined in [wrappers/voteInOrganizationScheme.ts:183](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L183)*

___

## Functions

<a id="GetDefaultGenesisProtocolParameters"></a>

### `<Const>` GetDefaultGenesisProtocolParameters

▸ **GetDefaultGenesisProtocolParameters**(): `Promise`<[GenesisProtocolParams](interfaces/GenesisProtocolParams.md)>

*Defined in [wrappers/genesisProtocol.ts:1387](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1387)*

**Returns:** `Promise`<[GenesisProtocolParams](interfaces/GenesisProtocolParams.md)>

___
<a id="InitializeArcJs"></a>

###  InitializeArcJs

▸ **InitializeArcJs**(options?: *[InitializeArcOptions](interfaces/InitializeArcOptions.md)*): `Promise`<`Web3`>

*Defined in index.ts:138*

You must call `InitializeArcJs` before doing anything else with Arc.js. Call it again whenever the current chain changes.

**Parameters:**

| Param | Type | Default value |
| ------ | ------ | ------ |
| `Default value` options | [InitializeArcOptions](interfaces/InitializeArcOptions.md) |  {} |

**Returns:** `Promise`<`Web3`>
Promise of the `Web3` object for the current chain.

___

