[API Reference](../README.md) > [AbsoluteVoteWrapper](../classes/AbsoluteVoteWrapper.md)

# Class: AbsoluteVoteWrapper

## Hierarchy

↳  [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)

**↳ AbsoluteVoteWrapper**

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)
* [IIntVoteInterface](../interfaces/IIntVoteInterface.md)
* [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md)

## Index

### Constructors

* [constructor](AbsoluteVoteWrapper.md#constructor)

### Properties

* [AVVoteProposal](AbsoluteVoteWrapper.md#AVVoteProposal)
* [CancelProposal](AbsoluteVoteWrapper.md#CancelProposal)
* [CancelVoting](AbsoluteVoteWrapper.md#CancelVoting)
* [ExecuteProposal](AbsoluteVoteWrapper.md#ExecuteProposal)
* [NewProposal](AbsoluteVoteWrapper.md#NewProposal)
* [RefreshReputation](AbsoluteVoteWrapper.md#RefreshReputation)
* [VoteProposal](AbsoluteVoteWrapper.md#VoteProposal)
* [contract](AbsoluteVoteWrapper.md#contract)
* [factory](AbsoluteVoteWrapper.md#factory)
* [friendlyName](AbsoluteVoteWrapper.md#friendlyName)
* [name](AbsoluteVoteWrapper.md#name)

### Accessors

* [VotableAbsoluteVoteProposals](AbsoluteVoteWrapper.md#VotableAbsoluteVoteProposals)
* [VotableProposals](AbsoluteVoteWrapper.md#VotableProposals)
* [address](AbsoluteVoteWrapper.md#address)

### Methods

* [cancelProposal](AbsoluteVoteWrapper.md#cancelProposal)
* [cancelVote](AbsoluteVoteWrapper.md#cancelVote)
* [estimateGas](AbsoluteVoteWrapper.md#estimateGas)
* [execute](AbsoluteVoteWrapper.md#execute)
* [getAllowedRangeOfChoices](AbsoluteVoteWrapper.md#getAllowedRangeOfChoices)
* [getCurrentVoteStatus](AbsoluteVoteWrapper.md#getCurrentVoteStatus)
* [getNumberOfChoices](AbsoluteVoteWrapper.md#getNumberOfChoices)
* [getParameters](AbsoluteVoteWrapper.md#getParameters)
* [getParametersArray](AbsoluteVoteWrapper.md#getParametersArray)
* [getParametersHash](AbsoluteVoteWrapper.md#getParametersHash)
* [hydrateFromAt](AbsoluteVoteWrapper.md#hydrateFromAt)
* [hydrateFromNew](AbsoluteVoteWrapper.md#hydrateFromNew)
* [isAbstainAllow](AbsoluteVoteWrapper.md#isAbstainAllow)
* [isVotable](AbsoluteVoteWrapper.md#isVotable)
* [ownerVote](AbsoluteVoteWrapper.md#ownerVote)
* [propose](AbsoluteVoteWrapper.md#propose)
* [setParameters](AbsoluteVoteWrapper.md#setParameters)
* [vote](AbsoluteVoteWrapper.md#vote)
* [voteStatus](AbsoluteVoteWrapper.md#voteStatus)
* [voteWithSpecifiedAmounts](AbsoluteVoteWrapper.md#voteWithSpecifiedAmounts)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new AbsoluteVoteWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [AbsoluteVoteWrapper](AbsoluteVoteWrapper.md)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

ContractWrapperFactory constructs this

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContract | `any` |  The json contract truffle artifact |
| web3EventService | [Web3EventService](Web3EventService.md) |   |

**Returns:** [AbsoluteVoteWrapper](AbsoluteVoteWrapper.md)

___

## Properties

<a id="AVVoteProposal"></a>

###  AVVoteProposal

**● AVVoteProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[AVVoteProposalEventResult](../interfaces/AVVoteProposalEventResult.md)>*

*Defined in [wrappers/absoluteVote.ts:38](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L38)*

Events

___
<a id="CancelProposal"></a>

###  CancelProposal

**● CancelProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[CancelProposalEventResult](../interfaces/CancelProposalEventResult.md)>*

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[CancelProposal](../interfaces/IIntVoteInterface.md#CancelProposal)*

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[CancelProposal](IntVoteInterfaceWrapper.md#CancelProposal)*

*Defined in [wrappers/intVoteInterface.ts:50](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L50)*

Get or watch events fired when a vote is cancelled. Note you won't get this from GenesisProtocol whose proposals and votes are not cancellable

___
<a id="CancelVoting"></a>

###  CancelVoting

**● CancelVoting**: *[EventFetcherFactory](../#EventFetcherFactory)<[CancelVotingEventResult](../interfaces/CancelVotingEventResult.md)>*

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[CancelVoting](../interfaces/IIntVoteInterface.md#CancelVoting)*

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[CancelVoting](IntVoteInterfaceWrapper.md#CancelVoting)*

*Defined in [wrappers/intVoteInterface.ts:63](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L63)*

Get or watch events fired when a voter's vote is cancelled. Note you won't get this from GenesisProtocol whose proposals and votes are not cancellable

___
<a id="ExecuteProposal"></a>

###  ExecuteProposal

**● ExecuteProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[ExecuteProposalEventResult](../interfaces/ExecuteProposalEventResult.md)>*

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[ExecuteProposal](../interfaces/IIntVoteInterface.md#ExecuteProposal)*

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[ExecuteProposal](IntVoteInterfaceWrapper.md#ExecuteProposal)*

*Defined in [wrappers/intVoteInterface.ts:54](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L54)*

Get or watch events fired when proposals have been executed

___
<a id="NewProposal"></a>

###  NewProposal

**● NewProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[NewProposalEventResult](../interfaces/NewProposalEventResult.md)>*

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[NewProposal](../interfaces/IIntVoteInterface.md#NewProposal)*

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[NewProposal](IntVoteInterfaceWrapper.md#NewProposal)*

*Defined in [wrappers/intVoteInterface.ts:45](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L45)*

Get or watch events fired on the creation of a new proposal.

___
<a id="RefreshReputation"></a>

###  RefreshReputation

**● RefreshReputation**: *[EventFetcherFactory](../#EventFetcherFactory)<[RefreshReputationEventResult](../interfaces/RefreshReputationEventResult.md)>*

*Defined in [wrappers/absoluteVote.ts:39](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L39)*

___
<a id="VoteProposal"></a>

###  VoteProposal

**● VoteProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[VoteProposalEventResult](../interfaces/VoteProposalEventResult.md)>*

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[VoteProposal](../interfaces/IIntVoteInterface.md#VoteProposal)*

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[VoteProposal](IntVoteInterfaceWrapper.md#VoteProposal)*

*Defined in [wrappers/intVoteInterface.ts:58](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L58)*

Get or watch events fired whenever votes are cast on a proposal

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md).[contract](../interfaces/IVotingMachineWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[AbsoluteVoteWrapper](AbsoluteVoteWrapper.md)>* =  AbsoluteVoteFactory

*Implementation of [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md).[factory](../interfaces/IVotingMachineWrapper.md#factory)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[factory](IntVoteInterfaceWrapper.md#factory)*

*Defined in [wrappers/absoluteVote.ts:33](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L33)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Absolute Vote"

*Implementation of [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md).[friendlyName](../interfaces/IVotingMachineWrapper.md#friendlyName)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[friendlyName](IntVoteInterfaceWrapper.md#friendlyName)*

*Defined in [wrappers/absoluteVote.ts:32](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L32)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "AbsoluteVote"

*Implementation of [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md).[name](../interfaces/IVotingMachineWrapper.md#name)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[name](IntVoteInterfaceWrapper.md#name)*

*Defined in [wrappers/absoluteVote.ts:31](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L31)*

___

## Accessors

<a id="VotableAbsoluteVoteProposals"></a>

###  VotableAbsoluteVoteProposals

getVotableAbsoluteVoteProposals(): [EntityFetcherFactory](../#EntityFetcherFactory)<[VotableProposal](../interfaces/VotableProposal.md), [NewProposalEventResult](../interfaces/NewProposalEventResult.md)>

*Defined in [wrappers/absoluteVote.ts:45](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L45)*

EntityFetcherFactory for votable proposals.

**Returns:** [EntityFetcherFactory](../#EntityFetcherFactory)<[VotableProposal](../interfaces/VotableProposal.md), [NewProposalEventResult](../interfaces/NewProposalEventResult.md)>

___
<a id="VotableProposals"></a>

###  VotableProposals

getVotableProposals(): [EventFetcherFactory](../#EventFetcherFactory)<[NewProposalEventResult](../interfaces/NewProposalEventResult.md)>

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[VotableProposals](IntVoteInterfaceWrapper.md#VotableProposals)*

*Defined in [wrappers/intVoteInterface.ts:68](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L68)*

Get or watch NewProposal events, filtering out proposals that are no longer votable.

**Returns:** [EventFetcherFactory](../#EventFetcherFactory)<[NewProposalEventResult](../interfaces/NewProposalEventResult.md)>

___
<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="cancelProposal"></a>

###  cancelProposal

▸ **cancelProposal**(options: * [ProposalIdOption](../interfaces/ProposalIdOption.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[cancelProposal](../interfaces/IIntVoteInterface.md#cancelProposal)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[cancelProposal](IntVoteInterfaceWrapper.md#cancelProposal)*

*Defined in [wrappers/absoluteVote.ts:133](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L133)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [ProposalIdOption](../interfaces/ProposalIdOption.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="cancelVote"></a>

###  cancelVote

▸ **cancelVote**(options: * [ProposalIdOption](../interfaces/ProposalIdOption.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[cancelVote](../interfaces/IIntVoteInterface.md#cancelVote)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[cancelVote](IntVoteInterfaceWrapper.md#cancelVote)*

*Defined in [wrappers/absoluteVote.ts:145](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L145)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [ProposalIdOption](../interfaces/ProposalIdOption.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="execute"></a>

###  execute

▸ **execute**(options: * [ProposalIdOption](../interfaces/ProposalIdOption.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[execute](../interfaces/IIntVoteInterface.md#execute)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[execute](IntVoteInterfaceWrapper.md#execute)*

*Defined in [wrappers/absoluteVote.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L127)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [ProposalIdOption](../interfaces/ProposalIdOption.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="getAllowedRangeOfChoices"></a>

###  getAllowedRangeOfChoices

▸ **getAllowedRangeOfChoices**(): `Promise`<[GetAllowedRangeOfChoicesResult](../interfaces/GetAllowedRangeOfChoicesResult.md)>

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[getAllowedRangeOfChoices](IntVoteInterfaceWrapper.md#getAllowedRangeOfChoices)*

*Defined in [wrappers/intVoteInterface.ts:340](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L340)*

Returns promise of the allowed range of choices for a voting machine.

**Returns:** `Promise`<[GetAllowedRangeOfChoicesResult](../interfaces/GetAllowedRangeOfChoicesResult.md)>

___
<a id="getCurrentVoteStatus"></a>

###  getCurrentVoteStatus

▸ **getCurrentVoteStatus**(proposalId: *[Address](../#Address)*): `Promise`<`Array`<`BigNumber`>>

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[getCurrentVoteStatus](IntVoteInterfaceWrapper.md#getCurrentVoteStatus)*

*Defined in [wrappers/intVoteInterface.ts:317](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L317)*

Return an array of the current counts of each vote choice on the proposal. For straight Abstain, Yes and No votes you can use the values of the `BinaryVoteResult` enum to dereference the array. The Abstain vote (in the zeroeth position) is always given even if the voting machine does not allow abstentions.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| proposalId | [Address](../#Address) |   |

**Returns:** `Promise`<`Array`<`BigNumber`>>

___
<a id="getNumberOfChoices"></a>

###  getNumberOfChoices

▸ **getNumberOfChoices**(options: *[ProposalIdOption](../interfaces/ProposalIdOption.md)*): `Promise`<`number`>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[getNumberOfChoices](../interfaces/IIntVoteInterface.md#getNumberOfChoices)*

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[getNumberOfChoices](IntVoteInterfaceWrapper.md#getNumberOfChoices)*

*Defined in [wrappers/intVoteInterface.ts:238](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L238)*

Get the number of voting choices allowed by the proposal.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options | [ProposalIdOption](../interfaces/ProposalIdOption.md) |   |

**Returns:** `Promise`<`number`>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<[AbsoluteVoteParamsResult](../interfaces/AbsoluteVoteParamsResult.md)>

*Implementation of [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md).[getParameters](../interfaces/IVotingMachineWrapper.md#getParameters)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[getParameters](ContractWrapperBase.md#getParameters)*

*Defined in [wrappers/absoluteVote.ts:98](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L98)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| paramsHash | [Hash](../#Hash) |

**Returns:** `Promise`<[AbsoluteVoteParamsResult](../interfaces/AbsoluteVoteParamsResult.md)>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Implementation of [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md).[getParametersArray](../interfaces/IVotingMachineWrapper.md#getParametersArray)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [contractWrapperBase.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L127)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getParametersHash"></a>

###  getParametersHash

▸ **getParametersHash**(params: *[AbsoluteVoteParams](../interfaces/AbsoluteVoteParams.md)*): `Promise`<[Hash](../#Hash)>

*Defined in [wrappers/absoluteVote.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L66)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params | [AbsoluteVoteParams](../interfaces/AbsoluteVoteParams.md) |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md).[hydrateFromAt](../interfaces/IVotingMachineWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md).[hydrateFromNew](../interfaces/IVotingMachineWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="isAbstainAllow"></a>

###  isAbstainAllow

▸ **isAbstainAllow**(): `Promise`<`boolean`>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[isAbstainAllow](../interfaces/IIntVoteInterface.md#isAbstainAllow)*

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[isAbstainAllow](IntVoteInterfaceWrapper.md#isAbstainAllow)*

*Defined in [wrappers/intVoteInterface.ts:282](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L282)*

get whether voters are allowed to cast an abstaining vote on these proposals.

**Returns:** `Promise`<`boolean`>

___
<a id="isVotable"></a>

###  isVotable

▸ **isVotable**(options: *[ProposalIdOption](../interfaces/ProposalIdOption.md)*): `Promise`<`boolean`>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[isVotable](../interfaces/IIntVoteInterface.md#isVotable)*

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[isVotable](IntVoteInterfaceWrapper.md#isVotable)*

*Defined in [wrappers/intVoteInterface.ts:252](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L252)*

Get whether the proposal is in a state where it can be voted-upon.

**Parameters:**

| Param | Type |
| ------ | ------ |
| options | [ProposalIdOption](../interfaces/ProposalIdOption.md) |

**Returns:** `Promise`<`boolean`>

___
<a id="ownerVote"></a>

###  ownerVote

▸ **ownerVote**(options: * [OwnerVoteOptions](../interfaces/OwnerVoteOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[ownerVote](../interfaces/IIntVoteInterface.md#ownerVote)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[ownerVote](IntVoteInterfaceWrapper.md#ownerVote)*

*Defined in [wrappers/absoluteVote.ts:139](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L139)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [OwnerVoteOptions](../interfaces/OwnerVoteOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="propose"></a>

###  propose

▸ **propose**(options: * [ProposeOptions](../interfaces/ProposeOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[propose](../interfaces/IIntVoteInterface.md#propose)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[propose](IntVoteInterfaceWrapper.md#propose)*

*Defined in [wrappers/absoluteVote.ts:106](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L106)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [ProposeOptions](../interfaces/ProposeOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

___
<a id="setParameters"></a>

###  setParameters

▸ **setParameters**(params: * [AbsoluteVoteParams](../interfaces/AbsoluteVoteParams.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

*Defined in [wrappers/absoluteVote.ts:79](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L79)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params |  [AbsoluteVoteParams](../interfaces/AbsoluteVoteParams.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

___
<a id="vote"></a>

###  vote

▸ **vote**(options: * [VoteOptions](../interfaces/VoteOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[vote](../interfaces/IIntVoteInterface.md#vote)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[vote](IntVoteInterfaceWrapper.md#vote)*

*Defined in [wrappers/absoluteVote.ts:113](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L113)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [VoteOptions](../interfaces/VoteOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="voteStatus"></a>

###  voteStatus

▸ **voteStatus**(options: *[VoteStatusOptions](../interfaces/VoteStatusOptions.md)*): `Promise`<`BigNumber`>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[voteStatus](../interfaces/IIntVoteInterface.md#voteStatus)*

*Inherited from [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[voteStatus](IntVoteInterfaceWrapper.md#voteStatus)*

*Defined in [wrappers/intVoteInterface.ts:266](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L266)*

Get the number of votes currently cast on the given choice.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options | [VoteStatusOptions](../interfaces/VoteStatusOptions.md) |   |

**Returns:** `Promise`<`BigNumber`>

___
<a id="voteWithSpecifiedAmounts"></a>

###  voteWithSpecifiedAmounts

▸ **voteWithSpecifiedAmounts**(options: * [VoteWithSpecifiedAmountsOptions](../interfaces/VoteWithSpecifiedAmountsOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Implementation of [IIntVoteInterface](../interfaces/IIntVoteInterface.md).[voteWithSpecifiedAmounts](../interfaces/IIntVoteInterface.md#voteWithSpecifiedAmounts)*

*Overrides [IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md).[voteWithSpecifiedAmounts](IntVoteInterfaceWrapper.md#voteWithSpecifiedAmounts)*

*Defined in [wrappers/absoluteVote.ts:120](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/absoluteVote.ts#L120)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [VoteWithSpecifiedAmountsOptions](../interfaces/VoteWithSpecifiedAmountsOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___

