[API Reference](../README.md) > [Auction4ReputationWrapper](../classes/Auction4ReputationWrapper.md)

# Class: Auction4ReputationWrapper

## Hierarchy

↳  [SchemeWrapperBase](SchemeWrapperBase.md)

**↳ Auction4ReputationWrapper**

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)
* [ISchemeWrapper](../interfaces/ISchemeWrapper.md)

## Index

### Constructors

* [constructor](Auction4ReputationWrapper.md#constructor)

### Properties

* [Bid](Auction4ReputationWrapper.md#Bid)
* [Redeem](Auction4ReputationWrapper.md#Redeem)
* [contract](Auction4ReputationWrapper.md#contract)
* [factory](Auction4ReputationWrapper.md#factory)
* [friendlyName](Auction4ReputationWrapper.md#friendlyName)
* [name](Auction4ReputationWrapper.md#name)

### Accessors

* [address](Auction4ReputationWrapper.md#address)

### Methods

* [auctionReputationReward](Auction4ReputationWrapper.md#auctionReputationReward)
* [bid](Auction4ReputationWrapper.md#bid)
* [estimateGas](Auction4ReputationWrapper.md#estimateGas)
* [getAuctionPeriod](Auction4ReputationWrapper.md#getAuctionPeriod)
* [getAuctionTotalBid](Auction4ReputationWrapper.md#getAuctionTotalBid)
* [getAuctionsEndTime](Auction4ReputationWrapper.md#getAuctionsEndTime)
* [getAuctionsStartTime](Auction4ReputationWrapper.md#getAuctionsStartTime)
* [getAvatar](Auction4ReputationWrapper.md#getAvatar)
* [getBid](Auction4ReputationWrapper.md#getBid)
* [getBidBlocker](Auction4ReputationWrapper.md#getBidBlocker)
* [getDefaultPermissions](Auction4ReputationWrapper.md#getDefaultPermissions)
* [getNumberOfAuctions](Auction4ReputationWrapper.md#getNumberOfAuctions)
* [getParameters](Auction4ReputationWrapper.md#getParameters)
* [getParametersArray](Auction4ReputationWrapper.md#getParametersArray)
* [getRedeemEnableTime](Auction4ReputationWrapper.md#getRedeemEnableTime)
* [getReputationReward](Auction4ReputationWrapper.md#getReputationReward)
* [getReputationRewardLeft](Auction4ReputationWrapper.md#getReputationRewardLeft)
* [getSchemePermissions](Auction4ReputationWrapper.md#getSchemePermissions)
* [getToken](Auction4ReputationWrapper.md#getToken)
* [getWallet](Auction4ReputationWrapper.md#getWallet)
* [hydrateFromAt](Auction4ReputationWrapper.md#hydrateFromAt)
* [hydrateFromNew](Auction4ReputationWrapper.md#hydrateFromNew)
* [initialize](Auction4ReputationWrapper.md#initialize)
* [redeem](Auction4ReputationWrapper.md#redeem)
* [transferToWallet](Auction4ReputationWrapper.md#transferToWallet)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new Auction4ReputationWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [Auction4ReputationWrapper](Auction4ReputationWrapper.md)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

ContractWrapperFactory constructs this

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContract | `any` |  The json contract truffle artifact |
| web3EventService | [Web3EventService](Web3EventService.md) |   |

**Returns:** [Auction4ReputationWrapper](Auction4ReputationWrapper.md)

___

## Properties

<a id="Bid"></a>

###  Bid

**● Bid**: *[EventFetcherFactory](../#EventFetcherFactory)<[Auction4ReputationBidEventResult](../interfaces/Auction4ReputationBidEventResult.md)>*

*Defined in [wrappers/auction4Reputation.ts:18](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L18)*

___
<a id="Redeem"></a>

###  Redeem

**● Redeem**: *[EventFetcherFactory](../#EventFetcherFactory)<[Auction4ReputationRedeemEventResult](../interfaces/Auction4ReputationRedeemEventResult.md)>*

*Defined in [wrappers/auction4Reputation.ts:19](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L19)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[contract](../interfaces/ISchemeWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[Auction4ReputationWrapper](Auction4ReputationWrapper.md)>* =  Auction4ReputationFactory

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[factory](../interfaces/ISchemeWrapper.md#factory)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[factory](ContractWrapperBase.md#factory)*

*Defined in [wrappers/auction4Reputation.ts:16](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L16)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Auction For Reputation"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[friendlyName](../interfaces/ISchemeWrapper.md#friendlyName)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[friendlyName](ContractWrapperBase.md#friendlyName)*

*Defined in [wrappers/auction4Reputation.ts:15](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L15)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "Auction4Reputation"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[name](../interfaces/ISchemeWrapper.md#name)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[name](ContractWrapperBase.md#name)*

*Defined in [wrappers/auction4Reputation.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L14)*

___

## Accessors

<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="auctionReputationReward"></a>

###  auctionReputationReward

▸ **auctionReputationReward**(): `Promise`<`BigNumber`>

*Defined in [wrappers/auction4Reputation.ts:248](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L248)*

Get a promise of the reputation reward of a single auction

**Returns:** `Promise`<`BigNumber`>

___
<a id="bid"></a>

###  bid

▸ **bid**(options: * [Auction4ReputationBidOptions](../interfaces/Auction4ReputationBidOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/auction4Reputation.ts:153](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L153)*

Bid on behalf of the current account

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [Auction4ReputationBidOptions](../interfaces/Auction4ReputationBidOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="getAuctionPeriod"></a>

###  getAuctionPeriod

▸ **getAuctionPeriod**(): `Promise`<`number`>

*Defined in [wrappers/auction4Reputation.ts:255](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L255)*

Get a promise of the number of seconds in a single auction

**Returns:** `Promise`<`number`>

___
<a id="getAuctionTotalBid"></a>

###  getAuctionTotalBid

▸ **getAuctionTotalBid**(auctionId: *`number`*): `Promise`<`BigNumber`>

*Defined in [wrappers/auction4Reputation.ts:276](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L276)*

Get a promise of the total amount bid for a given auction.

**Parameters:**

| Param | Type |
| ------ | ------ |
| auctionId | `number` |

**Returns:** `Promise`<`BigNumber`>

___
<a id="getAuctionsEndTime"></a>

###  getAuctionsEndTime

▸ **getAuctionsEndTime**(): `Promise`<`Date`>

*Defined in [wrappers/auction4Reputation.ts:231](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L231)*

**Returns:** `Promise`<`Date`>

___
<a id="getAuctionsStartTime"></a>

###  getAuctionsStartTime

▸ **getAuctionsStartTime**(): `Promise`<`Date`>

*Defined in [wrappers/auction4Reputation.ts:236](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L236)*

**Returns:** `Promise`<`Date`>

___
<a id="getAvatar"></a>

###  getAvatar

▸ **getAvatar**(): `Promise`<[Address](../#Address)>

*Defined in [wrappers/auction4Reputation.ts:268](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L268)*

**Returns:** `Promise`<[Address](../#Address)>

___
<a id="getBid"></a>

###  getBid

▸ **getBid**(bidderAddress: *[Address](../#Address)*, auctionId: *`number`*): `Promise`<`BigNumber`>

*Defined in [wrappers/auction4Reputation.ts:198](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L198)*

get promise of the amount bid on the given auction.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| bidderAddress | [Address](../#Address) |  \- |
| auctionId | `number` |   |

**Returns:** `Promise`<`BigNumber`>

___
<a id="getBidBlocker"></a>

###  getBidBlocker

▸ **getBidBlocker**(options: *[Auction4ReputationBidOptions](../interfaces/Auction4ReputationBidOptions.md)*): `Promise`< `string` &#124; `null`>

*Defined in [wrappers/auction4Reputation.ts:132](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L132)*

Returns reason why can't bid, else null if can bid

**Parameters:**

| Param | Type |
| ------ | ------ |
| options | [Auction4ReputationBidOptions](../interfaces/Auction4ReputationBidOptions.md) |

**Returns:** `Promise`< `string` &#124; `null`>

___
<a id="getDefaultPermissions"></a>

###  getDefaultPermissions

▸ **getDefaultPermissions**(): [SchemePermissions](../enums/SchemePermissions.md)

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getDefaultPermissions](../interfaces/ISchemeWrapper.md#getDefaultPermissions)*

*Inherited from [SchemeWrapperBase](SchemeWrapperBase.md).[getDefaultPermissions](SchemeWrapperBase.md#getDefaultPermissions)*

*Defined in [schemeWrapperBase.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/schemeWrapperBase.ts#L14)*

Minimum permissions required by the scheme

**Returns:** [SchemePermissions](../enums/SchemePermissions.md)

___
<a id="getNumberOfAuctions"></a>

###  getNumberOfAuctions

▸ **getNumberOfAuctions**(): `Promise`<`number`>

*Defined in [wrappers/auction4Reputation.ts:241](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L241)*

**Returns:** `Promise`<`number`>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<`any`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParameters](ContractWrapperBase.md#getParameters)*

*Defined in [contractWrapperBase.ts:118](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L118)*

Given a hash, returns the associated parameters as an object.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`any`>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [contractWrapperBase.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L127)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getRedeemEnableTime"></a>

###  getRedeemEnableTime

▸ **getRedeemEnableTime**(): `Promise`<`Date`>

*Defined in [wrappers/auction4Reputation.ts:213](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L213)*

Get a promise of the first date/time when anything can be redeemed

**Returns:** `Promise`<`Date`>

___
<a id="getReputationReward"></a>

###  getReputationReward

▸ **getReputationReward**(): `Promise`<`BigNumber`>

*Defined in [wrappers/auction4Reputation.ts:221](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L221)*

Get a promise of the total reputation rewardable across all the auctions

**Returns:** `Promise`<`BigNumber`>

___
<a id="getReputationRewardLeft"></a>

###  getReputationRewardLeft

▸ **getReputationRewardLeft**(): `Promise`<`BigNumber`>

*Defined in [wrappers/auction4Reputation.ts:227](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L227)*

**Returns:** `Promise`<`BigNumber`>

___
<a id="getSchemePermissions"></a>

###  getSchemePermissions

▸ **getSchemePermissions**(avatarAddress: *[Address](../#Address)*): `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getSchemePermissions](../interfaces/ISchemeWrapper.md#getSchemePermissions)*

*Inherited from [SchemeWrapperBase](SchemeWrapperBase.md).[getSchemePermissions](SchemeWrapperBase.md#getSchemePermissions)*

*Defined in [schemeWrapperBase.ts:22](https://github.com/daostack/arc.js/blob/6f704389/lib/schemeWrapperBase.ts#L22)*

Returns the scheme permissions.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

___
<a id="getToken"></a>

###  getToken

▸ **getToken**(): `Promise`<[StandardTokenWrapper](StandardTokenWrapper.md)>

*Defined in [wrappers/auction4Reputation.ts:259](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L259)*

**Returns:** `Promise`<[StandardTokenWrapper](StandardTokenWrapper.md)>

___
<a id="getWallet"></a>

###  getWallet

▸ **getWallet**(): `Promise`<[Address](../#Address)>

*Defined in [wrappers/auction4Reputation.ts:264](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L264)*

**Returns:** `Promise`<[Address](../#Address)>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromAt](../interfaces/ISchemeWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromNew](../interfaces/ISchemeWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="initialize"></a>

###  initialize

▸ **initialize**(options: *[Auction4ReputationInitializeOptions](../interfaces/Auction4ReputationInitializeOptions.md)*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/auction4Reputation.ts:21](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L21)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options | [Auction4ReputationInitializeOptions](../interfaces/Auction4ReputationInitializeOptions.md) |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="redeem"></a>

###  redeem

▸ **redeem**(options: * [Auction4ReputationRedeemOptions](../interfaces/Auction4ReputationRedeemOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/auction4Reputation.ts:93](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L93)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [Auction4ReputationRedeemOptions](../interfaces/Auction4ReputationRedeemOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="transferToWallet"></a>

###  transferToWallet

▸ **transferToWallet**(options?: *`TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/auction4Reputation.ts:174](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/auction4Reputation.ts#L174)*

transfer bidded tokens to the wallet

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` options | `TxGeneratingFunctionOptions` |  {} |   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___

