[API Reference](../README.md) > [ConfigService](../classes/ConfigService.md)

# Class: ConfigService

Set and set global Arc.js settings.

For more information, refer to [Configuring Arc.js](/Configuration.md).

## Hierarchy

**ConfigService**

## Index

### Constructors

* [constructor](ConfigService.md#constructor)

### Properties

* [data](ConfigService.md#data)
* [instance](ConfigService.md#instance)

### Methods

* [get](ConfigService.md#get)
* [set](ConfigService.md#set)
* [get](ConfigService.md#get-1)
* [set](ConfigService.md#set-1)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new ConfigService**(): [ConfigService](ConfigService.md)

*Defined in [configService.ts:36](https://github.com/daostack/arc.js/blob/6f704389/lib/configService.ts#L36)*

**Returns:** [ConfigService](ConfigService.md)

___

## Properties

<a id="data"></a>

### `<Static>` data

**● data**: *`any`*

*Defined in [configService.ts:11](https://github.com/daostack/arc.js/blob/6f704389/lib/configService.ts#L11)*

___
<a id="instance"></a>

### `<Static>` instance

**● instance**: *[IConfigService](../interfaces/IConfigService.md)*

*Defined in [configService.ts:10](https://github.com/daostack/arc.js/blob/6f704389/lib/configService.ts#L10)*

___

## Methods

<a id="get"></a>

###  get

▸ **get**(setting: *`string`*): `any`

*Defined in [configService.ts:59](https://github.com/daostack/arc.js/blob/6f704389/lib/configService.ts#L59)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| setting | `string` |

**Returns:** `any`

___
<a id="set"></a>

###  set

▸ **set**(setting: *`string`*, value: *`any`*): `void`

*Defined in [configService.ts:63](https://github.com/daostack/arc.js/blob/6f704389/lib/configService.ts#L63)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| setting | `string` |
| value | `any` |

**Returns:** `void`

___
<a id="get-1"></a>

### `<Static>` get

▸ **get**(setting: *`string`*): `any`

*Defined in [configService.ts:13](https://github.com/daostack/arc.js/blob/6f704389/lib/configService.ts#L13)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| setting | `string` |

**Returns:** `any`

___
<a id="set-1"></a>

### `<Static>` set

▸ **set**(setting: *`string`*, value: *`any`*): `void`

*Defined in [configService.ts:25](https://github.com/daostack/arc.js/blob/6f704389/lib/configService.ts#L25)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| setting | `string` |
| value | `any` |

**Returns:** `void`

___

