[API Reference](../README.md) > [DaoTokenFactoryType](../classes/DaoTokenFactoryType.md)

# Class: DaoTokenFactoryType

defined just to add good type checking

## Hierarchy

 [ContractWrapperFactory](ContractWrapperFactory.md)<[DaoTokenWrapper](DaoTokenWrapper.md)>

**↳ DaoTokenFactoryType**

## Implements

* [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[DaoTokenWrapper](DaoTokenWrapper.md)>

## Index

### Constructors

* [constructor](DaoTokenFactoryType.md#constructor)

### Methods

* [at](DaoTokenFactoryType.md#at)
* [deployed](DaoTokenFactoryType.md#deployed)
* [ensureSolidityContract](DaoTokenFactoryType.md#ensureSolidityContract)
* [new](DaoTokenFactoryType.md#new)
* [clearContractCache](DaoTokenFactoryType.md#clearContractCache)
* [setConfigService](DaoTokenFactoryType.md#setConfigService)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new DaoTokenFactoryType**(solidityContractName: *`string`*, wrapper: *`object`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [DaoTokenFactoryType](DaoTokenFactoryType.md)

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[constructor](ContractWrapperFactory.md#constructor)*

*Defined in [contractWrapperFactory.ts:33](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L33)*

Connstructor to create a contract wrapper factory for the given Arc contract name and wrapper class.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContractName | `string` |
| wrapper | `object` |  Class of the contract |
| web3EventService | [Web3EventService](Web3EventService.md) |

**Returns:** [DaoTokenFactoryType](DaoTokenFactoryType.md)

___

## Methods

<a id="at"></a>

###  at

▸ **at**(address: *`string`*): `Promise`<[DaoTokenWrapper](DaoTokenWrapper.md)>

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[at](ContractWrapperFactory.md#at)*

*Defined in [contractWrapperFactory.ts:80](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L80)*

Return a wrapper around the contract, hydrated from the given address. Returns undefined if not found.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |   |

**Returns:** `Promise`<[DaoTokenWrapper](DaoTokenWrapper.md)>

___
<a id="deployed"></a>

###  deployed

▸ **deployed**(): `Promise`<[DaoTokenWrapper](DaoTokenWrapper.md)>

*Overrides [ContractWrapperFactory](ContractWrapperFactory.md).[deployed](ContractWrapperFactory.md#deployed)*

*Defined in [wrappers/daoToken.ts:362](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoToken.ts#L362)*

**Returns:** `Promise`<[DaoTokenWrapper](DaoTokenWrapper.md)>

___
<a id="ensureSolidityContract"></a>

###  ensureSolidityContract

▸ **ensureSolidityContract**(): `Promise`<`any`>

*Implementation of [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md).[ensureSolidityContract](../interfaces/IContractWrapperFactory.md#ensureSolidityContract)*

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[ensureSolidityContract](ContractWrapperFactory.md#ensureSolidityContract)*

*Defined in [contractWrapperFactory.ts:110](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L110)*

**Returns:** `Promise`<`any`>

___
<a id="new"></a>

###  new

▸ **new**(name: *`string`*, symbol: *`string`*, cap: *`BigNumber`*): `Promise`<[DaoTokenWrapper](DaoTokenWrapper.md)>

*Overrides [ContractWrapperFactory](ContractWrapperFactory.md).[new](ContractWrapperFactory.md#new)*

*Defined in [wrappers/daoToken.ts:366](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoToken.ts#L366)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| name | `string` |
| symbol | `string` |
| cap | `BigNumber` |

**Returns:** `Promise`<[DaoTokenWrapper](DaoTokenWrapper.md)>

___
<a id="clearContractCache"></a>

### `<Static>` clearContractCache

▸ **clearContractCache**(): `void`

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[clearContractCache](ContractWrapperFactory.md#clearContractCache)*

*Defined in [contractWrapperFactory.ts:21](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L21)*

**Returns:** `void`

___
<a id="setConfigService"></a>

### `<Static>` setConfigService

▸ **setConfigService**(configService: *[IConfigService](../interfaces/IConfigService.md)*): `void`

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[setConfigService](ContractWrapperFactory.md#setConfigService)*

*Defined in [contractWrapperFactory.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L17)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| configService | [IConfigService](../interfaces/IConfigService.md) |

**Returns:** `void`

___

