[API Reference](../README.md) > [DefaultSchemePermissions](../classes/DefaultSchemePermissions.md)

# Class: DefaultSchemePermissions

These are the permissions that are the minimum that each scheme must have to be able to perform its full range of functionality.

Note that '1' is always assigned to a scheme by the Controller when the scheme is registered with the controller.

## Hierarchy

**DefaultSchemePermissions**

## Index

### Properties

* [AllPermissions](DefaultSchemePermissions.md#AllPermissions)
* [ContributionReward](DefaultSchemePermissions.md#ContributionReward)
* [GlobalConstraintRegistrar](DefaultSchemePermissions.md#GlobalConstraintRegistrar)
* [MinimumPermissions](DefaultSchemePermissions.md#MinimumPermissions)
* [NoPermissions](DefaultSchemePermissions.md#NoPermissions)
* [SchemeRegistrar](DefaultSchemePermissions.md#SchemeRegistrar)
* [UpgradeScheme](DefaultSchemePermissions.md#UpgradeScheme)
* [VestingScheme](DefaultSchemePermissions.md#VestingScheme)
* [VoteInOrganizationScheme](DefaultSchemePermissions.md#VoteInOrganizationScheme)

---

## Properties

<a id="AllPermissions"></a>

### `<Static>` AllPermissions

**● AllPermissions**: *[SchemePermissions](../enums/SchemePermissions.md)* =  SchemePermissions.All

*Defined in [commonTypes.ts:37](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L37)*

___
<a id="ContributionReward"></a>

### `<Static>` ContributionReward

**● ContributionReward**: *[SchemePermissions](../enums/SchemePermissions.md)* =  SchemePermissions.IsRegistered

*Defined in [commonTypes.ts:38](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L38)*

___
<a id="GlobalConstraintRegistrar"></a>

### `<Static>` GlobalConstraintRegistrar

**● GlobalConstraintRegistrar**: *[SchemePermissions](../enums/SchemePermissions.md)* =  SchemePermissions.IsRegistered | SchemePermissions.CanAddRemoveGlobalConstraints

*Defined in [commonTypes.ts:39](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L39)*

___
<a id="MinimumPermissions"></a>

### `<Static>` MinimumPermissions

**● MinimumPermissions**: *[SchemePermissions](../enums/SchemePermissions.md)* =  SchemePermissions.IsRegistered

*Defined in [commonTypes.ts:36](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L36)*

___
<a id="NoPermissions"></a>

### `<Static>` NoPermissions

**● NoPermissions**: *[SchemePermissions](../enums/SchemePermissions.md)* =  SchemePermissions.None

*Defined in [commonTypes.ts:35](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L35)*

___
<a id="SchemeRegistrar"></a>

### `<Static>` SchemeRegistrar

**● SchemeRegistrar**: *[SchemePermissions](../enums/SchemePermissions.md)* =  SchemePermissions.All

*Defined in [commonTypes.ts:43](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L43)*

Has all permissions so that it can register/unregister all schemes

___
<a id="UpgradeScheme"></a>

### `<Static>` UpgradeScheme

**● UpgradeScheme**: *[SchemePermissions](../enums/SchemePermissions.md)* =  SchemePermissions.IsRegistered | SchemePermissions.CanRegisterSchemes | SchemePermissions.CanUpgradeController

*Defined in [commonTypes.ts:44](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L44)*

___
<a id="VestingScheme"></a>

### `<Static>` VestingScheme

**● VestingScheme**: *[SchemePermissions](../enums/SchemePermissions.md)* =  SchemePermissions.IsRegistered

*Defined in [commonTypes.ts:45](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L45)*

___
<a id="VoteInOrganizationScheme"></a>

### `<Static>` VoteInOrganizationScheme

**● VoteInOrganizationScheme**: *[SchemePermissions](../enums/SchemePermissions.md)* =  SchemePermissions.IsRegistered | SchemePermissions.CanCallDelegateCall

*Defined in [commonTypes.ts:46](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L46)*

___

