[API Reference](../README.md) > [FixedReputationAllocationWrapper](../classes/FixedReputationAllocationWrapper.md)

# Class: FixedReputationAllocationWrapper

## Hierarchy

↳  [SchemeWrapperBase](SchemeWrapperBase.md)

**↳ FixedReputationAllocationWrapper**

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)
* [ISchemeWrapper](../interfaces/ISchemeWrapper.md)

## Index

### Constructors

* [constructor](FixedReputationAllocationWrapper.md#constructor)

### Properties

* [BeneficiaryAddressAdded](FixedReputationAllocationWrapper.md#BeneficiaryAddressAdded)
* [Redeem](FixedReputationAllocationWrapper.md#Redeem)
* [contract](FixedReputationAllocationWrapper.md#contract)
* [factory](FixedReputationAllocationWrapper.md#factory)
* [friendlyName](FixedReputationAllocationWrapper.md#friendlyName)
* [name](FixedReputationAllocationWrapper.md#name)

### Accessors

* [address](FixedReputationAllocationWrapper.md#address)

### Methods

* [addBeneficiaries](FixedReputationAllocationWrapper.md#addBeneficiaries)
* [addBeneficiary](FixedReputationAllocationWrapper.md#addBeneficiary)
* [estimateGas](FixedReputationAllocationWrapper.md#estimateGas)
* [getAvatar](FixedReputationAllocationWrapper.md#getAvatar)
* [getBeneficiaryAdded](FixedReputationAllocationWrapper.md#getBeneficiaryAdded)
* [getBeneficiaryReward](FixedReputationAllocationWrapper.md#getBeneficiaryReward)
* [getDefaultPermissions](FixedReputationAllocationWrapper.md#getDefaultPermissions)
* [getIsEnable](FixedReputationAllocationWrapper.md#getIsEnable)
* [getNumberOfBeneficiaries](FixedReputationAllocationWrapper.md#getNumberOfBeneficiaries)
* [getParameters](FixedReputationAllocationWrapper.md#getParameters)
* [getParametersArray](FixedReputationAllocationWrapper.md#getParametersArray)
* [getRedeemEnableTime](FixedReputationAllocationWrapper.md#getRedeemEnableTime)
* [getReputationReward](FixedReputationAllocationWrapper.md#getReputationReward)
* [getSchemePermissions](FixedReputationAllocationWrapper.md#getSchemePermissions)
* [hydrateFromAt](FixedReputationAllocationWrapper.md#hydrateFromAt)
* [hydrateFromNew](FixedReputationAllocationWrapper.md#hydrateFromNew)
* [initialize](FixedReputationAllocationWrapper.md#initialize)
* [redeem](FixedReputationAllocationWrapper.md#redeem)
* [setEnabled](FixedReputationAllocationWrapper.md#setEnabled)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new FixedReputationAllocationWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [FixedReputationAllocationWrapper](FixedReputationAllocationWrapper.md)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

ContractWrapperFactory constructs this

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContract | `any` |  The json contract truffle artifact |
| web3EventService | [Web3EventService](Web3EventService.md) |   |

**Returns:** [FixedReputationAllocationWrapper](FixedReputationAllocationWrapper.md)

___

## Properties

<a id="BeneficiaryAddressAdded"></a>

###  BeneficiaryAddressAdded

**● BeneficiaryAddressAdded**: *[EventFetcherFactory](../#EventFetcherFactory)<[BeneficiaryAddressAddedEventResult](../interfaces/BeneficiaryAddressAddedEventResult.md)>*

*Defined in [wrappers/fixedReputationAllocation.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L17)*

___
<a id="Redeem"></a>

###  Redeem

**● Redeem**: *[EventFetcherFactory](../#EventFetcherFactory)<[FixedReputationAllocationRedeemEventResult](../interfaces/FixedReputationAllocationRedeemEventResult.md)>*

*Defined in [wrappers/fixedReputationAllocation.ts:16](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L16)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[contract](../interfaces/ISchemeWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[FixedReputationAllocationWrapper](FixedReputationAllocationWrapper.md)>* =  FixedReputationAllocationFactory

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[factory](../interfaces/ISchemeWrapper.md#factory)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[factory](ContractWrapperBase.md#factory)*

*Defined in [wrappers/fixedReputationAllocation.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L14)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Fixed Reputation Allocation"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[friendlyName](../interfaces/ISchemeWrapper.md#friendlyName)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[friendlyName](ContractWrapperBase.md#friendlyName)*

*Defined in [wrappers/fixedReputationAllocation.ts:13](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L13)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "FixedReputationAllocation"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[name](../interfaces/ISchemeWrapper.md#name)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[name](ContractWrapperBase.md#name)*

*Defined in [wrappers/fixedReputationAllocation.ts:12](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L12)*

___

## Accessors

<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="addBeneficiaries"></a>

###  addBeneficiaries

▸ **addBeneficiaries**(options: * [AddBeneficiariesOptions](../interfaces/AddBeneficiariesOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/fixedReputationAllocation.ts:102](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L102)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [AddBeneficiariesOptions](../interfaces/AddBeneficiariesOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="addBeneficiary"></a>

###  addBeneficiary

▸ **addBeneficiary**(options: * [AddBeneficiaryOptions](../interfaces/AddBeneficiaryOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/fixedReputationAllocation.ts:84](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L84)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [AddBeneficiaryOptions](../interfaces/AddBeneficiaryOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="getAvatar"></a>

###  getAvatar

▸ **getAvatar**(): `Promise`<[Address](../#Address)>

*Defined in [wrappers/fixedReputationAllocation.ts:164](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L164)*

**Returns:** `Promise`<[Address](../#Address)>

___
<a id="getBeneficiaryAdded"></a>

###  getBeneficiaryAdded

▸ **getBeneficiaryAdded**(beneficiaryAddress: *[Address](../#Address)*): `Promise`<`boolean`>

*Defined in [wrappers/fixedReputationAllocation.ts:174](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L174)*

Get a promise of boolean indicating whether the given beneficiary has been added.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| beneficiaryAddress | [Address](../#Address) |   |

**Returns:** `Promise`<`boolean`>

___
<a id="getBeneficiaryReward"></a>

###  getBeneficiaryReward

▸ **getBeneficiaryReward**(): `Promise`<`BigNumber`>

*Defined in [wrappers/fixedReputationAllocation.ts:160](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L160)*

Get a promise of reputation rewardable per beneficiary

**Returns:** `Promise`<`BigNumber`>

___
<a id="getDefaultPermissions"></a>

###  getDefaultPermissions

▸ **getDefaultPermissions**(): [SchemePermissions](../enums/SchemePermissions.md)

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getDefaultPermissions](../interfaces/ISchemeWrapper.md#getDefaultPermissions)*

*Inherited from [SchemeWrapperBase](SchemeWrapperBase.md).[getDefaultPermissions](SchemeWrapperBase.md#getDefaultPermissions)*

*Defined in [schemeWrapperBase.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/schemeWrapperBase.ts#L14)*

Minimum permissions required by the scheme

**Returns:** [SchemePermissions](../enums/SchemePermissions.md)

___
<a id="getIsEnable"></a>

###  getIsEnable

▸ **getIsEnable**(): `Promise`<`boolean`>

*Defined in [wrappers/fixedReputationAllocation.ts:147](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L147)*

**Returns:** `Promise`<`boolean`>

___
<a id="getNumberOfBeneficiaries"></a>

###  getNumberOfBeneficiaries

▸ **getNumberOfBeneficiaries**(): `Promise`<`number`>

*Defined in [wrappers/fixedReputationAllocation.ts:151](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L151)*

**Returns:** `Promise`<`number`>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<`any`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParameters](ContractWrapperBase.md#getParameters)*

*Defined in [contractWrapperBase.ts:118](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L118)*

Given a hash, returns the associated parameters as an object.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`any`>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [contractWrapperBase.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L127)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getRedeemEnableTime"></a>

###  getRedeemEnableTime

▸ **getRedeemEnableTime**(): `Promise`<`Date`>

*Defined in [wrappers/fixedReputationAllocation.ts:134](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L134)*

Get a promise of the first date/time when anything can be redeemed

**Returns:** `Promise`<`Date`>

___
<a id="getReputationReward"></a>

###  getReputationReward

▸ **getReputationReward**(): `Promise`<`BigNumber`>

*Defined in [wrappers/fixedReputationAllocation.ts:143](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L143)*

Get a promise of the total reputation potentially redeemable

**Returns:** `Promise`<`BigNumber`>

___
<a id="getSchemePermissions"></a>

###  getSchemePermissions

▸ **getSchemePermissions**(avatarAddress: *[Address](../#Address)*): `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getSchemePermissions](../interfaces/ISchemeWrapper.md#getSchemePermissions)*

*Inherited from [SchemeWrapperBase](SchemeWrapperBase.md).[getSchemePermissions](SchemeWrapperBase.md#getSchemePermissions)*

*Defined in [schemeWrapperBase.ts:22](https://github.com/daostack/arc.js/blob/6f704389/lib/schemeWrapperBase.ts#L22)*

Returns the scheme permissions.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromAt](../interfaces/ISchemeWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromNew](../interfaces/ISchemeWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="initialize"></a>

###  initialize

▸ **initialize**(options: *[FixedReputationAllocationInitializeOptions](../interfaces/FixedReputationAllocationInitializeOptions.md)*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/fixedReputationAllocation.ts:19](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L19)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options | [FixedReputationAllocationInitializeOptions](../interfaces/FixedReputationAllocationInitializeOptions.md) |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="redeem"></a>

###  redeem

▸ **redeem**(options: * [FixedReputationAllocationRedeemOptions](../interfaces/FixedReputationAllocationRedeemOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/fixedReputationAllocation.ts:58](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L58)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [FixedReputationAllocationRedeemOptions](../interfaces/FixedReputationAllocationRedeemOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="setEnabled"></a>

###  setEnabled

▸ **setEnabled**(options?: *`TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/fixedReputationAllocation.ts:120](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/fixedReputationAllocation.ts#L120)*

**Parameters:**

| Param | Type | Default value |
| ------ | ------ | ------ |
| `Default value` options | `TxGeneratingFunctionOptions` |  {} |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___

