[API Reference](../README.md) > [IntVoteInterfaceFactoryType](../classes/IntVoteInterfaceFactoryType.md)

# Class: IntVoteInterfaceFactoryType

## Hierarchy

 [ContractWrapperFactory](ContractWrapperFactory.md)<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

**↳ IntVoteInterfaceFactoryType**

## Implements

* [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

## Index

### Constructors

* [constructor](IntVoteInterfaceFactoryType.md#constructor)

### Methods

* [at](IntVoteInterfaceFactoryType.md#at)
* [deployed](IntVoteInterfaceFactoryType.md#deployed)
* [ensureSolidityContract](IntVoteInterfaceFactoryType.md#ensureSolidityContract)
* [new](IntVoteInterfaceFactoryType.md#new)
* [clearContractCache](IntVoteInterfaceFactoryType.md#clearContractCache)
* [setConfigService](IntVoteInterfaceFactoryType.md#setConfigService)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new IntVoteInterfaceFactoryType**(solidityContractName: *`string`*, wrapper: *`object`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [IntVoteInterfaceFactoryType](IntVoteInterfaceFactoryType.md)

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[constructor](ContractWrapperFactory.md#constructor)*

*Defined in [contractWrapperFactory.ts:33](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L33)*

Connstructor to create a contract wrapper factory for the given Arc contract name and wrapper class.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContractName | `string` |
| wrapper | `object` |  Class of the contract |
| web3EventService | [Web3EventService](Web3EventService.md) |

**Returns:** [IntVoteInterfaceFactoryType](IntVoteInterfaceFactoryType.md)

___

## Methods

<a id="at"></a>

###  at

▸ **at**(address: *`string`*): `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[at](ContractWrapperFactory.md#at)*

*Defined in [contractWrapperFactory.ts:80](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L80)*

Return a wrapper around the contract, hydrated from the given address. Returns undefined if not found.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |   |

**Returns:** `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

___
<a id="deployed"></a>

###  deployed

▸ **deployed**(): `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

*Overrides [ContractWrapperFactory](ContractWrapperFactory.md).[deployed](ContractWrapperFactory.md#deployed)*

*Defined in [wrappers/intVoteInterface.ts:378](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L378)*

**Returns:** `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

___
<a id="ensureSolidityContract"></a>

###  ensureSolidityContract

▸ **ensureSolidityContract**(): `Promise`<`any`>

*Implementation of [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md).[ensureSolidityContract](../interfaces/IContractWrapperFactory.md#ensureSolidityContract)*

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[ensureSolidityContract](ContractWrapperFactory.md#ensureSolidityContract)*

*Defined in [contractWrapperFactory.ts:110](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L110)*

**Returns:** `Promise`<`any`>

___
<a id="new"></a>

###  new

▸ **new**(): `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

*Overrides [ContractWrapperFactory](ContractWrapperFactory.md).[new](ContractWrapperFactory.md#new)*

*Defined in [wrappers/intVoteInterface.ts:375](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/intVoteInterface.ts#L375)*

**Returns:** `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

___
<a id="clearContractCache"></a>

### `<Static>` clearContractCache

▸ **clearContractCache**(): `void`

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[clearContractCache](ContractWrapperFactory.md#clearContractCache)*

*Defined in [contractWrapperFactory.ts:21](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L21)*

**Returns:** `void`

___
<a id="setConfigService"></a>

### `<Static>` setConfigService

▸ **setConfigService**(configService: *[IConfigService](../interfaces/IConfigService.md)*): `void`

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[setConfigService](ContractWrapperFactory.md#setConfigService)*

*Defined in [contractWrapperFactory.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L17)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| configService | [IConfigService](../interfaces/IConfigService.md) |

**Returns:** `void`

___

