[API Reference](../README.md) > [MintableTokenWrapper](../classes/MintableTokenWrapper.md)

# Class: MintableTokenWrapper

## Hierarchy

↳  [StandardTokenWrapper](StandardTokenWrapper.md)

**↳ MintableTokenWrapper**

↳  [DaoTokenWrapper](DaoTokenWrapper.md)

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)

## Index

### Constructors

* [constructor](MintableTokenWrapper.md#constructor)

### Properties

* [Approval](MintableTokenWrapper.md#Approval)
* [Mint](MintableTokenWrapper.md#Mint)
* [MintFinished](MintableTokenWrapper.md#MintFinished)
* [Transfer](MintableTokenWrapper.md#Transfer)
* [contract](MintableTokenWrapper.md#contract)
* [factory](MintableTokenWrapper.md#factory)
* [friendlyName](MintableTokenWrapper.md#friendlyName)
* [name](MintableTokenWrapper.md#name)

### Accessors

* [address](MintableTokenWrapper.md#address)

### Methods

* [allowance](MintableTokenWrapper.md#allowance)
* [approve](MintableTokenWrapper.md#approve)
* [decreaseApproval](MintableTokenWrapper.md#decreaseApproval)
* [estimateGas](MintableTokenWrapper.md#estimateGas)
* [finishMinting](MintableTokenWrapper.md#finishMinting)
* [getBalanceOf](MintableTokenWrapper.md#getBalanceOf)
* [getParameters](MintableTokenWrapper.md#getParameters)
* [getParametersArray](MintableTokenWrapper.md#getParametersArray)
* [getTotalSupply](MintableTokenWrapper.md#getTotalSupply)
* [hydrateFromAt](MintableTokenWrapper.md#hydrateFromAt)
* [hydrateFromNew](MintableTokenWrapper.md#hydrateFromNew)
* [increaseApproval](MintableTokenWrapper.md#increaseApproval)
* [mint](MintableTokenWrapper.md#mint)
* [transfer](MintableTokenWrapper.md#transfer)
* [transferFrom](MintableTokenWrapper.md#transferFrom)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new MintableTokenWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [MintableTokenWrapper](MintableTokenWrapper.md)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

ContractWrapperFactory constructs this

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContract | `any` |  The json contract truffle artifact |
| web3EventService | [Web3EventService](Web3EventService.md) |   |

**Returns:** [MintableTokenWrapper](MintableTokenWrapper.md)

___

## Properties

<a id="Approval"></a>

###  Approval

**● Approval**: *[EventFetcherFactory](../#EventFetcherFactory)<[ApprovalEventResult](../interfaces/ApprovalEventResult.md)>*

*Inherited from [StandardTokenWrapper](StandardTokenWrapper.md).[Approval](StandardTokenWrapper.md#Approval)*

*Defined in [wrappers/standardToken.ts:16](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L16)*

___
<a id="Mint"></a>

###  Mint

**● Mint**: *[EventFetcherFactory](../#EventFetcherFactory)<[MintEventResult](../interfaces/MintEventResult.md)>*

*Defined in [wrappers/mintableToken.ts:22](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L22)*

___
<a id="MintFinished"></a>

###  MintFinished

**● MintFinished**: *[EventFetcherFactory](../#EventFetcherFactory)<[MintFinishedEventResult](../interfaces/MintFinishedEventResult.md)>*

*Defined in [wrappers/mintableToken.ts:23](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L23)*

___
<a id="Transfer"></a>

###  Transfer

**● Transfer**: *[EventFetcherFactory](../#EventFetcherFactory)<[TransferEventResult](../interfaces/TransferEventResult.md)>*

*Inherited from [StandardTokenWrapper](StandardTokenWrapper.md).[Transfer](StandardTokenWrapper.md#Transfer)*

*Defined in [wrappers/standardToken.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L17)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[contract](../interfaces/IContractWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[MintableTokenWrapper](MintableTokenWrapper.md)>* =  MintableTokenFactory

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[factory](../interfaces/IContractWrapper.md#factory)*

*Overrides [StandardTokenWrapper](StandardTokenWrapper.md).[factory](StandardTokenWrapper.md#factory)*

*Defined in [wrappers/mintableToken.ts:20](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L20)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Mintable Token"

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[friendlyName](../interfaces/IContractWrapper.md#friendlyName)*

*Overrides [StandardTokenWrapper](StandardTokenWrapper.md).[friendlyName](StandardTokenWrapper.md#friendlyName)*

*Defined in [wrappers/mintableToken.ts:19](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L19)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "MintableToken"

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[name](../interfaces/IContractWrapper.md#name)*

*Overrides [StandardTokenWrapper](StandardTokenWrapper.md).[name](StandardTokenWrapper.md#name)*

*Defined in [wrappers/mintableToken.ts:18](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L18)*

___

## Accessors

<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="allowance"></a>

###  allowance

▸ **allowance**(options: *[StandardTokenAllowanceOptions](../interfaces/StandardTokenAllowanceOptions.md)*): `Promise`<`BigNumber`>

*Inherited from [StandardTokenWrapper](StandardTokenWrapper.md).[allowance](StandardTokenWrapper.md#allowance)*

*Defined in [wrappers/standardToken.ts:198](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L198)*

Returns a promise of the number of tokens that the given account "spender" is currently allowed to transfer from the given token holder's account.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options | [StandardTokenAllowanceOptions](../interfaces/StandardTokenAllowanceOptions.md) |   |

**Returns:** `Promise`<`BigNumber`>

___
<a id="approve"></a>

###  approve

▸ **approve**(options: * [StandardTokenApproveOptions](../interfaces/StandardTokenApproveOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Overrides [StandardTokenWrapper](StandardTokenWrapper.md).[approve](StandardTokenWrapper.md#approve)*

*Defined in [wrappers/mintableToken.ts:68](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L68)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [StandardTokenApproveOptions](../interfaces/StandardTokenApproveOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="decreaseApproval"></a>

###  decreaseApproval

▸ **decreaseApproval**(options: * [StandardTokenChangeApprovalOptions](../interfaces/StandardTokenChangeApprovalOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Overrides [StandardTokenWrapper](StandardTokenWrapper.md).[decreaseApproval](StandardTokenWrapper.md#decreaseApproval)*

*Defined in [wrappers/mintableToken.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L100)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [StandardTokenChangeApprovalOptions](../interfaces/StandardTokenChangeApprovalOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="finishMinting"></a>

###  finishMinting

▸ **finishMinting**(options?: *`TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/mintableToken.ts:56](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L56)*

Terminate the ability to mint tokens

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| `Optional` options | `TxGeneratingFunctionOptions` |   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="getBalanceOf"></a>

###  getBalanceOf

▸ **getBalanceOf**(account: *[Address](../#Address)*): `Promise`<`BigNumber`>

*Inherited from [StandardTokenWrapper](StandardTokenWrapper.md).[getBalanceOf](StandardTokenWrapper.md#getBalanceOf)*

*Defined in [wrappers/standardToken.ts:175](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L175)*

Returns a promise of the given account's current token balance.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| account | [Address](../#Address) |   |

**Returns:** `Promise`<`BigNumber`>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<`any`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParameters](ContractWrapperBase.md#getParameters)*

*Defined in [contractWrapperBase.ts:118](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L118)*

Given a hash, returns the associated parameters as an object.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`any`>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [contractWrapperBase.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L127)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getTotalSupply"></a>

###  getTotalSupply

▸ **getTotalSupply**(): `Promise`<`BigNumber`>

*Inherited from [StandardTokenWrapper](StandardTokenWrapper.md).[getTotalSupply](StandardTokenWrapper.md#getTotalSupply)*

*Defined in [wrappers/standardToken.ts:187](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L187)*

Returns a promise of the token's total number of tokens.

**Returns:** `Promise`<`BigNumber`>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[hydrateFromAt](../interfaces/IContractWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[hydrateFromNew](../interfaces/IContractWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="increaseApproval"></a>

###  increaseApproval

▸ **increaseApproval**(options: * [StandardTokenChangeApprovalOptions](../interfaces/StandardTokenChangeApprovalOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Overrides [StandardTokenWrapper](StandardTokenWrapper.md).[increaseApproval](StandardTokenWrapper.md#increaseApproval)*

*Defined in [wrappers/mintableToken.ts:92](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L92)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [StandardTokenChangeApprovalOptions](../interfaces/StandardTokenChangeApprovalOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="mint"></a>

###  mint

▸ **mint**(options: * [MintableTokenMintOptions](../interfaces/MintableTokenMintOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/mintableToken.ts:29](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L29)*

Mint tokens to recipient

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [MintableTokenMintOptions](../interfaces/MintableTokenMintOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="transfer"></a>

###  transfer

▸ **transfer**(options: * [StandardTokenTransferOptions](../interfaces/StandardTokenTransferOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Overrides [StandardTokenWrapper](StandardTokenWrapper.md).[transfer](StandardTokenWrapper.md#transfer)*

*Defined in [wrappers/mintableToken.ts:76](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L76)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [StandardTokenTransferOptions](../interfaces/StandardTokenTransferOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="transferFrom"></a>

###  transferFrom

▸ **transferFrom**(options: * [StandardTokenTransferFromOptions](../interfaces/StandardTokenTransferFromOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Overrides [StandardTokenWrapper](StandardTokenWrapper.md).[transferFrom](StandardTokenWrapper.md#transferFrom)*

*Defined in [wrappers/mintableToken.ts:84](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/mintableToken.ts#L84)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [StandardTokenTransferFromOptions](../interfaces/StandardTokenTransferFromOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___

