[API Reference](../README.md) > [ReputationFactoryType](../classes/ReputationFactoryType.md)

# Class: ReputationFactoryType

## Hierarchy

 [ContractWrapperFactory](ContractWrapperFactory.md)<[ReputationWrapper](ReputationWrapper.md)>

**↳ ReputationFactoryType**

## Implements

* [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[ReputationWrapper](ReputationWrapper.md)>

## Index

### Constructors

* [constructor](ReputationFactoryType.md#constructor)

### Methods

* [at](ReputationFactoryType.md#at)
* [deployed](ReputationFactoryType.md#deployed)
* [ensureSolidityContract](ReputationFactoryType.md#ensureSolidityContract)
* [new](ReputationFactoryType.md#new)
* [clearContractCache](ReputationFactoryType.md#clearContractCache)
* [setConfigService](ReputationFactoryType.md#setConfigService)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new ReputationFactoryType**(solidityContractName: *`string`*, wrapper: *`object`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [ReputationFactoryType](ReputationFactoryType.md)

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[constructor](ContractWrapperFactory.md#constructor)*

*Defined in [contractWrapperFactory.ts:33](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L33)*

Connstructor to create a contract wrapper factory for the given Arc contract name and wrapper class.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContractName | `string` |
| wrapper | `object` |  Class of the contract |
| web3EventService | [Web3EventService](Web3EventService.md) |

**Returns:** [ReputationFactoryType](ReputationFactoryType.md)

___

## Methods

<a id="at"></a>

###  at

▸ **at**(address: *`string`*): `Promise`<[ReputationWrapper](ReputationWrapper.md)>

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[at](ContractWrapperFactory.md#at)*

*Defined in [contractWrapperFactory.ts:80](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L80)*

Return a wrapper around the contract, hydrated from the given address. Returns undefined if not found.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |   |

**Returns:** `Promise`<[ReputationWrapper](ReputationWrapper.md)>

___
<a id="deployed"></a>

###  deployed

▸ **deployed**(): `Promise`<[ReputationWrapper](ReputationWrapper.md)>

*Overrides [ContractWrapperFactory](ContractWrapperFactory.md).[deployed](ContractWrapperFactory.md#deployed)*

*Defined in [wrappers/reputation.ts:128](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L128)*

**Returns:** `Promise`<[ReputationWrapper](ReputationWrapper.md)>

___
<a id="ensureSolidityContract"></a>

###  ensureSolidityContract

▸ **ensureSolidityContract**(): `Promise`<`any`>

*Implementation of [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md).[ensureSolidityContract](../interfaces/IContractWrapperFactory.md#ensureSolidityContract)*

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[ensureSolidityContract](ContractWrapperFactory.md#ensureSolidityContract)*

*Defined in [contractWrapperFactory.ts:110](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L110)*

**Returns:** `Promise`<`any`>

___
<a id="new"></a>

###  new

▸ **new**(...rest: *`Array`<`any`>*): `Promise`<[ReputationWrapper](ReputationWrapper.md)>

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[new](ContractWrapperFactory.md#new)*

*Defined in [contractWrapperFactory.ts:51](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L51)*

Deploy a new instance of the contract and return a wrapper around it.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| `Rest` rest | `Array`<`any`> |  Optional arguments to the Arc contracts constructor. |

**Returns:** `Promise`<[ReputationWrapper](ReputationWrapper.md)>

___
<a id="clearContractCache"></a>

### `<Static>` clearContractCache

▸ **clearContractCache**(): `void`

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[clearContractCache](ContractWrapperFactory.md#clearContractCache)*

*Defined in [contractWrapperFactory.ts:21](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L21)*

**Returns:** `void`

___
<a id="setConfigService"></a>

### `<Static>` setConfigService

▸ **setConfigService**(configService: *[IConfigService](../interfaces/IConfigService.md)*): `void`

*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[setConfigService](ContractWrapperFactory.md#setConfigService)*

*Defined in [contractWrapperFactory.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperFactory.ts#L17)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| configService | [IConfigService](../interfaces/IConfigService.md) |

**Returns:** `void`

___

