[API Reference](../README.md) > [ReputationWrapper](../classes/ReputationWrapper.md)

# Class: ReputationWrapper

## Hierarchy

 [ContractWrapperBase](ContractWrapperBase.md)

**↳ ReputationWrapper**

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)

## Index

### Constructors

* [constructor](ReputationWrapper.md#constructor)

### Properties

* [Burn](ReputationWrapper.md#Burn)
* [Mint](ReputationWrapper.md#Mint)
* [contract](ReputationWrapper.md#contract)
* [factory](ReputationWrapper.md#factory)
* [friendlyName](ReputationWrapper.md#friendlyName)
* [name](ReputationWrapper.md#name)

### Accessors

* [address](ReputationWrapper.md#address)

### Methods

* [burn](ReputationWrapper.md#burn)
* [estimateGas](ReputationWrapper.md#estimateGas)
* [getBalanceOf](ReputationWrapper.md#getBalanceOf)
* [getBalanceOfAt](ReputationWrapper.md#getBalanceOfAt)
* [getParameters](ReputationWrapper.md#getParameters)
* [getParametersArray](ReputationWrapper.md#getParametersArray)
* [getTotalSupply](ReputationWrapper.md#getTotalSupply)
* [getTotalSupplyAt](ReputationWrapper.md#getTotalSupplyAt)
* [hydrateFromAt](ReputationWrapper.md#hydrateFromAt)
* [hydrateFromNew](ReputationWrapper.md#hydrateFromNew)
* [mint](ReputationWrapper.md#mint)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new ReputationWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [ReputationWrapper](ReputationWrapper.md)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

ContractWrapperFactory constructs this

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContract | `any` |  The json contract truffle artifact |
| web3EventService | [Web3EventService](Web3EventService.md) |   |

**Returns:** [ReputationWrapper](ReputationWrapper.md)

___

## Properties

<a id="Burn"></a>

###  Burn

**● Burn**: *[EventFetcherFactory](../#EventFetcherFactory)<[ReputationBurnEventResult](../interfaces/ReputationBurnEventResult.md)>*

*Defined in [wrappers/reputation.ts:18](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L18)*

___
<a id="Mint"></a>

###  Mint

**● Mint**: *[EventFetcherFactory](../#EventFetcherFactory)<[ReputationMintEventResult](../interfaces/ReputationMintEventResult.md)>*

*Defined in [wrappers/reputation.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L17)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[contract](../interfaces/IContractWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[ReputationWrapper](ReputationWrapper.md)>* =  ReputationFactory

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[factory](../interfaces/IContractWrapper.md#factory)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[factory](ContractWrapperBase.md#factory)*

*Defined in [wrappers/reputation.ts:15](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L15)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Reputation"

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[friendlyName](../interfaces/IContractWrapper.md#friendlyName)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[friendlyName](ContractWrapperBase.md#friendlyName)*

*Defined in [wrappers/reputation.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L14)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "Reputation"

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[name](../interfaces/IContractWrapper.md#name)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[name](ContractWrapperBase.md#name)*

*Defined in [wrappers/reputation.ts:13](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L13)*

___

## Accessors

<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="burn"></a>

###  burn

▸ **burn**(options: * [ReputationBurnOptions](../interfaces/ReputationBurnOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/reputation.ts:51](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L51)*

Remove reputation from the given account.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [ReputationBurnOptions](../interfaces/ReputationBurnOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="getBalanceOf"></a>

###  getBalanceOf

▸ **getBalanceOf**(accountAddress: *[Address](../#Address)*): `Promise`<`BigNumber`>

*Defined in [wrappers/reputation.ts:87](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L87)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| accountAddress | [Address](../#Address) |

**Returns:** `Promise`<`BigNumber`>

___
<a id="getBalanceOfAt"></a>

###  getBalanceOfAt

▸ **getBalanceOfAt**(accountAddress: *[Address](../#Address)*, blockNumber: *`number`*): `Promise`<`BigNumber`>

*Defined in [wrappers/reputation.ts:103](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L103)*

Queries the balance of `accountAddress` at the given `blockNumber`

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| accountAddress | [Address](../#Address) |  \- |
| blockNumber | `number` |   |

**Returns:** `Promise`<`BigNumber`>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<`any`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParameters](ContractWrapperBase.md#getParameters)*

*Defined in [contractWrapperBase.ts:118](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L118)*

Given a hash, returns the associated parameters as an object.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`any`>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [contractWrapperBase.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L127)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getTotalSupply"></a>

###  getTotalSupply

▸ **getTotalSupply**(): `Promise`<`BigNumber`>

*Defined in [wrappers/reputation.ts:74](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L74)*

**Returns:** `Promise`<`BigNumber`>

___
<a id="getTotalSupplyAt"></a>

###  getTotalSupplyAt

▸ **getTotalSupplyAt**(blockNumber: *`number`*): `Promise`<`BigNumber`>

*Defined in [wrappers/reputation.ts:82](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L82)*

Total amount of reputation at the given `blockNumber`.

**Parameters:**

| Param | Type |
| ------ | ------ |
| blockNumber | `number` |

**Returns:** `Promise`<`BigNumber`>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[hydrateFromAt](../interfaces/IContractWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[hydrateFromNew](../interfaces/IContractWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="mint"></a>

###  mint

▸ **mint**(options: * [ReputationMintOptions](../interfaces/ReputationMintOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/reputation.ts:24](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/reputation.ts#L24)*

Mint reputation to the given recipient

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [ReputationMintOptions](../interfaces/ReputationMintOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___

