[API Reference](../README.md) > [SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)

# Class: SchemeRegistrarWrapper

## Hierarchy

↳  [ProposalGeneratorBase](ProposalGeneratorBase.md)

**↳ SchemeRegistrarWrapper**

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)
* [ISchemeWrapper](../interfaces/ISchemeWrapper.md)

## Index

### Constructors

* [constructor](SchemeRegistrarWrapper.md#constructor)

### Properties

* [NewSchemeProposal](SchemeRegistrarWrapper.md#NewSchemeProposal)
* [ProposalDeleted](SchemeRegistrarWrapper.md#ProposalDeleted)
* [ProposalExecuted](SchemeRegistrarWrapper.md#ProposalExecuted)
* [RemoveSchemeProposal](SchemeRegistrarWrapper.md#RemoveSchemeProposal)
* [contract](SchemeRegistrarWrapper.md#contract)
* [factory](SchemeRegistrarWrapper.md#factory)
* [friendlyName](SchemeRegistrarWrapper.md#friendlyName)
* [name](SchemeRegistrarWrapper.md#name)

### Accessors

* [address](SchemeRegistrarWrapper.md#address)

### Methods

* [estimateGas](SchemeRegistrarWrapper.md#estimateGas)
* [getDefaultPermissions](SchemeRegistrarWrapper.md#getDefaultPermissions)
* [getExecutedProposals](SchemeRegistrarWrapper.md#getExecutedProposals)
* [getParameters](SchemeRegistrarWrapper.md#getParameters)
* [getParametersArray](SchemeRegistrarWrapper.md#getParametersArray)
* [getParametersHash](SchemeRegistrarWrapper.md#getParametersHash)
* [getSchemeParameters](SchemeRegistrarWrapper.md#getSchemeParameters)
* [getSchemeParametersHash](SchemeRegistrarWrapper.md#getSchemeParametersHash)
* [getSchemePermissions](SchemeRegistrarWrapper.md#getSchemePermissions)
* [getVotableAddSchemeProposals](SchemeRegistrarWrapper.md#getVotableAddSchemeProposals)
* [getVotableProposal](SchemeRegistrarWrapper.md#getVotableProposal)
* [getVotableRemoveSchemeProposals](SchemeRegistrarWrapper.md#getVotableRemoveSchemeProposals)
* [getVotingMachine](SchemeRegistrarWrapper.md#getVotingMachine)
* [getVotingMachineAddress](SchemeRegistrarWrapper.md#getVotingMachineAddress)
* [hydrateFromAt](SchemeRegistrarWrapper.md#hydrateFromAt)
* [hydrateFromNew](SchemeRegistrarWrapper.md#hydrateFromNew)
* [proposeToAddModifyScheme](SchemeRegistrarWrapper.md#proposeToAddModifyScheme)
* [proposeToRemoveScheme](SchemeRegistrarWrapper.md#proposeToRemoveScheme)
* [setParameters](SchemeRegistrarWrapper.md#setParameters)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new SchemeRegistrarWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [SchemeRegistrarWrapper](SchemeRegistrarWrapper.md)

*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[constructor](ProposalGeneratorBase.md#constructor)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [proposalGeneratorBase.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalGeneratorBase.ts#L17)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| solidityContract | `any` |
| web3EventService | [Web3EventService](Web3EventService.md) |

**Returns:** [SchemeRegistrarWrapper](SchemeRegistrarWrapper.md)

___

## Properties

<a id="NewSchemeProposal"></a>

###  NewSchemeProposal

**● NewSchemeProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[NewSchemeProposalEventResult](../interfaces/NewSchemeProposalEventResult.md)>*

*Defined in [wrappers/schemeRegistrar.ts:30](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L30)*

Events

___
<a id="ProposalDeleted"></a>

###  ProposalDeleted

**● ProposalDeleted**: *[EventFetcherFactory](../#EventFetcherFactory)<[ProposalDeletedEventResult](../interfaces/ProposalDeletedEventResult.md)>*

*Defined in [wrappers/schemeRegistrar.ts:33](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L33)*

___
<a id="ProposalExecuted"></a>

###  ProposalExecuted

**● ProposalExecuted**: *[EventFetcherFactory](../#EventFetcherFactory)<[SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>*

*Defined in [wrappers/schemeRegistrar.ts:32](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L32)*

___
<a id="RemoveSchemeProposal"></a>

###  RemoveSchemeProposal

**● RemoveSchemeProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[RemoveSchemeProposalEventResult](../interfaces/RemoveSchemeProposalEventResult.md)>*

*Defined in [wrappers/schemeRegistrar.ts:31](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L31)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[contract](../interfaces/ISchemeWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[SchemeRegistrarWrapper](SchemeRegistrarWrapper.md)>* =  SchemeRegistrarFactory

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[factory](../interfaces/ISchemeWrapper.md#factory)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[factory](ContractWrapperBase.md#factory)*

*Defined in [wrappers/schemeRegistrar.ts:25](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L25)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Scheme Registrar"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[friendlyName](../interfaces/ISchemeWrapper.md#friendlyName)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[friendlyName](ContractWrapperBase.md#friendlyName)*

*Defined in [wrappers/schemeRegistrar.ts:24](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L24)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "SchemeRegistrar"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[name](../interfaces/ISchemeWrapper.md#name)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[name](ContractWrapperBase.md#name)*

*Defined in [wrappers/schemeRegistrar.ts:23](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L23)*

___

## Accessors

<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="getDefaultPermissions"></a>

###  getDefaultPermissions

▸ **getDefaultPermissions**(): [SchemePermissions](../enums/SchemePermissions.md)

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getDefaultPermissions](../interfaces/ISchemeWrapper.md#getDefaultPermissions)*

*Overrides [SchemeWrapperBase](SchemeWrapperBase.md).[getDefaultPermissions](SchemeWrapperBase.md#getDefaultPermissions)*

*Defined in [wrappers/schemeRegistrar.ts:153](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L153)*

**Returns:** [SchemePermissions](../enums/SchemePermissions.md)

___
<a id="getExecutedProposals"></a>

###  getExecutedProposals

▸ **getExecutedProposals**(avatarAddress: *[Address](../#Address)*): [EntityFetcherFactory](../#EntityFetcherFactory)<[SchemeProposalExecuted](../interfaces/SchemeProposalExecuted.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>

*Defined in [wrappers/schemeRegistrar.ts:228](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L228)*

EntityFetcherFactory for executed proposals.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** [EntityFetcherFactory](../#EntityFetcherFactory)<[SchemeProposalExecuted](../interfaces/SchemeProposalExecuted.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<[SchemeRegistrarParams](../interfaces/SchemeRegistrarParams.md)>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[getParameters](USchemeWrapperBase.md#getParameters)*

*Defined in [wrappers/schemeRegistrar.ts:165](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L165)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| paramsHash | [Hash](../#Hash) |

**Returns:** `Promise`<[SchemeRegistrarParams](../interfaces/SchemeRegistrarParams.md)>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Inherited from [USchemeWrapperBase](USchemeWrapperBase.md).[getParametersArray](USchemeWrapperBase.md#getParametersArray)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [uSchemeWrapperBase.ts:45](https://github.com/daostack/arc.js/blob/6f704389/lib/uSchemeWrapperBase.ts#L45)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getParametersHash"></a>

###  getParametersHash

▸ **getParametersHash**(params: *[SchemeRegistrarParams](../interfaces/SchemeRegistrarParams.md)*): `Promise`<[Hash](../#Hash)>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[getParametersHash](USchemeWrapperBase.md#getParametersHash)*

*Defined in [wrappers/schemeRegistrar.ts:130](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L130)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params | [SchemeRegistrarParams](../interfaces/SchemeRegistrarParams.md) |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="getSchemeParameters"></a>

###  getSchemeParameters

▸ **getSchemeParameters**(avatarAddress: *[Address](../#Address)*): `Promise`<[SchemeRegistrarParams](../interfaces/SchemeRegistrarParams.md)>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[getSchemeParameters](USchemeWrapperBase.md#getSchemeParameters)*

*Defined in [wrappers/schemeRegistrar.ts:161](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L161)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |

**Returns:** `Promise`<[SchemeRegistrarParams](../interfaces/SchemeRegistrarParams.md)>

___
<a id="getSchemeParametersHash"></a>

###  getSchemeParametersHash

▸ **getSchemeParametersHash**(avatarAddress: *[Address](../#Address)*): `Promise`<[Hash](../#Hash)>

*Inherited from [USchemeWrapperBase](USchemeWrapperBase.md).[getSchemeParametersHash](USchemeWrapperBase.md#getSchemeParametersHash)*

*Defined in [uSchemeWrapperBase.ts:34](https://github.com/daostack/arc.js/blob/6f704389/lib/uSchemeWrapperBase.ts#L34)*

Given an avatar address, returns the schemes parameters hash

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="getSchemePermissions"></a>

###  getSchemePermissions

▸ **getSchemePermissions**(avatarAddress: *[Address](../#Address)*): `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getSchemePermissions](../interfaces/ISchemeWrapper.md#getSchemePermissions)*

*Overrides [SchemeWrapperBase](SchemeWrapperBase.md).[getSchemePermissions](SchemeWrapperBase.md#getSchemePermissions)*

*Defined in [wrappers/schemeRegistrar.ts:157](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L157)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |

**Returns:** `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

___
<a id="getVotableAddSchemeProposals"></a>

###  getVotableAddSchemeProposals

▸ **getVotableAddSchemeProposals**(avatarAddress: *[Address](../#Address)*): `Promise`<[EntityFetcherFactory](../#EntityFetcherFactory)<[VotableSchemeRegistrarProposal](../interfaces/VotableSchemeRegistrarProposal.md), [NewSchemeProposalEventResult](../interfaces/NewSchemeProposalEventResult.md)>>

*Defined in [wrappers/schemeRegistrar.ts:178](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L178)*

EntityFetcherFactory for votable SchemeRegistrarProposal.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[EntityFetcherFactory](../#EntityFetcherFactory)<[VotableSchemeRegistrarProposal](../interfaces/VotableSchemeRegistrarProposal.md), [NewSchemeProposalEventResult](../interfaces/NewSchemeProposalEventResult.md)>>

___
<a id="getVotableProposal"></a>

###  getVotableProposal

▸ **getVotableProposal**(avatarAddress: *[Address](../#Address)*, proposalId: *[Hash](../#Hash)*): `Promise`<[VotableSchemeRegistrarProposal](../interfaces/VotableSchemeRegistrarProposal.md)>

*Defined in [wrappers/schemeRegistrar.ts:246](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L246)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |
| proposalId | [Hash](../#Hash) |

**Returns:** `Promise`<[VotableSchemeRegistrarProposal](../interfaces/VotableSchemeRegistrarProposal.md)>

___
<a id="getVotableRemoveSchemeProposals"></a>

###  getVotableRemoveSchemeProposals

▸ **getVotableRemoveSchemeProposals**(avatarAddress: *[Address](../#Address)*): `Promise`<[EntityFetcherFactory](../#EntityFetcherFactory)<[VotableSchemeRegistrarProposal](../interfaces/VotableSchemeRegistrarProposal.md), [RemoveSchemeProposalEventResult](../interfaces/RemoveSchemeProposalEventResult.md)>>

*Defined in [wrappers/schemeRegistrar.ts:203](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L203)*

EntityFetcherFactory for votable SchemeRegistrarProposal.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[EntityFetcherFactory](../#EntityFetcherFactory)<[VotableSchemeRegistrarProposal](../interfaces/VotableSchemeRegistrarProposal.md), [RemoveSchemeProposalEventResult](../interfaces/RemoveSchemeProposalEventResult.md)>>

___
<a id="getVotingMachine"></a>

###  getVotingMachine

▸ **getVotingMachine**(avatarAddress: *[Address](../#Address)*): `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[getVotingMachine](ProposalGeneratorBase.md#getVotingMachine)*

*Defined in [proposalGeneratorBase.ts:37](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalGeneratorBase.ts#L37)*

Return IntVoteInterfaceWrapper for this scheme as registered with the given avatar.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

___
<a id="getVotingMachineAddress"></a>

###  getVotingMachineAddress

▸ **getVotingMachineAddress**(avatarAddress: *[Address](../#Address)*): `Promise`<[Address](../#Address)>

*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[getVotingMachineAddress](ProposalGeneratorBase.md#getVotingMachineAddress)*

*Defined in [proposalGeneratorBase.ts:29](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalGeneratorBase.ts#L29)*

Return the address of the voting machine for this scheme as registered with the given avatar.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[Address](../#Address)>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromAt](../interfaces/ISchemeWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromNew](../interfaces/ISchemeWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="proposeToAddModifyScheme"></a>

###  proposeToAddModifyScheme

▸ **proposeToAddModifyScheme**(options?: *[ProposeToAddModifySchemeParams](../interfaces/ProposeToAddModifySchemeParams.md)*): `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

*Defined in [wrappers/schemeRegistrar.ts:39](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L39)*

Submit a proposal to add or modify a given scheme.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` options | [ProposeToAddModifySchemeParams](../interfaces/ProposeToAddModifySchemeParams.md) |  {} as ProposeToAddModifySchemeParams &amp; TxGeneratingFunctionOptions |   |

**Returns:** `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

___
<a id="proposeToRemoveScheme"></a>

###  proposeToRemoveScheme

▸ **proposeToRemoveScheme**(options?: *[ProposeToRemoveSchemeParams](../interfaces/ProposeToRemoveSchemeParams.md)*): `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

*Defined in [wrappers/schemeRegistrar.ts:106](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L106)*

Submit a proposal to remove a given scheme.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` options | [ProposeToRemoveSchemeParams](../interfaces/ProposeToRemoveSchemeParams.md) |  {} as ProposeToRemoveSchemeParams &amp; TxGeneratingFunctionOptions |   |

**Returns:** `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

___
<a id="setParameters"></a>

###  setParameters

▸ **setParameters**(params: * [SchemeRegistrarParams](../interfaces/SchemeRegistrarParams.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[setParameters](USchemeWrapperBase.md#setParameters)*

*Defined in [wrappers/schemeRegistrar.ts:138](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L138)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params |  [SchemeRegistrarParams](../interfaces/SchemeRegistrarParams.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

___

