[API Reference](../README.md) > [StandardTokenWrapper](../classes/StandardTokenWrapper.md)

# Class: StandardTokenWrapper

## Hierarchy

 [ContractWrapperBase](ContractWrapperBase.md)

**↳ StandardTokenWrapper**

↳  [MintableTokenWrapper](MintableTokenWrapper.md)

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)

## Index

### Constructors

* [constructor](StandardTokenWrapper.md#constructor)

### Properties

* [Approval](StandardTokenWrapper.md#Approval)
* [Transfer](StandardTokenWrapper.md#Transfer)
* [contract](StandardTokenWrapper.md#contract)
* [factory](StandardTokenWrapper.md#factory)
* [friendlyName](StandardTokenWrapper.md#friendlyName)
* [name](StandardTokenWrapper.md#name)

### Accessors

* [address](StandardTokenWrapper.md#address)

### Methods

* [allowance](StandardTokenWrapper.md#allowance)
* [approve](StandardTokenWrapper.md#approve)
* [decreaseApproval](StandardTokenWrapper.md#decreaseApproval)
* [estimateGas](StandardTokenWrapper.md#estimateGas)
* [getBalanceOf](StandardTokenWrapper.md#getBalanceOf)
* [getParameters](StandardTokenWrapper.md#getParameters)
* [getParametersArray](StandardTokenWrapper.md#getParametersArray)
* [getTotalSupply](StandardTokenWrapper.md#getTotalSupply)
* [hydrateFromAt](StandardTokenWrapper.md#hydrateFromAt)
* [hydrateFromNew](StandardTokenWrapper.md#hydrateFromNew)
* [increaseApproval](StandardTokenWrapper.md#increaseApproval)
* [transfer](StandardTokenWrapper.md#transfer)
* [transferFrom](StandardTokenWrapper.md#transferFrom)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new StandardTokenWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [StandardTokenWrapper](StandardTokenWrapper.md)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

ContractWrapperFactory constructs this

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContract | `any` |  The json contract truffle artifact |
| web3EventService | [Web3EventService](Web3EventService.md) |   |

**Returns:** [StandardTokenWrapper](StandardTokenWrapper.md)

___

## Properties

<a id="Approval"></a>

###  Approval

**● Approval**: *[EventFetcherFactory](../#EventFetcherFactory)<[ApprovalEventResult](../interfaces/ApprovalEventResult.md)>*

*Defined in [wrappers/standardToken.ts:16](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L16)*

___
<a id="Transfer"></a>

###  Transfer

**● Transfer**: *[EventFetcherFactory](../#EventFetcherFactory)<[TransferEventResult](../interfaces/TransferEventResult.md)>*

*Defined in [wrappers/standardToken.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L17)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[contract](../interfaces/IContractWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[StandardTokenWrapper](StandardTokenWrapper.md)>* =  StandardTokenFactory

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[factory](../interfaces/IContractWrapper.md#factory)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[factory](ContractWrapperBase.md#factory)*

*Defined in [wrappers/standardToken.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L14)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Standard Token"

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[friendlyName](../interfaces/IContractWrapper.md#friendlyName)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[friendlyName](ContractWrapperBase.md#friendlyName)*

*Defined in [wrappers/standardToken.ts:13](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L13)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "StandardToken"

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[name](../interfaces/IContractWrapper.md#name)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[name](ContractWrapperBase.md#name)*

*Defined in [wrappers/standardToken.ts:12](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L12)*

___

## Accessors

<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="allowance"></a>

###  allowance

▸ **allowance**(options: *[StandardTokenAllowanceOptions](../interfaces/StandardTokenAllowanceOptions.md)*): `Promise`<`BigNumber`>

*Defined in [wrappers/standardToken.ts:198](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L198)*

Returns a promise of the number of tokens that the given account "spender" is currently allowed to transfer from the given token holder's account.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options | [StandardTokenAllowanceOptions](../interfaces/StandardTokenAllowanceOptions.md) |   |

**Returns:** `Promise`<`BigNumber`>

___
<a id="approve"></a>

###  approve

▸ **approve**(options: * [StandardTokenApproveOptions](../interfaces/StandardTokenApproveOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/standardToken.ts:24](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L24)*

Approve transfer of tokens by msg.sender (or `onBehalfOf`, if given) from the given "spender".

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [StandardTokenApproveOptions](../interfaces/StandardTokenApproveOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="decreaseApproval"></a>

###  decreaseApproval

▸ **decreaseApproval**(options: * [StandardTokenChangeApprovalOptions](../interfaces/StandardTokenChangeApprovalOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/standardToken.ts:147](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L147)*

Decrease the number of tokens approved that msg.sender (or `onBehalfOf` if given) may transfer from the given "spender".

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [StandardTokenChangeApprovalOptions](../interfaces/StandardTokenChangeApprovalOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="getBalanceOf"></a>

###  getBalanceOf

▸ **getBalanceOf**(account: *[Address](../#Address)*): `Promise`<`BigNumber`>

*Defined in [wrappers/standardToken.ts:175](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L175)*

Returns a promise of the given account's current token balance.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| account | [Address](../#Address) |   |

**Returns:** `Promise`<`BigNumber`>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<`any`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParameters](ContractWrapperBase.md#getParameters)*

*Defined in [contractWrapperBase.ts:118](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L118)*

Given a hash, returns the associated parameters as an object.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`any`>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [contractWrapperBase.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L127)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getTotalSupply"></a>

###  getTotalSupply

▸ **getTotalSupply**(): `Promise`<`BigNumber`>

*Defined in [wrappers/standardToken.ts:187](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L187)*

Returns a promise of the token's total number of tokens.

**Returns:** `Promise`<`BigNumber`>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[hydrateFromAt](../interfaces/IContractWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[hydrateFromNew](../interfaces/IContractWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="increaseApproval"></a>

###  increaseApproval

▸ **increaseApproval**(options: * [StandardTokenChangeApprovalOptions](../interfaces/StandardTokenChangeApprovalOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/standardToken.ts:118](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L118)*

Increase the number of tokens approved that msg.sender (or `onBehalfOf`, if given) may transfer from the given "spender".

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [StandardTokenChangeApprovalOptions](../interfaces/StandardTokenChangeApprovalOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="transfer"></a>

###  transfer

▸ **transfer**(options: * [StandardTokenTransferOptions](../interfaces/StandardTokenTransferOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/standardToken.ts:51](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L51)*

Transfer tokens from the current account to another.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [StandardTokenTransferOptions](../interfaces/StandardTokenTransferOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="transferFrom"></a>

###  transferFrom

▸ **transferFrom**(options: * [StandardTokenTransferFromOptions](../interfaces/StandardTokenTransferFromOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/standardToken.ts:82](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L82)*

Transfer tokens from one address to another.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [StandardTokenTransferFromOptions](../interfaces/StandardTokenTransferFromOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___

