[API Reference](../README.md) > [TokenCapGCWrapper](../classes/TokenCapGCWrapper.md)

# Class: TokenCapGCWrapper

## Hierarchy

 [ContractWrapperBase](ContractWrapperBase.md)

**↳ TokenCapGCWrapper**

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)

## Index

### Constructors

* [constructor](TokenCapGCWrapper.md#constructor)

### Properties

* [contract](TokenCapGCWrapper.md#contract)
* [factory](TokenCapGCWrapper.md#factory)
* [friendlyName](TokenCapGCWrapper.md#friendlyName)
* [name](TokenCapGCWrapper.md#name)

### Accessors

* [address](TokenCapGCWrapper.md#address)

### Methods

* [estimateGas](TokenCapGCWrapper.md#estimateGas)
* [getParameters](TokenCapGCWrapper.md#getParameters)
* [getParametersArray](TokenCapGCWrapper.md#getParametersArray)
* [getParametersHash](TokenCapGCWrapper.md#getParametersHash)
* [getRegisteredParameters](TokenCapGCWrapper.md#getRegisteredParameters)
* [getRegisteredParametersHash](TokenCapGCWrapper.md#getRegisteredParametersHash)
* [hydrateFromAt](TokenCapGCWrapper.md#hydrateFromAt)
* [hydrateFromNew](TokenCapGCWrapper.md#hydrateFromNew)
* [setParameters](TokenCapGCWrapper.md#setParameters)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new TokenCapGCWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [TokenCapGCWrapper](TokenCapGCWrapper.md)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

ContractWrapperFactory constructs this

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContract | `any` |  The json contract truffle artifact |
| web3EventService | [Web3EventService](Web3EventService.md) |   |

**Returns:** [TokenCapGCWrapper](TokenCapGCWrapper.md)

___

## Properties

<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[contract](../interfaces/IContractWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[TokenCapGCWrapper](TokenCapGCWrapper.md)>* =  TokenCapGCFactory

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[factory](../interfaces/IContractWrapper.md#factory)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[factory](ContractWrapperBase.md#factory)*

*Defined in [wrappers/tokenCapGC.ts:15](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/tokenCapGC.ts#L15)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Token Cap Global Constraint"

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[friendlyName](../interfaces/IContractWrapper.md#friendlyName)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[friendlyName](ContractWrapperBase.md#friendlyName)*

*Defined in [wrappers/tokenCapGC.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/tokenCapGC.ts#L14)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "TokenCapGC"

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[name](../interfaces/IContractWrapper.md#name)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[name](ContractWrapperBase.md#name)*

*Defined in [wrappers/tokenCapGC.ts:13](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/tokenCapGC.ts#L13)*

___

## Accessors

<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<[GetTokenCapGcParamsResult](../interfaces/GetTokenCapGcParamsResult.md)>

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[getParameters](ContractWrapperBase.md#getParameters)*

*Defined in [wrappers/tokenCapGC.ts:42](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/tokenCapGC.ts#L42)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| paramsHash | [Hash](../#Hash) |

**Returns:** `Promise`<[GetTokenCapGcParamsResult](../interfaces/GetTokenCapGcParamsResult.md)>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [contractWrapperBase.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L127)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getParametersHash"></a>

###  getParametersHash

▸ **getParametersHash**(params: *[TokenCapGcParams](../interfaces/TokenCapGcParams.md)*): `Promise`<[Hash](../#Hash)>

*Defined in [wrappers/tokenCapGC.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/tokenCapGC.ts#L17)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params | [TokenCapGcParams](../interfaces/TokenCapGcParams.md) |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="getRegisteredParameters"></a>

###  getRegisteredParameters

▸ **getRegisteredParameters**(avatarAddress: *[Address](../#Address)*): `Promise`<[GetTokenCapGcParamsResult](../interfaces/GetTokenCapGcParamsResult.md)>

*Defined in [wrappers/tokenCapGC.ts:56](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/tokenCapGC.ts#L56)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |

**Returns:** `Promise`<[GetTokenCapGcParamsResult](../interfaces/GetTokenCapGcParamsResult.md)>

___
<a id="getRegisteredParametersHash"></a>

###  getRegisteredParametersHash

▸ **getRegisteredParametersHash**(avatarAddress: *[Address](../#Address)*): `Promise`<[Hash](../#Hash)>

*Defined in [wrappers/tokenCapGC.ts:50](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/tokenCapGC.ts#L50)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[hydrateFromAt](../interfaces/IContractWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [IContractWrapper](../interfaces/IContractWrapper.md).[hydrateFromNew](../interfaces/IContractWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="setParameters"></a>

###  setParameters

▸ **setParameters**(params: * [TokenCapGcParams](../interfaces/TokenCapGcParams.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

*Defined in [wrappers/tokenCapGC.ts:23](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/tokenCapGC.ts#L23)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params |  [TokenCapGcParams](../interfaces/TokenCapGcParams.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

___

