[API Reference](../README.md) > [VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)

# Class: VestingSchemeWrapper

## Hierarchy

↳  [ProposalGeneratorBase](ProposalGeneratorBase.md)

**↳ VestingSchemeWrapper**

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)
* [ISchemeWrapper](../interfaces/ISchemeWrapper.md)

## Index

### Constructors

* [constructor](VestingSchemeWrapper.md#constructor)

### Properties

* [AgreementCancel](VestingSchemeWrapper.md#AgreementCancel)
* [AgreementProposal](VestingSchemeWrapper.md#AgreementProposal)
* [Collect](VestingSchemeWrapper.md#Collect)
* [NewVestedAgreement](VestingSchemeWrapper.md#NewVestedAgreement)
* [ProposalExecuted](VestingSchemeWrapper.md#ProposalExecuted)
* [ProposedVestedAgreement](VestingSchemeWrapper.md#ProposedVestedAgreement)
* [RevokeSignToCancelAgreement](VestingSchemeWrapper.md#RevokeSignToCancelAgreement)
* [SignToCancelAgreement](VestingSchemeWrapper.md#SignToCancelAgreement)
* [contract](VestingSchemeWrapper.md#contract)
* [factory](VestingSchemeWrapper.md#factory)
* [friendlyName](VestingSchemeWrapper.md#friendlyName)
* [name](VestingSchemeWrapper.md#name)

### Accessors

* [address](VestingSchemeWrapper.md#address)

### Methods

* [collect](VestingSchemeWrapper.md#collect)
* [create](VestingSchemeWrapper.md#create)
* [estimateGas](VestingSchemeWrapper.md#estimateGas)
* [getAgreement](VestingSchemeWrapper.md#getAgreement)
* [getDefaultPermissions](VestingSchemeWrapper.md#getDefaultPermissions)
* [getExecutedProposals](VestingSchemeWrapper.md#getExecutedProposals)
* [getParameters](VestingSchemeWrapper.md#getParameters)
* [getParametersArray](VestingSchemeWrapper.md#getParametersArray)
* [getParametersHash](VestingSchemeWrapper.md#getParametersHash)
* [getProposalAgreementId](VestingSchemeWrapper.md#getProposalAgreementId)
* [getSchemeParameters](VestingSchemeWrapper.md#getSchemeParameters)
* [getSchemeParametersHash](VestingSchemeWrapper.md#getSchemeParametersHash)
* [getSchemePermissions](VestingSchemeWrapper.md#getSchemePermissions)
* [getVotableProposal](VestingSchemeWrapper.md#getVotableProposal)
* [getVotableProposals](VestingSchemeWrapper.md#getVotableProposals)
* [getVotingMachine](VestingSchemeWrapper.md#getVotingMachine)
* [getVotingMachineAddress](VestingSchemeWrapper.md#getVotingMachineAddress)
* [hydrateFromAt](VestingSchemeWrapper.md#hydrateFromAt)
* [hydrateFromNew](VestingSchemeWrapper.md#hydrateFromNew)
* [proposeVestingAgreement](VestingSchemeWrapper.md#proposeVestingAgreement)
* [revokeSignToCancel](VestingSchemeWrapper.md#revokeSignToCancel)
* [setParameters](VestingSchemeWrapper.md#setParameters)
* [signToCancel](VestingSchemeWrapper.md#signToCancel)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new VestingSchemeWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [VestingSchemeWrapper](VestingSchemeWrapper.md)

*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[constructor](ProposalGeneratorBase.md#constructor)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [proposalGeneratorBase.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalGeneratorBase.ts#L17)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| solidityContract | `any` |
| web3EventService | [Web3EventService](Web3EventService.md) |

**Returns:** [VestingSchemeWrapper](VestingSchemeWrapper.md)

___

## Properties

<a id="AgreementCancel"></a>

###  AgreementCancel

**● AgreementCancel**: *[EventFetcherFactory](../#EventFetcherFactory)<[AgreementCancelEventResult](../interfaces/AgreementCancelEventResult.md)>*

*Defined in [wrappers/vestingScheme.ts:50](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L50)*

___
<a id="AgreementProposal"></a>

###  AgreementProposal

**● AgreementProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[AgreementProposalEventResult](../interfaces/AgreementProposalEventResult.md)>*

*Defined in [wrappers/vestingScheme.ts:43](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L43)*

fired when a proposal is submitted to create an agreement

___
<a id="Collect"></a>

###  Collect

**● Collect**: *[EventFetcherFactory](../#EventFetcherFactory)<[CollectEventResult](../interfaces/CollectEventResult.md)>*

*Defined in [wrappers/vestingScheme.ts:51](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L51)*

___
<a id="NewVestedAgreement"></a>

###  NewVestedAgreement

**● NewVestedAgreement**: *[EventFetcherFactory](../#EventFetcherFactory)<[NewVestedAgreementEventResult](../interfaces/NewVestedAgreementEventResult.md)>*

*Defined in [wrappers/vestingScheme.ts:47](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L47)*

fired when an agreement is created through `create` (not-through a proposal process)

___
<a id="ProposalExecuted"></a>

###  ProposalExecuted

**● ProposalExecuted**: *[EventFetcherFactory](../#EventFetcherFactory)<[SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>*

*Defined in [wrappers/vestingScheme.ts:35](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L35)*

fired when a proposal is executed whether an agreement is created or not.

___
<a id="ProposedVestedAgreement"></a>

###  ProposedVestedAgreement

**● ProposedVestedAgreement**: *[EventFetcherFactory](../#EventFetcherFactory)<[ProposedVestedAgreementEventResult](../interfaces/ProposedVestedAgreementEventResult.md)>*

*Defined in [wrappers/vestingScheme.ts:39](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L39)*

fired when proposal is executed and an agreement is created

___
<a id="RevokeSignToCancelAgreement"></a>

###  RevokeSignToCancelAgreement

**● RevokeSignToCancelAgreement**: *[EventFetcherFactory](../#EventFetcherFactory)<[RevokeSignToCancelAgreementEventResult](../interfaces/RevokeSignToCancelAgreementEventResult.md)>*

*Defined in [wrappers/vestingScheme.ts:49](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L49)*

___
<a id="SignToCancelAgreement"></a>

###  SignToCancelAgreement

**● SignToCancelAgreement**: *[EventFetcherFactory](../#EventFetcherFactory)<[SignToCancelAgreementEventResult](../interfaces/SignToCancelAgreementEventResult.md)>*

*Defined in [wrappers/vestingScheme.ts:48](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L48)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[contract](../interfaces/ISchemeWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[VestingSchemeWrapper](VestingSchemeWrapper.md)>* =  VestingSchemeFactory

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[factory](../interfaces/ISchemeWrapper.md#factory)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[factory](ContractWrapperBase.md#factory)*

*Defined in [wrappers/vestingScheme.ts:27](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L27)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Vesting Scheme"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[friendlyName](../interfaces/ISchemeWrapper.md#friendlyName)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[friendlyName](ContractWrapperBase.md#friendlyName)*

*Defined in [wrappers/vestingScheme.ts:26](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L26)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "VestingScheme"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[name](../interfaces/ISchemeWrapper.md#name)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[name](ContractWrapperBase.md#name)*

*Defined in [wrappers/vestingScheme.ts:25](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L25)*

___

## Accessors

<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="collect"></a>

###  collect

▸ **collect**(options?: *[CollectVestingAgreementConfig](../interfaces/CollectVestingAgreementConfig.md)*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/vestingScheme.ts:217](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L217)*

Collects for a beneficiary, according to the agreement

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` options | [CollectVestingAgreementConfig](../interfaces/CollectVestingAgreementConfig.md) |  {} as CollectVestingAgreementConfig &amp; TxGeneratingFunctionOptions |   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="create"></a>

###  create

▸ **create**(options?: *[CreateVestingAgreementConfig](../interfaces/CreateVestingAgreementConfig.md)*): `Promise`<[ArcTransactionAgreementResult](ArcTransactionAgreementResult.md)>

*Defined in [wrappers/vestingScheme.ts:104](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L104)*

Create a new vesting agreement

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` options | [CreateVestingAgreementConfig](../interfaces/CreateVestingAgreementConfig.md) |  {} as CreateVestingAgreementConfig &amp; TxGeneratingFunctionOptions |   |

**Returns:** `Promise`<[ArcTransactionAgreementResult](ArcTransactionAgreementResult.md)>

___
<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="getAgreement"></a>

###  getAgreement

▸ **getAgreement**(agreementId: *`number`*): `Promise`<[Agreement](../interfaces/Agreement.md)>

*Defined in [wrappers/vestingScheme.ts:296](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L296)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| agreementId | `number` |

**Returns:** `Promise`<[Agreement](../interfaces/Agreement.md)>

___
<a id="getDefaultPermissions"></a>

###  getDefaultPermissions

▸ **getDefaultPermissions**(): [SchemePermissions](../enums/SchemePermissions.md)

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getDefaultPermissions](../interfaces/ISchemeWrapper.md#getDefaultPermissions)*

*Overrides [SchemeWrapperBase](SchemeWrapperBase.md).[getDefaultPermissions](SchemeWrapperBase.md#getDefaultPermissions)*

*Defined in [wrappers/vestingScheme.ts:324](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L324)*

**Returns:** [SchemePermissions](../enums/SchemePermissions.md)

___
<a id="getExecutedProposals"></a>

###  getExecutedProposals

▸ **getExecutedProposals**(avatarAddress: *[Address](../#Address)*): [EntityFetcherFactory](../#EntityFetcherFactory)<[VestingSchemeSchemeProposalExecuted](../interfaces/VestingSchemeSchemeProposalExecuted.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>

*Defined in [wrappers/vestingScheme.ts:258](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L258)*

EntityFetcherFactory for executed proposals.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** [EntityFetcherFactory](../#EntityFetcherFactory)<[VestingSchemeSchemeProposalExecuted](../interfaces/VestingSchemeSchemeProposalExecuted.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<[StandardSchemeParams](../interfaces/StandardSchemeParams.md)>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[getParameters](USchemeWrapperBase.md#getParameters)*

*Defined in [wrappers/vestingScheme.ts:336](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L336)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| paramsHash | [Hash](../#Hash) |

**Returns:** `Promise`<[StandardSchemeParams](../interfaces/StandardSchemeParams.md)>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Inherited from [USchemeWrapperBase](USchemeWrapperBase.md).[getParametersArray](USchemeWrapperBase.md#getParametersArray)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [uSchemeWrapperBase.ts:45](https://github.com/daostack/arc.js/blob/6f704389/lib/uSchemeWrapperBase.ts#L45)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getParametersHash"></a>

###  getParametersHash

▸ **getParametersHash**(params: *[StandardSchemeParams](../interfaces/StandardSchemeParams.md)*): `Promise`<[Hash](../#Hash)>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[getParametersHash](USchemeWrapperBase.md#getParametersHash)*

*Defined in [wrappers/vestingScheme.ts:303](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L303)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params | [StandardSchemeParams](../interfaces/StandardSchemeParams.md) |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="getProposalAgreementId"></a>

###  getProposalAgreementId

▸ **getProposalAgreementId**(proposalId: *[Hash](../#Hash)*): `Promise`<`number`>

*Defined in [wrappers/vestingScheme.ts:283](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L283)*

Returns a promise of the agreementId associated with the given proposal. The result is 0 if the proposal has not been executed or is not found.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| proposalId | [Hash](../#Hash) |   |

**Returns:** `Promise`<`number`>

___
<a id="getSchemeParameters"></a>

###  getSchemeParameters

▸ **getSchemeParameters**(avatarAddress: *[Address](../#Address)*): `Promise`<[StandardSchemeParams](../interfaces/StandardSchemeParams.md)>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[getSchemeParameters](USchemeWrapperBase.md#getSchemeParameters)*

*Defined in [wrappers/vestingScheme.ts:332](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L332)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |

**Returns:** `Promise`<[StandardSchemeParams](../interfaces/StandardSchemeParams.md)>

___
<a id="getSchemeParametersHash"></a>

###  getSchemeParametersHash

▸ **getSchemeParametersHash**(avatarAddress: *[Address](../#Address)*): `Promise`<[Hash](../#Hash)>

*Inherited from [USchemeWrapperBase](USchemeWrapperBase.md).[getSchemeParametersHash](USchemeWrapperBase.md#getSchemeParametersHash)*

*Defined in [uSchemeWrapperBase.ts:34](https://github.com/daostack/arc.js/blob/6f704389/lib/uSchemeWrapperBase.ts#L34)*

Given an avatar address, returns the schemes parameters hash

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="getSchemePermissions"></a>

###  getSchemePermissions

▸ **getSchemePermissions**(avatarAddress: *[Address](../#Address)*): `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getSchemePermissions](../interfaces/ISchemeWrapper.md#getSchemePermissions)*

*Overrides [SchemeWrapperBase](SchemeWrapperBase.md).[getSchemePermissions](SchemeWrapperBase.md#getSchemePermissions)*

*Defined in [wrappers/vestingScheme.ts:328](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L328)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |

**Returns:** `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

___
<a id="getVotableProposal"></a>

###  getVotableProposal

▸ **getVotableProposal**(avatarAddress: *[Address](../#Address)*, proposalId: *[Hash](../#Hash)*): `Promise`<[AgreementProposal](../interfaces/AgreementProposal.md)>

*Defined in [wrappers/vestingScheme.ts:289](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L289)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |
| proposalId | [Hash](../#Hash) |

**Returns:** `Promise`<[AgreementProposal](../interfaces/AgreementProposal.md)>

___
<a id="getVotableProposals"></a>

###  getVotableProposals

▸ **getVotableProposals**(avatarAddress: *[Address](../#Address)*): `Promise`<[EntityFetcherFactory](../#EntityFetcherFactory)<[AgreementProposal](../interfaces/AgreementProposal.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>>

*Defined in [wrappers/vestingScheme.ts:238](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L238)*

EntityFetcherFactory for votable Agreement.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[EntityFetcherFactory](../#EntityFetcherFactory)<[AgreementProposal](../interfaces/AgreementProposal.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>>

___
<a id="getVotingMachine"></a>

###  getVotingMachine

▸ **getVotingMachine**(avatarAddress: *[Address](../#Address)*): `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[getVotingMachine](ProposalGeneratorBase.md#getVotingMachine)*

*Defined in [proposalGeneratorBase.ts:37](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalGeneratorBase.ts#L37)*

Return IntVoteInterfaceWrapper for this scheme as registered with the given avatar.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

___
<a id="getVotingMachineAddress"></a>

###  getVotingMachineAddress

▸ **getVotingMachineAddress**(avatarAddress: *[Address](../#Address)*): `Promise`<[Address](../#Address)>

*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[getVotingMachineAddress](ProposalGeneratorBase.md#getVotingMachineAddress)*

*Defined in [proposalGeneratorBase.ts:29](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalGeneratorBase.ts#L29)*

Return the address of the voting machine for this scheme as registered with the given avatar.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[Address](../#Address)>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromAt](../interfaces/ISchemeWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromNew](../interfaces/ISchemeWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="proposeVestingAgreement"></a>

###  proposeVestingAgreement

▸ **proposeVestingAgreement**(options?: *[ProposeVestingAgreementConfig](../interfaces/ProposeVestingAgreementConfig.md)*): `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

*Defined in [wrappers/vestingScheme.ts:64](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L64)*

Submit a proposal to create a vesting agreement.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` options | [ProposeVestingAgreementConfig](../interfaces/ProposeVestingAgreementConfig.md) |  {} as ProposeVestingAgreementConfig &amp; TxGeneratingFunctionOptions |   |

**Returns:** `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

___
<a id="revokeSignToCancel"></a>

###  revokeSignToCancel

▸ **revokeSignToCancel**(options?: *[RevokeSignToCancelVestingAgreementConfig](../interfaces/RevokeSignToCancelVestingAgreementConfig.md)*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/vestingScheme.ts:195](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L195)*

Revoke vote for cancelling a vesting agreement

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` options | [RevokeSignToCancelVestingAgreementConfig](../interfaces/RevokeSignToCancelVestingAgreementConfig.md) |{} as RevokeSignToCancelVestingAgreementConfig &amp; TxGeneratingFunctionOptions |   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___
<a id="setParameters"></a>

###  setParameters

▸ **setParameters**(params: * [StandardSchemeParams](../interfaces/StandardSchemeParams.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[setParameters](USchemeWrapperBase.md#setParameters)*

*Defined in [wrappers/vestingScheme.ts:310](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L310)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params |  [StandardSchemeParams](../interfaces/StandardSchemeParams.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

___
<a id="signToCancel"></a>

###  signToCancel

▸ **signToCancel**(options?: *[SignToCancelVestingAgreementConfig](../interfaces/SignToCancelVestingAgreementConfig.md)*): `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

*Defined in [wrappers/vestingScheme.ts:173](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L173)*

Sign to cancel a vesting agreement

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` options | [SignToCancelVestingAgreementConfig](../interfaces/SignToCancelVestingAgreementConfig.md) |{} as SignToCancelVestingAgreementConfig &amp; TxGeneratingFunctionOptions |   |

**Returns:** `Promise`<[ArcTransactionResult](ArcTransactionResult.md)>

___

