[API Reference](../README.md) > [VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)

# Class: VoteInOrganizationSchemeWrapper

## Hierarchy

↳  [ProposalGeneratorBase](ProposalGeneratorBase.md)

**↳ VoteInOrganizationSchemeWrapper**

## Implements

* [IContractWrapper](../interfaces/IContractWrapper.md)
* [ISchemeWrapper](../interfaces/ISchemeWrapper.md)

## Index

### Constructors

* [constructor](VoteInOrganizationSchemeWrapper.md#constructor)

### Properties

* [NewVoteProposal](VoteInOrganizationSchemeWrapper.md#NewVoteProposal)
* [ProposalDeleted](VoteInOrganizationSchemeWrapper.md#ProposalDeleted)
* [ProposalExecuted](VoteInOrganizationSchemeWrapper.md#ProposalExecuted)
* [VoteOnBehalf](VoteInOrganizationSchemeWrapper.md#VoteOnBehalf)
* [contract](VoteInOrganizationSchemeWrapper.md#contract)
* [factory](VoteInOrganizationSchemeWrapper.md#factory)
* [friendlyName](VoteInOrganizationSchemeWrapper.md#friendlyName)
* [name](VoteInOrganizationSchemeWrapper.md#name)

### Accessors

* [address](VoteInOrganizationSchemeWrapper.md#address)

### Methods

* [estimateGas](VoteInOrganizationSchemeWrapper.md#estimateGas)
* [getDefaultPermissions](VoteInOrganizationSchemeWrapper.md#getDefaultPermissions)
* [getExecutedProposals](VoteInOrganizationSchemeWrapper.md#getExecutedProposals)
* [getParameters](VoteInOrganizationSchemeWrapper.md#getParameters)
* [getParametersArray](VoteInOrganizationSchemeWrapper.md#getParametersArray)
* [getParametersHash](VoteInOrganizationSchemeWrapper.md#getParametersHash)
* [getSchemeParameters](VoteInOrganizationSchemeWrapper.md#getSchemeParameters)
* [getSchemeParametersHash](VoteInOrganizationSchemeWrapper.md#getSchemeParametersHash)
* [getSchemePermissions](VoteInOrganizationSchemeWrapper.md#getSchemePermissions)
* [getVotableProposal](VoteInOrganizationSchemeWrapper.md#getVotableProposal)
* [getVotableProposals](VoteInOrganizationSchemeWrapper.md#getVotableProposals)
* [getVotingMachine](VoteInOrganizationSchemeWrapper.md#getVotingMachine)
* [getVotingMachineAddress](VoteInOrganizationSchemeWrapper.md#getVotingMachineAddress)
* [hydrateFromAt](VoteInOrganizationSchemeWrapper.md#hydrateFromAt)
* [hydrateFromNew](VoteInOrganizationSchemeWrapper.md#hydrateFromNew)
* [proposeVoteInOrganization](VoteInOrganizationSchemeWrapper.md#proposeVoteInOrganization)
* [setParameters](VoteInOrganizationSchemeWrapper.md#setParameters)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new VoteInOrganizationSchemeWrapper**(solidityContract: *`any`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [VoteInOrganizationSchemeWrapper](VoteInOrganizationSchemeWrapper.md)

*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[constructor](ProposalGeneratorBase.md#constructor)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[constructor](ContractWrapperBase.md#constructor)*

*Defined in [proposalGeneratorBase.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalGeneratorBase.ts#L17)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| solidityContract | `any` |
| web3EventService | [Web3EventService](Web3EventService.md) |

**Returns:** [VoteInOrganizationSchemeWrapper](VoteInOrganizationSchemeWrapper.md)

___

## Properties

<a id="NewVoteProposal"></a>

###  NewVoteProposal

**● NewVoteProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[NewVoteProposalEventResult](../interfaces/NewVoteProposalEventResult.md)>*

*Defined in [wrappers/voteInOrganizationScheme.ts:31](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L31)*

Events

___
<a id="ProposalDeleted"></a>

###  ProposalDeleted

**● ProposalDeleted**: *[EventFetcherFactory](../#EventFetcherFactory)<[ProposalDeletedEventResult](../interfaces/ProposalDeletedEventResult.md)>*

*Defined in [wrappers/voteInOrganizationScheme.ts:33](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L33)*

___
<a id="ProposalExecuted"></a>

###  ProposalExecuted

**● ProposalExecuted**: *[EventFetcherFactory](../#EventFetcherFactory)<[SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>*

*Defined in [wrappers/voteInOrganizationScheme.ts:32](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L32)*

___
<a id="VoteOnBehalf"></a>

###  VoteOnBehalf

**● VoteOnBehalf**: *[EventFetcherFactory](../#EventFetcherFactory)<[VoteOnBehalfEventResult](../interfaces/VoteOnBehalfEventResult.md)>*

*Defined in [wrappers/voteInOrganizationScheme.ts:34](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L34)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[contract](../interfaces/ISchemeWrapper.md#contract)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[contract](ContractWrapperBase.md#contract)*

*Defined in [contractWrapperBase.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L66)*

The underlying truffle contract object. Use this to access parts of the contract that aren't accessible via the wrapper.

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)<[VoteInOrganizationSchemeWrapper](VoteInOrganizationSchemeWrapper.md)>* =  VoteInOrganizationSchemeFactory

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[factory](../interfaces/ISchemeWrapper.md#factory)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[factory](ContractWrapperBase.md#factory)*

*Defined in [wrappers/voteInOrganizationScheme.ts:26](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L26)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`* = "Vote In Organization Scheme"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[friendlyName](../interfaces/ISchemeWrapper.md#friendlyName)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[friendlyName](ContractWrapperBase.md#friendlyName)*

*Defined in [wrappers/voteInOrganizationScheme.ts:25](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L25)*

___
<a id="name"></a>

###  name

**● name**: *`string`* = "VoteInOrganizationScheme"

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[name](../interfaces/ISchemeWrapper.md#name)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[name](ContractWrapperBase.md#name)*

*Defined in [wrappers/voteInOrganizationScheme.ts:24](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L24)*

___

## Accessors

<a id="address"></a>

###  address

getaddress(): [Address](../#Address)

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[address](ContractWrapperBase.md#address)*

*Defined in [contractWrapperBase.ts:61](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L61)*

The address of the contract

**Returns:** [Address](../#Address)

___

## Methods

<a id="estimateGas"></a>

###  estimateGas

▸ **estimateGas**(func: *[ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)*, params: *`Array`<`any`>*, web3Params?: *`any`*): `Promise`<`number`>

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[estimateGas](ContractWrapperBase.md#estimateGas)*

*Defined in [contractWrapperBase.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L140)*

Estimate conservatively the amount of gas required to execute the given function with the given parameters. Adds 21000 to the estimate computed by web3.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| func | [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md) | - |  The function |
| params | `Array`<`any`> | - |  The parameters to send to the function |
| `Default value` web3Params | `any` |  {} |  The web3 parameters (like "from", for example). If it contains "gas" then that value is returned, effectively a no-op. |

**Returns:** `Promise`<`number`>

___
<a id="getDefaultPermissions"></a>

###  getDefaultPermissions

▸ **getDefaultPermissions**(): [SchemePermissions](../enums/SchemePermissions.md)

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getDefaultPermissions](../interfaces/ISchemeWrapper.md#getDefaultPermissions)*

*Overrides [SchemeWrapperBase](SchemeWrapperBase.md).[getDefaultPermissions](SchemeWrapperBase.md#getDefaultPermissions)*

*Defined in [wrappers/voteInOrganizationScheme.ts:142](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L142)*

**Returns:** [SchemePermissions](../enums/SchemePermissions.md)

___
<a id="getExecutedProposals"></a>

###  getExecutedProposals

▸ **getExecutedProposals**(avatarAddress: *[Address](../#Address)*): [EntityFetcherFactory](../#EntityFetcherFactory)<[SchemeProposalExecuted](../interfaces/SchemeProposalExecuted.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>

*Defined in [wrappers/voteInOrganizationScheme.ts:95](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L95)*

EntityFetcherFactory for executed proposals.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** [EntityFetcherFactory](../#EntityFetcherFactory)<[SchemeProposalExecuted](../interfaces/SchemeProposalExecuted.md), [SchemeProposalExecutedEventResult](../interfaces/SchemeProposalExecutedEventResult.md)>

___
<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<[StandardSchemeParams](../interfaces/StandardSchemeParams.md)>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[getParameters](USchemeWrapperBase.md#getParameters)*

*Defined in [wrappers/voteInOrganizationScheme.ts:154](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L154)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| paramsHash | [Hash](../#Hash) |

**Returns:** `Promise`<[StandardSchemeParams](../interfaces/StandardSchemeParams.md)>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Inherited from [USchemeWrapperBase](USchemeWrapperBase.md).[getParametersArray](USchemeWrapperBase.md#getParametersArray)*

*Overrides [ContractWrapperBase](ContractWrapperBase.md).[getParametersArray](ContractWrapperBase.md#getParametersArray)*

*Defined in [uSchemeWrapperBase.ts:45](https://github.com/daostack/arc.js/blob/6f704389/lib/uSchemeWrapperBase.ts#L45)*

Given a hash, returns the associated parameters as an array, ordered by the order in which the parameters appear in the contract's Parameters struct.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| paramsHash | [Hash](../#Hash) |   |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getParametersHash"></a>

###  getParametersHash

▸ **getParametersHash**(params: *[StandardSchemeParams](../interfaces/StandardSchemeParams.md)*): `Promise`<[Hash](../#Hash)>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[getParametersHash](USchemeWrapperBase.md#getParametersHash)*

*Defined in [wrappers/voteInOrganizationScheme.ts:121](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L121)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params | [StandardSchemeParams](../interfaces/StandardSchemeParams.md) |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="getSchemeParameters"></a>

###  getSchemeParameters

▸ **getSchemeParameters**(avatarAddress: *[Address](../#Address)*): `Promise`<[StandardSchemeParams](../interfaces/StandardSchemeParams.md)>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[getSchemeParameters](USchemeWrapperBase.md#getSchemeParameters)*

*Defined in [wrappers/voteInOrganizationScheme.ts:150](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L150)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |

**Returns:** `Promise`<[StandardSchemeParams](../interfaces/StandardSchemeParams.md)>

___
<a id="getSchemeParametersHash"></a>

###  getSchemeParametersHash

▸ **getSchemeParametersHash**(avatarAddress: *[Address](../#Address)*): `Promise`<[Hash](../#Hash)>

*Inherited from [USchemeWrapperBase](USchemeWrapperBase.md).[getSchemeParametersHash](USchemeWrapperBase.md#getSchemeParametersHash)*

*Defined in [uSchemeWrapperBase.ts:34](https://github.com/daostack/arc.js/blob/6f704389/lib/uSchemeWrapperBase.ts#L34)*

Given an avatar address, returns the schemes parameters hash

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="getSchemePermissions"></a>

###  getSchemePermissions

▸ **getSchemePermissions**(avatarAddress: *[Address](../#Address)*): `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[getSchemePermissions](../interfaces/ISchemeWrapper.md#getSchemePermissions)*

*Overrides [SchemeWrapperBase](SchemeWrapperBase.md).[getSchemePermissions](SchemeWrapperBase.md#getSchemePermissions)*

*Defined in [wrappers/voteInOrganizationScheme.ts:146](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L146)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |

**Returns:** `Promise`<[SchemePermissions](../enums/SchemePermissions.md)>

___
<a id="getVotableProposal"></a>

###  getVotableProposal

▸ **getVotableProposal**(avatarAddress: *[Address](../#Address)*, proposalId: *[Hash](../#Hash)*): `Promise`<[VotableVoteInOrganizationProposal](../interfaces/VotableVoteInOrganizationProposal.md)>

*Defined in [wrappers/voteInOrganizationScheme.ts:113](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L113)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| avatarAddress | [Address](../#Address) |
| proposalId | [Hash](../#Hash) |

**Returns:** `Promise`<[VotableVoteInOrganizationProposal](../interfaces/VotableVoteInOrganizationProposal.md)>

___
<a id="getVotableProposals"></a>

###  getVotableProposals

▸ **getVotableProposals**(avatarAddress: *[Address](../#Address)*): `Promise`<[EntityFetcherFactory](../#EntityFetcherFactory)<[VotableVoteInOrganizationProposal](../interfaces/VotableVoteInOrganizationProposal.md), [NewVoteProposalEventResult](../interfaces/NewVoteProposalEventResult.md)>>

*Defined in [wrappers/voteInOrganizationScheme.ts:74](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L74)*

EntityFetcherFactory for votable VoteInOrganizationProposal.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[EntityFetcherFactory](../#EntityFetcherFactory)<[VotableVoteInOrganizationProposal](../interfaces/VotableVoteInOrganizationProposal.md), [NewVoteProposalEventResult](../interfaces/NewVoteProposalEventResult.md)>>

___
<a id="getVotingMachine"></a>

###  getVotingMachine

▸ **getVotingMachine**(avatarAddress: *[Address](../#Address)*): `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[getVotingMachine](ProposalGeneratorBase.md#getVotingMachine)*

*Defined in [proposalGeneratorBase.ts:37](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalGeneratorBase.ts#L37)*

Return IntVoteInterfaceWrapper for this scheme as registered with the given avatar.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[IntVoteInterfaceWrapper](IntVoteInterfaceWrapper.md)>

___
<a id="getVotingMachineAddress"></a>

###  getVotingMachineAddress

▸ **getVotingMachineAddress**(avatarAddress: *[Address](../#Address)*): `Promise`<[Address](../#Address)>

*Inherited from [ProposalGeneratorBase](ProposalGeneratorBase.md).[getVotingMachineAddress](ProposalGeneratorBase.md#getVotingMachineAddress)*

*Defined in [proposalGeneratorBase.ts:29](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalGeneratorBase.ts#L29)*

Return the address of the voting machine for this scheme as registered with the given avatar.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[Address](../#Address)>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromAt](../interfaces/ISchemeWrapper.md#hydrateFromAt)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromAt](ContractWrapperBase.md#hydrateFromAt)*

*Defined in [contractWrapperBase.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L100)*

Initialize from a given address on the current network.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string` |  of the deployed contract |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this or undefined if not found

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>

*Implementation of [ISchemeWrapper](../interfaces/ISchemeWrapper.md).[hydrateFromNew](../interfaces/ISchemeWrapper.md#hydrateFromNew)*

*Inherited from [ContractWrapperBase](ContractWrapperBase.md).[hydrateFromNew](ContractWrapperBase.md#hydrateFromNew)*

*Defined in [contractWrapperBase.ts:81](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L81)*

Initialize from a newly-migrated instance. This will migrate a new instance of the contract to the net.

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<[IContractWrapper](../interfaces/IContractWrapper.md)>
this

___
<a id="proposeVoteInOrganization"></a>

###  proposeVoteInOrganization

▸ **proposeVoteInOrganization**(options?: *[VoteInOrganizationProposeVoteConfig](../interfaces/VoteInOrganizationProposeVoteConfig.md)*): `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

*Defined in [wrappers/voteInOrganizationScheme.ts:40](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L40)*

Submit a proposal to vote on a proposal in another DAO.

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` options | [VoteInOrganizationProposeVoteConfig](../interfaces/VoteInOrganizationProposeVoteConfig.md) |{} as VoteInOrganizationProposeVoteConfig &amp; TxGeneratingFunctionOptions |   |

**Returns:** `Promise`<[ArcTransactionProposalResult](ArcTransactionProposalResult.md)>

___
<a id="setParameters"></a>

###  setParameters

▸ **setParameters**(params: * [StandardSchemeParams](../interfaces/StandardSchemeParams.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

*Overrides [USchemeWrapperBase](USchemeWrapperBase.md).[setParameters](USchemeWrapperBase.md#setParameters)*

*Defined in [wrappers/voteInOrganizationScheme.ts:128](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/voteInOrganizationScheme.ts#L128)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params |  [StandardSchemeParams](../interfaces/StandardSchemeParams.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionDataResult](ArcTransactionDataResult.md)<[Hash](../#Hash)>>

___

