[API Reference](../README.md) > [Web3EventSubscription](../classes/Web3EventSubscription.md)

# Class: Web3EventSubscription

## Type parameters
#### TEventArgs 
## Hierarchy

**Web3EventSubscription**

## Implements

* [IEventSubscription](../interfaces/IEventSubscription.md)

## Index

### Constructors

* [constructor](Web3EventSubscription.md#constructor)

### Methods

* [unsubscribe](Web3EventSubscription.md#unsubscribe)

---

## Constructors

<a id="constructor"></a>

###  constructor

⊕ **new Web3EventSubscription**(subscription: *[IEventSubscription](../interfaces/IEventSubscription.md)*, fetcher: *[EventFetcher](../interfaces/EventFetcher.md)<`TEventArgs`>*): [Web3EventSubscription](Web3EventSubscription.md)

*Defined in [web3EventService.ts:585](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L585)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| subscription | [IEventSubscription](../interfaces/IEventSubscription.md) |
| fetcher | [EventFetcher](../interfaces/EventFetcher.md)<`TEventArgs`> |

**Returns:** [Web3EventSubscription](Web3EventSubscription.md)

___

## Methods

<a id="unsubscribe"></a>

###  unsubscribe

▸ **unsubscribe**(milliseconds?: *`number`*): `Promise`<`void`>

*Implementation of [IEventSubscription](../interfaces/IEventSubscription.md).[unsubscribe](../interfaces/IEventSubscription.md#unsubscribe)*

*Defined in [web3EventService.ts:595](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L595)*

Unsubscribe from all of the events

**Parameters:**

| Param | Type | Default value | Description |
| ------ | ------ | ------ | ------ |
| `Default value` milliseconds | `number` |  -1 |  number of milliseconds to timeout. Default is -1 which means not to timeout at all. |

**Returns:** `Promise`<`void`>

___

