[API Reference](../README.md) > [Agreement](../interfaces/Agreement.md)

# Interface: Agreement

## Hierarchy

 [AgreementBase](AgreementBase.md)

**↳ Agreement**

## Index

### Properties

* [agreementId](Agreement.md#agreementId)
* [amountPerPeriod](Agreement.md#amountPerPeriod)
* [beneficiaryAddress](Agreement.md#beneficiaryAddress)
* [cliffInPeriods](Agreement.md#cliffInPeriods)
* [collectedPeriods](Agreement.md#collectedPeriods)
* [numOfAgreedPeriods](Agreement.md#numOfAgreedPeriods)
* [periodLength](Agreement.md#periodLength)
* [returnOnCancelAddress](Agreement.md#returnOnCancelAddress)
* [signaturesReqToCancel](Agreement.md#signaturesReqToCancel)
* [startingBlock](Agreement.md#startingBlock)
* [tokenAddress](Agreement.md#tokenAddress)

---

## Properties

<a id="agreementId"></a>

###  agreementId

**● agreementId**: *`number`*

*Defined in [wrappers/vestingScheme.ts:615](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L615)*

___
<a id="amountPerPeriod"></a>

###  amountPerPeriod

**● amountPerPeriod**: *`BigNumber.BigNumber`*

*Inherited from [AgreementBase](AgreementBase.md).[amountPerPeriod](AgreementBase.md#amountPerPeriod)*

*Defined in [wrappers/vestingScheme.ts:619](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L619)*

___
<a id="beneficiaryAddress"></a>

###  beneficiaryAddress

**● beneficiaryAddress**: *[Address](../#Address)*

*Inherited from [AgreementBase](AgreementBase.md).[beneficiaryAddress](AgreementBase.md#beneficiaryAddress)*

*Defined in [wrappers/vestingScheme.ts:620](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L620)*

___
<a id="cliffInPeriods"></a>

###  cliffInPeriods

**● cliffInPeriods**: *`BigNumber.BigNumber`*

*Inherited from [AgreementBase](AgreementBase.md).[cliffInPeriods](AgreementBase.md#cliffInPeriods)*

*Defined in [wrappers/vestingScheme.ts:621](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L621)*

___
<a id="collectedPeriods"></a>

###  collectedPeriods

**● collectedPeriods**: *`BigNumber.BigNumber`*

*Inherited from [AgreementBase](AgreementBase.md).[collectedPeriods](AgreementBase.md#collectedPeriods)*

*Defined in [wrappers/vestingScheme.ts:622](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L622)*

___
<a id="numOfAgreedPeriods"></a>

###  numOfAgreedPeriods

**● numOfAgreedPeriods**: *`BigNumber.BigNumber`*

*Inherited from [AgreementBase](AgreementBase.md).[numOfAgreedPeriods](AgreementBase.md#numOfAgreedPeriods)*

*Defined in [wrappers/vestingScheme.ts:623](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L623)*

___
<a id="periodLength"></a>

###  periodLength

**● periodLength**: *`BigNumber.BigNumber`*

*Inherited from [AgreementBase](AgreementBase.md).[periodLength](AgreementBase.md#periodLength)*

*Defined in [wrappers/vestingScheme.ts:624](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L624)*

___
<a id="returnOnCancelAddress"></a>

###  returnOnCancelAddress

**● returnOnCancelAddress**: *[Address](../#Address)*

*Inherited from [AgreementBase](AgreementBase.md).[returnOnCancelAddress](AgreementBase.md#returnOnCancelAddress)*

*Defined in [wrappers/vestingScheme.ts:625](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L625)*

___
<a id="signaturesReqToCancel"></a>

###  signaturesReqToCancel

**● signaturesReqToCancel**: *`BigNumber.BigNumber`*

*Inherited from [AgreementBase](AgreementBase.md).[signaturesReqToCancel](AgreementBase.md#signaturesReqToCancel)*

*Defined in [wrappers/vestingScheme.ts:626](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L626)*

___
<a id="startingBlock"></a>

###  startingBlock

**● startingBlock**: *`BigNumber.BigNumber`*

*Inherited from [AgreementBase](AgreementBase.md).[startingBlock](AgreementBase.md#startingBlock)*

*Defined in [wrappers/vestingScheme.ts:627](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L627)*

___
<a id="tokenAddress"></a>

###  tokenAddress

**● tokenAddress**: *[Address](../#Address)*

*Inherited from [AgreementBase](AgreementBase.md).[tokenAddress](AgreementBase.md#tokenAddress)*

*Defined in [wrappers/vestingScheme.ts:628](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L628)*

___

