[API Reference](../README.md) > [AgreementBase](../interfaces/AgreementBase.md)

# Interface: AgreementBase

## Hierarchy

**AgreementBase**

↳  [AgreementProposal](AgreementProposal.md)

↳  [Agreement](Agreement.md)

## Index

### Properties

* [amountPerPeriod](AgreementBase.md#amountPerPeriod)
* [beneficiaryAddress](AgreementBase.md#beneficiaryAddress)
* [cliffInPeriods](AgreementBase.md#cliffInPeriods)
* [collectedPeriods](AgreementBase.md#collectedPeriods)
* [numOfAgreedPeriods](AgreementBase.md#numOfAgreedPeriods)
* [periodLength](AgreementBase.md#periodLength)
* [returnOnCancelAddress](AgreementBase.md#returnOnCancelAddress)
* [signaturesReqToCancel](AgreementBase.md#signaturesReqToCancel)
* [startingBlock](AgreementBase.md#startingBlock)
* [tokenAddress](AgreementBase.md#tokenAddress)

---

## Properties

<a id="amountPerPeriod"></a>

###  amountPerPeriod

**● amountPerPeriod**: *`BigNumber.BigNumber`*

*Defined in [wrappers/vestingScheme.ts:619](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L619)*

___
<a id="beneficiaryAddress"></a>

###  beneficiaryAddress

**● beneficiaryAddress**: *[Address](../#Address)*

*Defined in [wrappers/vestingScheme.ts:620](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L620)*

___
<a id="cliffInPeriods"></a>

###  cliffInPeriods

**● cliffInPeriods**: *`BigNumber.BigNumber`*

*Defined in [wrappers/vestingScheme.ts:621](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L621)*

___
<a id="collectedPeriods"></a>

###  collectedPeriods

**● collectedPeriods**: *`BigNumber.BigNumber`*

*Defined in [wrappers/vestingScheme.ts:622](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L622)*

___
<a id="numOfAgreedPeriods"></a>

###  numOfAgreedPeriods

**● numOfAgreedPeriods**: *`BigNumber.BigNumber`*

*Defined in [wrappers/vestingScheme.ts:623](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L623)*

___
<a id="periodLength"></a>

###  periodLength

**● periodLength**: *`BigNumber.BigNumber`*

*Defined in [wrappers/vestingScheme.ts:624](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L624)*

___
<a id="returnOnCancelAddress"></a>

###  returnOnCancelAddress

**● returnOnCancelAddress**: *[Address](../#Address)*

*Defined in [wrappers/vestingScheme.ts:625](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L625)*

___
<a id="signaturesReqToCancel"></a>

###  signaturesReqToCancel

**● signaturesReqToCancel**: *`BigNumber.BigNumber`*

*Defined in [wrappers/vestingScheme.ts:626](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L626)*

___
<a id="startingBlock"></a>

###  startingBlock

**● startingBlock**: *`BigNumber.BigNumber`*

*Defined in [wrappers/vestingScheme.ts:627](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L627)*

___
<a id="tokenAddress"></a>

###  tokenAddress

**● tokenAddress**: *[Address](../#Address)*

*Defined in [wrappers/vestingScheme.ts:628](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L628)*

___

