[API Reference](../README.md) > [ApproveAndCallOptions](../interfaces/ApproveAndCallOptions.md)

# Interface: ApproveAndCallOptions

## Hierarchy

 [StandardTokenApproveOptions](StandardTokenApproveOptions.md)

**↳ ApproveAndCallOptions**

## Index

### Properties

* [amount](ApproveAndCallOptions.md#amount)
* [callData](ApproveAndCallOptions.md#callData)
* [owner](ApproveAndCallOptions.md#owner)
* [spender](ApproveAndCallOptions.md#spender)

---

## Properties

<a id="amount"></a>

###  amount

**● amount**: * `BigNumber` &#124; `string`
*

*Inherited from [StandardTokenApproveOptions](StandardTokenApproveOptions.md).[amount](StandardTokenApproveOptions.md#amount)*

*Defined in [wrappers/standardToken.ts:237](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L237)*

Amount to approve to transfer.

___
<a id="callData"></a>

###  callData

**● callData**: *`string`*

*Defined in [wrappers/iErc827Token.ts:56](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iErc827Token.ts#L56)*

___
<a id="owner"></a>

### `<Optional>` owner

**● owner**: *[Address](../#Address)*

*Inherited from [StandardTokenApproveOptions](StandardTokenApproveOptions.md).[owner](StandardTokenApproveOptions.md#owner)*

*Defined in [wrappers/standardToken.ts:242](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L242)*

The account that has the tokens to spend. Default is msg.sender.

___
<a id="spender"></a>

###  spender

**● spender**: *[Address](../#Address)*

*Inherited from [StandardTokenApproveOptions](StandardTokenApproveOptions.md).[spender](StandardTokenApproveOptions.md#spender)*

*Defined in [wrappers/standardToken.ts:247](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L247)*

The account that will initiate the transfer of tokens on behalf of the owner.

___

