[API Reference](../README.md) > [ArcSchemeWrapperFactories](../interfaces/ArcSchemeWrapperFactories.md)

# Interface: ArcSchemeWrapperFactories

An object with property names being an Arc contract name and the property value being the corresponding contract wrapper factory. Includes both universal and non-universal factories.

## Hierarchy

 [ArcNonUniversalSchemeWrapperFactories](ArcNonUniversalSchemeWrapperFactories.md)

 [ArcUniversalSchemeWrapperFactories](ArcUniversalSchemeWrapperFactories.md)

**↳ ArcSchemeWrapperFactories**

## Index

### Properties

* [Auction4Reputation](ArcSchemeWrapperFactories.md#Auction4Reputation)
* [ContributionReward](ArcSchemeWrapperFactories.md#ContributionReward)
* [ExternalLocking4Reputation](ArcSchemeWrapperFactories.md#ExternalLocking4Reputation)
* [FixedReputationAllocation](ArcSchemeWrapperFactories.md#FixedReputationAllocation)
* [GlobalConstraintRegistrar](ArcSchemeWrapperFactories.md#GlobalConstraintRegistrar)
* [LockingEth4Reputation](ArcSchemeWrapperFactories.md#LockingEth4Reputation)
* [LockingToken4Reputation](ArcSchemeWrapperFactories.md#LockingToken4Reputation)
* [SchemeRegistrar](ArcSchemeWrapperFactories.md#SchemeRegistrar)
* [UpgradeScheme](ArcSchemeWrapperFactories.md#UpgradeScheme)
* [VestingScheme](ArcSchemeWrapperFactories.md#VestingScheme)
* [VoteInOrganizationScheme](ArcSchemeWrapperFactories.md#VoteInOrganizationScheme)

---

## Properties

<a id="Auction4Reputation"></a>

###  Auction4Reputation

**● Auction4Reputation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[Auction4ReputationWrapper](../classes/Auction4ReputationWrapper.md)>*

*Inherited from [ArcNonUniversalSchemeWrapperFactories](ArcNonUniversalSchemeWrapperFactories.md).[Auction4Reputation](ArcNonUniversalSchemeWrapperFactories.md#Auction4Reputation)*

*Defined in [wrapperService.ts:147](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L147)*

___
<a id="ContributionReward"></a>

###  ContributionReward

**● ContributionReward**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[ContributionRewardWrapper](../classes/ContributionRewardWrapper.md)>*

*Inherited from [ArcUniversalSchemeWrapperFactories](ArcUniversalSchemeWrapperFactories.md).[ContributionReward](ArcUniversalSchemeWrapperFactories.md#ContributionReward)*

*Defined in [wrapperService.ts:157](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L157)*

___
<a id="ExternalLocking4Reputation"></a>

###  ExternalLocking4Reputation

**● ExternalLocking4Reputation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[ExternalLocking4ReputationWrapper](../classes/ExternalLocking4ReputationWrapper.md)>*

*Inherited from [ArcNonUniversalSchemeWrapperFactories](ArcNonUniversalSchemeWrapperFactories.md).[ExternalLocking4Reputation](ArcNonUniversalSchemeWrapperFactories.md#ExternalLocking4Reputation)*

*Defined in [wrapperService.ts:149](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L149)*

___
<a id="FixedReputationAllocation"></a>

###  FixedReputationAllocation

**● FixedReputationAllocation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[FixedReputationAllocationWrapper](../classes/FixedReputationAllocationWrapper.md)>*

*Inherited from [ArcNonUniversalSchemeWrapperFactories](ArcNonUniversalSchemeWrapperFactories.md).[FixedReputationAllocation](ArcNonUniversalSchemeWrapperFactories.md#FixedReputationAllocation)*

*Defined in [wrapperService.ts:148](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L148)*

___
<a id="GlobalConstraintRegistrar"></a>

###  GlobalConstraintRegistrar

**● GlobalConstraintRegistrar**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[GlobalConstraintRegistrarWrapper](../classes/GlobalConstraintRegistrarWrapper.md)>*

*Inherited from [ArcUniversalSchemeWrapperFactories](ArcUniversalSchemeWrapperFactories.md).[GlobalConstraintRegistrar](ArcUniversalSchemeWrapperFactories.md#GlobalConstraintRegistrar)*

*Defined in [wrapperService.ts:158](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L158)*

___
<a id="LockingEth4Reputation"></a>

###  LockingEth4Reputation

**● LockingEth4Reputation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[LockingEth4ReputationWrapper](../classes/LockingEth4ReputationWrapper.md)>*

*Inherited from [ArcNonUniversalSchemeWrapperFactories](ArcNonUniversalSchemeWrapperFactories.md).[LockingEth4Reputation](ArcNonUniversalSchemeWrapperFactories.md#LockingEth4Reputation)*

*Defined in [wrapperService.ts:145](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L145)*

___
<a id="LockingToken4Reputation"></a>

###  LockingToken4Reputation

**● LockingToken4Reputation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[LockingToken4ReputationWrapper](../classes/LockingToken4ReputationWrapper.md)>*

*Inherited from [ArcNonUniversalSchemeWrapperFactories](ArcNonUniversalSchemeWrapperFactories.md).[LockingToken4Reputation](ArcNonUniversalSchemeWrapperFactories.md#LockingToken4Reputation)*

*Defined in [wrapperService.ts:146](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L146)*

___
<a id="SchemeRegistrar"></a>

###  SchemeRegistrar

**● SchemeRegistrar**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)>*

*Inherited from [ArcUniversalSchemeWrapperFactories](ArcUniversalSchemeWrapperFactories.md).[SchemeRegistrar](ArcUniversalSchemeWrapperFactories.md#SchemeRegistrar)*

*Defined in [wrapperService.ts:159](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L159)*

___
<a id="UpgradeScheme"></a>

###  UpgradeScheme

**● UpgradeScheme**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[UpgradeSchemeWrapper](../classes/UpgradeSchemeWrapper.md)>*

*Inherited from [ArcUniversalSchemeWrapperFactories](ArcUniversalSchemeWrapperFactories.md).[UpgradeScheme](ArcUniversalSchemeWrapperFactories.md#UpgradeScheme)*

*Defined in [wrapperService.ts:160](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L160)*

___
<a id="VestingScheme"></a>

###  VestingScheme

**● VestingScheme**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)>*

*Inherited from [ArcUniversalSchemeWrapperFactories](ArcUniversalSchemeWrapperFactories.md).[VestingScheme](ArcUniversalSchemeWrapperFactories.md#VestingScheme)*

*Defined in [wrapperService.ts:161](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L161)*

___
<a id="VoteInOrganizationScheme"></a>

###  VoteInOrganizationScheme

**● VoteInOrganizationScheme**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)>*

*Inherited from [ArcUniversalSchemeWrapperFactories](ArcUniversalSchemeWrapperFactories.md).[VoteInOrganizationScheme](ArcUniversalSchemeWrapperFactories.md#VoteInOrganizationScheme)*

*Defined in [wrapperService.ts:162](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L162)*

___

