[API Reference](../README.md) > [ArcUniversalSchemeWrapperFactories](../interfaces/ArcUniversalSchemeWrapperFactories.md)

# Interface: ArcUniversalSchemeWrapperFactories

An object with property names being an Arc contract name and the property value being the corresponding universal contract wrapper factory.

## Hierarchy

**ArcUniversalSchemeWrapperFactories**

↳  [ArcSchemeWrapperFactories](ArcSchemeWrapperFactories.md)

## Index

### Properties

* [ContributionReward](ArcUniversalSchemeWrapperFactories.md#ContributionReward)
* [GlobalConstraintRegistrar](ArcUniversalSchemeWrapperFactories.md#GlobalConstraintRegistrar)
* [SchemeRegistrar](ArcUniversalSchemeWrapperFactories.md#SchemeRegistrar)
* [UpgradeScheme](ArcUniversalSchemeWrapperFactories.md#UpgradeScheme)
* [VestingScheme](ArcUniversalSchemeWrapperFactories.md#VestingScheme)
* [VoteInOrganizationScheme](ArcUniversalSchemeWrapperFactories.md#VoteInOrganizationScheme)

---

## Properties

<a id="ContributionReward"></a>

###  ContributionReward

**● ContributionReward**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[ContributionRewardWrapper](../classes/ContributionRewardWrapper.md)>*

*Defined in [wrapperService.ts:157](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L157)*

___
<a id="GlobalConstraintRegistrar"></a>

###  GlobalConstraintRegistrar

**● GlobalConstraintRegistrar**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[GlobalConstraintRegistrarWrapper](../classes/GlobalConstraintRegistrarWrapper.md)>*

*Defined in [wrapperService.ts:158](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L158)*

___
<a id="SchemeRegistrar"></a>

###  SchemeRegistrar

**● SchemeRegistrar**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)>*

*Defined in [wrapperService.ts:159](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L159)*

___
<a id="UpgradeScheme"></a>

###  UpgradeScheme

**● UpgradeScheme**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[UpgradeSchemeWrapper](../classes/UpgradeSchemeWrapper.md)>*

*Defined in [wrapperService.ts:160](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L160)*

___
<a id="VestingScheme"></a>

###  VestingScheme

**● VestingScheme**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)>*

*Defined in [wrapperService.ts:161](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L161)*

___
<a id="VoteInOrganizationScheme"></a>

###  VoteInOrganizationScheme

**● VoteInOrganizationScheme**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)>*

*Defined in [wrapperService.ts:162](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L162)*

___

