[API Reference](../README.md) > [ArcWrapperFactories](../interfaces/ArcWrapperFactories.md)

# Interface: ArcWrapperFactories

An object with property names being a contract key and property value as the corresponding wrapper factory (IContractWrapperFactory<TWrapper).

## Hierarchy

**ArcWrapperFactories**

## Index

### Properties

* [AbsoluteVote](ArcWrapperFactories.md#AbsoluteVote)
* [Auction4Reputation](ArcWrapperFactories.md#Auction4Reputation)
* [ContributionReward](ArcWrapperFactories.md#ContributionReward)
* [DaoCreator](ArcWrapperFactories.md#DaoCreator)
* [DaoToken](ArcWrapperFactories.md#DaoToken)
* [ExternalLocking4Reputation](ArcWrapperFactories.md#ExternalLocking4Reputation)
* [FixedReputationAllocation](ArcWrapperFactories.md#FixedReputationAllocation)
* [GenesisProtocol](ArcWrapperFactories.md#GenesisProtocol)
* [GlobalConstraintRegistrar](ArcWrapperFactories.md#GlobalConstraintRegistrar)
* [IntVoteInterface](ArcWrapperFactories.md#IntVoteInterface)
* [LockingEth4Reputation](ArcWrapperFactories.md#LockingEth4Reputation)
* [LockingToken4Reputation](ArcWrapperFactories.md#LockingToken4Reputation)
* [MintableToken](ArcWrapperFactories.md#MintableToken)
* [Redeemer](ArcWrapperFactories.md#Redeemer)
* [Reputation](ArcWrapperFactories.md#Reputation)
* [SchemeRegistrar](ArcWrapperFactories.md#SchemeRegistrar)
* [StandardToken](ArcWrapperFactories.md#StandardToken)
* [TokenCapGC](ArcWrapperFactories.md#TokenCapGC)
* [UpgradeScheme](ArcWrapperFactories.md#UpgradeScheme)
* [VestingScheme](ArcWrapperFactories.md#VestingScheme)
* [VoteInOrganizationScheme](ArcWrapperFactories.md#VoteInOrganizationScheme)

---

## Properties

<a id="AbsoluteVote"></a>

###  AbsoluteVote

**● AbsoluteVote**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[AbsoluteVoteWrapper](../classes/AbsoluteVoteWrapper.md)>*

*Defined in [wrapperService.ts:98](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L98)*

___
<a id="Auction4Reputation"></a>

###  Auction4Reputation

**● Auction4Reputation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[Auction4ReputationWrapper](../classes/Auction4ReputationWrapper.md)>*

*Defined in [wrapperService.ts:107](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L107)*

___
<a id="ContributionReward"></a>

###  ContributionReward

**● ContributionReward**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[ContributionRewardWrapper](../classes/ContributionRewardWrapper.md)>*

*Defined in [wrapperService.ts:99](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L99)*

___
<a id="DaoCreator"></a>

###  DaoCreator

**● DaoCreator**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[DaoCreatorWrapper](../classes/DaoCreatorWrapper.md)>*

*Defined in [wrapperService.ts:100](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L100)*

___
<a id="DaoToken"></a>

###  DaoToken

**● DaoToken**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[DaoTokenWrapper](../classes/DaoTokenWrapper.md)>*

*Defined in [wrapperService.ts:101](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L101)*

___
<a id="ExternalLocking4Reputation"></a>

###  ExternalLocking4Reputation

**● ExternalLocking4Reputation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[ExternalLocking4ReputationWrapper](../classes/ExternalLocking4ReputationWrapper.md)>*

*Defined in [wrapperService.ts:109](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L109)*

___
<a id="FixedReputationAllocation"></a>

###  FixedReputationAllocation

**● FixedReputationAllocation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[FixedReputationAllocationWrapper](../classes/FixedReputationAllocationWrapper.md)>*

*Defined in [wrapperService.ts:108](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L108)*

___
<a id="GenesisProtocol"></a>

###  GenesisProtocol

**● GenesisProtocol**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[GenesisProtocolWrapper](../classes/GenesisProtocolWrapper.md)>*

*Defined in [wrapperService.ts:102](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L102)*

___
<a id="GlobalConstraintRegistrar"></a>

###  GlobalConstraintRegistrar

**● GlobalConstraintRegistrar**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[GlobalConstraintRegistrarWrapper](../classes/GlobalConstraintRegistrarWrapper.md)>*

*Defined in [wrapperService.ts:103](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L103)*

___
<a id="IntVoteInterface"></a>

###  IntVoteInterface

**● IntVoteInterface**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[IntVoteInterfaceWrapper](../classes/IntVoteInterfaceWrapper.md)>*

*Defined in [wrapperService.ts:104](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L104)*

___
<a id="LockingEth4Reputation"></a>

###  LockingEth4Reputation

**● LockingEth4Reputation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[LockingEth4ReputationWrapper](../classes/LockingEth4ReputationWrapper.md)>*

*Defined in [wrapperService.ts:105](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L105)*

___
<a id="LockingToken4Reputation"></a>

###  LockingToken4Reputation

**● LockingToken4Reputation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[LockingToken4ReputationWrapper](../classes/LockingToken4ReputationWrapper.md)>*

*Defined in [wrapperService.ts:106](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L106)*

___
<a id="MintableToken"></a>

###  MintableToken

**● MintableToken**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[MintableTokenWrapper](../classes/MintableTokenWrapper.md)>*

*Defined in [wrapperService.ts:110](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L110)*

___
<a id="Redeemer"></a>

###  Redeemer

**● Redeemer**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[RedeemerWrapper](../classes/RedeemerWrapper.md)>*

*Defined in [wrapperService.ts:111](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L111)*

___
<a id="Reputation"></a>

###  Reputation

**● Reputation**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[ReputationWrapper](../classes/ReputationWrapper.md)>*

*Defined in [wrapperService.ts:112](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L112)*

___
<a id="SchemeRegistrar"></a>

###  SchemeRegistrar

**● SchemeRegistrar**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)>*

*Defined in [wrapperService.ts:113](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L113)*

___
<a id="StandardToken"></a>

###  StandardToken

**● StandardToken**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[StandardTokenWrapper](../classes/StandardTokenWrapper.md)>*

*Defined in [wrapperService.ts:114](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L114)*

___
<a id="TokenCapGC"></a>

###  TokenCapGC

**● TokenCapGC**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[TokenCapGCWrapper](../classes/TokenCapGCWrapper.md)>*

*Defined in [wrapperService.ts:115](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L115)*

___
<a id="UpgradeScheme"></a>

###  UpgradeScheme

**● UpgradeScheme**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[UpgradeSchemeWrapper](../classes/UpgradeSchemeWrapper.md)>*

*Defined in [wrapperService.ts:116](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L116)*

___
<a id="VestingScheme"></a>

###  VestingScheme

**● VestingScheme**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)>*

*Defined in [wrapperService.ts:117](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L117)*

___
<a id="VoteInOrganizationScheme"></a>

###  VoteInOrganizationScheme

**● VoteInOrganizationScheme**: *[IContractWrapperFactory](IContractWrapperFactory.md)<[VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)>*

*Defined in [wrapperService.ts:118](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L118)*

___

