[API Reference](../README.md) > [ArcWrappers](../interfaces/ArcWrappers.md)

# Interface: ArcWrappers

An object with property names being an Arc contract name and then property value being the corresponding wrapper. Only deployed wrappers are included here. Other wrappers may be obtained via their factory. See also ArcSchemeWrappers.

## Hierarchy

**ArcWrappers**

## Index

### Properties

* [AbsoluteVote](ArcWrappers.md#AbsoluteVote)
* [ContributionReward](ArcWrappers.md#ContributionReward)
* [DaoCreator](ArcWrappers.md#DaoCreator)
* [GenesisProtocol](ArcWrappers.md#GenesisProtocol)
* [GlobalConstraintRegistrar](ArcWrappers.md#GlobalConstraintRegistrar)
* [Redeemer](ArcWrappers.md#Redeemer)
* [SchemeRegistrar](ArcWrappers.md#SchemeRegistrar)
* [TokenCapGC](ArcWrappers.md#TokenCapGC)
* [UpgradeScheme](ArcWrappers.md#UpgradeScheme)
* [VestingScheme](ArcWrappers.md#VestingScheme)
* [VoteInOrganizationScheme](ArcWrappers.md#VoteInOrganizationScheme)

---

## Properties

<a id="AbsoluteVote"></a>

###  AbsoluteVote

**● AbsoluteVote**: *[AbsoluteVoteWrapper](../classes/AbsoluteVoteWrapper.md)*

*Defined in [wrapperService.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L127)*

___
<a id="ContributionReward"></a>

###  ContributionReward

**● ContributionReward**: *[ContributionRewardWrapper](../classes/ContributionRewardWrapper.md)*

*Defined in [wrapperService.ts:128](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L128)*

___
<a id="DaoCreator"></a>

###  DaoCreator

**● DaoCreator**: *[DaoCreatorWrapper](../classes/DaoCreatorWrapper.md)*

*Defined in [wrapperService.ts:129](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L129)*

___
<a id="GenesisProtocol"></a>

###  GenesisProtocol

**● GenesisProtocol**: *[GenesisProtocolWrapper](../classes/GenesisProtocolWrapper.md)*

*Defined in [wrapperService.ts:130](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L130)*

___
<a id="GlobalConstraintRegistrar"></a>

###  GlobalConstraintRegistrar

**● GlobalConstraintRegistrar**: *[GlobalConstraintRegistrarWrapper](../classes/GlobalConstraintRegistrarWrapper.md)*

*Defined in [wrapperService.ts:131](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L131)*

___
<a id="Redeemer"></a>

###  Redeemer

**● Redeemer**: *[RedeemerWrapper](../classes/RedeemerWrapper.md)*

*Defined in [wrapperService.ts:132](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L132)*

___
<a id="SchemeRegistrar"></a>

###  SchemeRegistrar

**● SchemeRegistrar**: *[SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)*

*Defined in [wrapperService.ts:133](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L133)*

___
<a id="TokenCapGC"></a>

###  TokenCapGC

**● TokenCapGC**: *[TokenCapGCWrapper](../classes/TokenCapGCWrapper.md)*

*Defined in [wrapperService.ts:134](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L134)*

___
<a id="UpgradeScheme"></a>

###  UpgradeScheme

**● UpgradeScheme**: *[UpgradeSchemeWrapper](../classes/UpgradeSchemeWrapper.md)*

*Defined in [wrapperService.ts:135](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L135)*

___
<a id="VestingScheme"></a>

###  VestingScheme

**● VestingScheme**: *[VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)*

*Defined in [wrapperService.ts:136](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L136)*

___
<a id="VoteInOrganizationScheme"></a>

###  VoteInOrganizationScheme

**● VoteInOrganizationScheme**: *[VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)*

*Defined in [wrapperService.ts:137](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L137)*

___

