[API Reference](../README.md) > [ArcWrappersByType](../interfaces/ArcWrappersByType.md)

# Interface: ArcWrappersByType

Arc.js wrapper factories grouped by type.

## Hierarchy

**ArcWrappersByType**

## Index

### Properties

* [allWrappers](ArcWrappersByType.md#allWrappers)
* [globalConstraints](ArcWrappersByType.md#globalConstraints)
* [nonUniversalSchemes](ArcWrappersByType.md#nonUniversalSchemes)
* [other](ArcWrappersByType.md#other)
* [universalSchemes](ArcWrappersByType.md#universalSchemes)
* [votingMachines](ArcWrappersByType.md#votingMachines)

---

## Properties

<a id="allWrappers"></a>

###  allWrappers

**● allWrappers**: *`Array`<[IContractWrapper](IContractWrapper.md)>*

*Defined in [wrapperService.ts:180](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L180)*

All wrapped contracts

___
<a id="globalConstraints"></a>

###  globalConstraints

**● globalConstraints**: *`Array`<[IContractWrapper](IContractWrapper.md)>*

*Defined in [wrapperService.ts:196](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L196)*

All wrapped global constraints

___
<a id="nonUniversalSchemes"></a>

###  nonUniversalSchemes

**● nonUniversalSchemes**: *`Array`<[IContractWrapper](IContractWrapper.md)>*

*Defined in [wrapperService.ts:184](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L184)*

All wrapped non-universal schemes

___
<a id="other"></a>

###  other

**● other**: *`Array`<[IContractWrapper](IContractWrapper.md)>*

*Defined in [wrapperService.ts:200](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L200)*

Other types of wrappers

___
<a id="universalSchemes"></a>

###  universalSchemes

**● universalSchemes**: *`Array`<[IUniversalSchemeWrapper](IUniversalSchemeWrapper.md)>*

*Defined in [wrapperService.ts:188](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L188)*

All wrapped universal schemes

___
<a id="votingMachines"></a>

###  votingMachines

**● votingMachines**: *`Array`<[IContractWrapper](IContractWrapper.md)>*

*Defined in [wrapperService.ts:192](https://github.com/daostack/arc.js/blob/6f704389/lib/wrapperService.ts#L192)*

All wrapped voting machines

___

