[API Reference](../README.md) > [ChangeApprovalAndCallOptions](../interfaces/ChangeApprovalAndCallOptions.md)

# Interface: ChangeApprovalAndCallOptions

## Hierarchy

 [StandardTokenChangeApprovalOptions](StandardTokenChangeApprovalOptions.md)

**↳ ChangeApprovalAndCallOptions**

## Index

### Properties

* [amount](ChangeApprovalAndCallOptions.md#amount)
* [callData](ChangeApprovalAndCallOptions.md#callData)
* [owner](ChangeApprovalAndCallOptions.md#owner)
* [spender](ChangeApprovalAndCallOptions.md#spender)

---

## Properties

<a id="amount"></a>

###  amount

**● amount**: * `BigNumber` &#124; `string`
*

*Inherited from [StandardTokenChangeApprovalOptions](StandardTokenChangeApprovalOptions.md).[amount](StandardTokenChangeApprovalOptions.md#amount)*

*Defined in [wrappers/standardToken.ts:308](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L308)*

___
<a id="callData"></a>

###  callData

**● callData**: *`string`*

*Defined in [wrappers/iErc827Token.ts:68](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iErc827Token.ts#L68)*

___
<a id="owner"></a>

### `<Optional>` owner

**● owner**: *[Address](../#Address)*

*Inherited from [StandardTokenChangeApprovalOptions](StandardTokenChangeApprovalOptions.md).[owner](StandardTokenChangeApprovalOptions.md#owner)*

*Defined in [wrappers/standardToken.ts:313](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L313)*

The account that has the tokens to spend. Default is msg.sender.

___
<a id="spender"></a>

###  spender

**● spender**: *[Address](../#Address)*

*Inherited from [StandardTokenChangeApprovalOptions](StandardTokenChangeApprovalOptions.md).[spender](StandardTokenChangeApprovalOptions.md#spender)*

*Defined in [wrappers/standardToken.ts:318](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L318)*

The account that will initiate the transfer of tokens on behalf of the owner.

___

