[API Reference](../README.md) > [EventFetcherFilterObject](../interfaces/EventFetcherFilterObject.md)

# Interface: EventFetcherFilterObject

Options supplied to `EventFetcherFactory` and thence to `get` and `watch`.

## Hierarchy

**EventFetcherFilterObject**

↳  [GetParticipantsOptions](GetParticipantsOptions.md)

## Index

### Properties

* [address](EventFetcherFilterObject.md#address)
* [fromBlock](EventFetcherFilterObject.md#fromBlock)
* [suppressDups](EventFetcherFilterObject.md#suppressDups)
* [toBlock](EventFetcherFilterObject.md#toBlock)
* [topics](EventFetcherFilterObject.md#topics)

---

## Properties

<a id="address"></a>

### `<Optional>` address

**● address**: *`string`*

*Defined in [web3EventService.ts:576](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L576)*

___
<a id="fromBlock"></a>

### `<Optional>` fromBlock

**● fromBlock**: * `number` &#124; `string`
*

*Defined in [web3EventService.ts:574](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L574)*

___
<a id="suppressDups"></a>

### `<Optional>` suppressDups

**● suppressDups**: *`boolean`*

*Defined in [web3EventService.ts:582](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L582)*

true to suppress duplicate events (see [https://github.com/ethereum/web3.js/issues/398)](https://github.com/ethereum/web3.js/issues/398)). The default is true.

___
<a id="toBlock"></a>

### `<Optional>` toBlock

**● toBlock**: * `number` &#124; `string`
*

*Defined in [web3EventService.ts:575](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L575)*

___
<a id="topics"></a>

### `<Optional>` topics

**● topics**: *`Array`<`LogTopic`>*

*Defined in [web3EventService.ts:577](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L577)*

___

