[API Reference](../README.md) > [ExecutedGenesisProposal](../interfaces/ExecutedGenesisProposal.md)

# Interface: ExecutedGenesisProposal

## Hierarchy

 [GenesisProtocolProposal](GenesisProtocolProposal.md)

**↳ ExecutedGenesisProposal**

## Index

### Properties

* [boostedPhaseTime](ExecutedGenesisProposal.md#boostedPhaseTime)
* [creatorAddress](ExecutedGenesisProposal.md#creatorAddress)
* [currentBoostedVotePeriodLimit](ExecutedGenesisProposal.md#currentBoostedVotePeriodLimit)
* [daoBountyRemain](ExecutedGenesisProposal.md#daoBountyRemain)
* [decision](ExecutedGenesisProposal.md#decision)
* [executionState](ExecutedGenesisProposal.md#executionState)
* [numOfChoices](ExecutedGenesisProposal.md#numOfChoices)
* [organizationId](ExecutedGenesisProposal.md#organizationId)
* [paramsHash](ExecutedGenesisProposal.md#paramsHash)
* [proposalId](ExecutedGenesisProposal.md#proposalId)
* [proposer](ExecutedGenesisProposal.md#proposer)
* [state](ExecutedGenesisProposal.md#state)
* [submittedTime](ExecutedGenesisProposal.md#submittedTime)
* [totalReputation](ExecutedGenesisProposal.md#totalReputation)
* [votersStakes](ExecutedGenesisProposal.md#votersStakes)
* [winningVote](ExecutedGenesisProposal.md#winningVote)

---

## Properties

<a id="boostedPhaseTime"></a>

###  boostedPhaseTime

**● boostedPhaseTime**: *`number`*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[boostedPhaseTime](GenesisProtocolProposal.md#boostedPhaseTime)*

*Defined in [wrappers/genesisProtocol.ts:1429](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1429)*

in seconds

___
<a id="creatorAddress"></a>

###  creatorAddress

**● creatorAddress**: *[Address](../#Address)*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[creatorAddress](GenesisProtocolProposal.md#creatorAddress)*

*Defined in [wrappers/genesisProtocol.ts:1425](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1425)*

This is what will appear as `_organization` in voting machine events. It is the value passed to `propose` as the optional argument: `organizationAddress`. If this argument is set to zero in `propose` then the value will be the msg.sender. With proposals created by Arc universal schemes (like GenesisProtocol), this is the avatar address.

___
<a id="currentBoostedVotePeriodLimit"></a>

###  currentBoostedVotePeriodLimit

**● currentBoostedVotePeriodLimit**: *`number`*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[currentBoostedVotePeriodLimit](GenesisProtocolProposal.md#currentBoostedVotePeriodLimit)*

*Defined in [wrappers/genesisProtocol.ts:1434](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1434)*

The amount of time, in seconds, that the proposal can remain in the boosted phase (assuming the proposal has reached the boosted phase).

___
<a id="daoBountyRemain"></a>

###  daoBountyRemain

**● daoBountyRemain**: *`BigNumber`*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[daoBountyRemain](GenesisProtocolProposal.md#daoBountyRemain)*

*Defined in [wrappers/genesisProtocol.ts:1438](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1438)*

The amount of bounty remaining that can be redeemed on the given proposal.

___
<a id="decision"></a>

###  decision

**● decision**: *[BinaryVoteResult](../enums/BinaryVoteResult.md)*

*Defined in [wrappers/genesisProtocol.ts:1410](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1410)*

___
<a id="executionState"></a>

###  executionState

**● executionState**: *[ExecutionState](../enums/ExecutionState.md)*

*Defined in [wrappers/genesisProtocol.ts:1415](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1415)*

___
<a id="numOfChoices"></a>

###  numOfChoices

**● numOfChoices**: *`number`*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[numOfChoices](GenesisProtocolProposal.md#numOfChoices)*

*Defined in [wrappers/genesisProtocol.ts:1442](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1442)*

The number of voting choices. For GenesisProtocol this is always 2 (YES and NO).

___
<a id="organizationId"></a>

###  organizationId

**● organizationId**: *[Hash](../#Hash)*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[organizationId](GenesisProtocolProposal.md#organizationId)*

*Defined in [wrappers/genesisProtocol.ts:1447](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1447)*

A hash is unique to the contract that created the proposal and, in the case of Arc schemes, the avatar in which the scheme is registered.

___
<a id="paramsHash"></a>

###  paramsHash

**● paramsHash**: *[Hash](../#Hash)*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[paramsHash](GenesisProtocolProposal.md#paramsHash)*

*Defined in [wrappers/genesisProtocol.ts:1451](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1451)*

The parameters of the registered `GenesisProtocol` used to create the proposal.

___
<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[proposalId](GenesisProtocolProposal.md#proposalId)*

*Defined in [wrappers/genesisProtocol.ts:1452](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1452)*

___
<a id="proposer"></a>

###  proposer

**● proposer**: *[Address](../#Address)*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[proposer](GenesisProtocolProposal.md#proposer)*

*Defined in [wrappers/genesisProtocol.ts:1456](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1456)*

address of the account the submitted the proposal

___
<a id="state"></a>

###  state

**● state**: *[ProposalState](../enums/ProposalState.md)*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[state](GenesisProtocolProposal.md#state)*

*Defined in [wrappers/genesisProtocol.ts:1460](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1460)*

current phase in a proposal life-cycle

___
<a id="submittedTime"></a>

###  submittedTime

**● submittedTime**: *`number`*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[submittedTime](GenesisProtocolProposal.md#submittedTime)*

*Defined in [wrappers/genesisProtocol.ts:1464](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1464)*

in seconds

___
<a id="totalReputation"></a>

###  totalReputation

**● totalReputation**: *`BigNumber`*

*Defined in [wrappers/genesisProtocol.ts:1414](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1414)*

total reputation in the DAO at the time the proposal is created in the voting machine

___
<a id="votersStakes"></a>

###  votersStakes

**● votersStakes**: *`BigNumber`*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[votersStakes](GenesisProtocolProposal.md#votersStakes)*

*Defined in [wrappers/genesisProtocol.ts:1468](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1468)*

the amount of staked GEN receivable by preboosted voters

___
<a id="winningVote"></a>

###  winningVote

**● winningVote**: *`number`*

*Inherited from [GenesisProtocolProposal](GenesisProtocolProposal.md).[winningVote](GenesisProtocolProposal.md#winningVote)*

*Defined in [wrappers/genesisProtocol.ts:1469](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1469)*

___

