[API Reference](../README.md) > [ForgeOrgConfig](../interfaces/ForgeOrgConfig.md)

# Interface: ForgeOrgConfig

options for DaoCreator.forgeOrg

## Hierarchy

**ForgeOrgConfig**

↳  [NewDaoConfig](NewDaoConfig.md)

## Index

### Properties

* [founders](ForgeOrgConfig.md#founders)
* [name](ForgeOrgConfig.md#name)
* [tokenCap](ForgeOrgConfig.md#tokenCap)
* [tokenName](ForgeOrgConfig.md#tokenName)
* [tokenSymbol](ForgeOrgConfig.md#tokenSymbol)
* [universalController](ForgeOrgConfig.md#universalController)

---

## Properties

<a id="founders"></a>

### `<Optional>` founders

**● founders**: *`Array`<[FounderConfig](FounderConfig.md)>*

*Defined in [wrappers/daoCreator.ts:571](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L571)*

Optional array describing founders. Default is \[\].

___
<a id="name"></a>

###  name

**● name**: *`string`*

*Defined in [wrappers/daoCreator.ts:554](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L554)*

The name of the new DAO.

___
<a id="tokenCap"></a>

### `<Optional>` tokenCap

**● tokenCap**: * `BigNumber.BigNumber` &#124; `string`
*

*Defined in [wrappers/daoCreator.ts:558](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L558)*

Optional cap on the number of tokens, in the DAO's token. Default is zero, which means no cap.

___
<a id="tokenName"></a>

###  tokenName

**● tokenName**: *`string`*

*Defined in [wrappers/daoCreator.ts:562](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L562)*

The name of the token to be associated with the DAO

___
<a id="tokenSymbol"></a>

###  tokenSymbol

**● tokenSymbol**: *`string`*

*Defined in [wrappers/daoCreator.ts:566](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L566)*

The symbol of the token to be associated with the DAO

___
<a id="universalController"></a>

### `<Optional>` universalController

**● universalController**: *`boolean`*

*Defined in [wrappers/daoCreator.ts:576](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L576)*

true to use the UniversalController contract, false to instantiate and use a new Controller contract. The default is true.

___

