[API Reference](../README.md) > [GenesisProtocolProposal](../interfaces/GenesisProtocolProposal.md)

# Interface: GenesisProtocolProposal

## Hierarchy

**GenesisProtocolProposal**

↳  [ExecutedGenesisProposal](ExecutedGenesisProposal.md)

## Index

### Properties

* [boostedPhaseTime](GenesisProtocolProposal.md#boostedPhaseTime)
* [creatorAddress](GenesisProtocolProposal.md#creatorAddress)
* [currentBoostedVotePeriodLimit](GenesisProtocolProposal.md#currentBoostedVotePeriodLimit)
* [daoBountyRemain](GenesisProtocolProposal.md#daoBountyRemain)
* [numOfChoices](GenesisProtocolProposal.md#numOfChoices)
* [organizationId](GenesisProtocolProposal.md#organizationId)
* [paramsHash](GenesisProtocolProposal.md#paramsHash)
* [proposalId](GenesisProtocolProposal.md#proposalId)
* [proposer](GenesisProtocolProposal.md#proposer)
* [state](GenesisProtocolProposal.md#state)
* [submittedTime](GenesisProtocolProposal.md#submittedTime)
* [votersStakes](GenesisProtocolProposal.md#votersStakes)
* [winningVote](GenesisProtocolProposal.md#winningVote)

---

## Properties

<a id="boostedPhaseTime"></a>

###  boostedPhaseTime

**● boostedPhaseTime**: *`number`*

*Defined in [wrappers/genesisProtocol.ts:1429](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1429)*

in seconds

___
<a id="creatorAddress"></a>

###  creatorAddress

**● creatorAddress**: *[Address](../#Address)*

*Defined in [wrappers/genesisProtocol.ts:1425](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1425)*

This is what will appear as `_organization` in voting machine events. It is the value passed to `propose` as the optional argument: `organizationAddress`. If this argument is set to zero in `propose` then the value will be the msg.sender. With proposals created by Arc universal schemes (like GenesisProtocol), this is the avatar address.

___
<a id="currentBoostedVotePeriodLimit"></a>

###  currentBoostedVotePeriodLimit

**● currentBoostedVotePeriodLimit**: *`number`*

*Defined in [wrappers/genesisProtocol.ts:1434](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1434)*

The amount of time, in seconds, that the proposal can remain in the boosted phase (assuming the proposal has reached the boosted phase).

___
<a id="daoBountyRemain"></a>

###  daoBountyRemain

**● daoBountyRemain**: *`BigNumber`*

*Defined in [wrappers/genesisProtocol.ts:1438](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1438)*

The amount of bounty remaining that can be redeemed on the given proposal.

___
<a id="numOfChoices"></a>

###  numOfChoices

**● numOfChoices**: *`number`*

*Defined in [wrappers/genesisProtocol.ts:1442](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1442)*

The number of voting choices. For GenesisProtocol this is always 2 (YES and NO).

___
<a id="organizationId"></a>

###  organizationId

**● organizationId**: *[Hash](../#Hash)*

*Defined in [wrappers/genesisProtocol.ts:1447](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1447)*

A hash is unique to the contract that created the proposal and, in the case of Arc schemes, the avatar in which the scheme is registered.

___
<a id="paramsHash"></a>

###  paramsHash

**● paramsHash**: *[Hash](../#Hash)*

*Defined in [wrappers/genesisProtocol.ts:1451](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1451)*

The parameters of the registered `GenesisProtocol` used to create the proposal.

___
<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Defined in [wrappers/genesisProtocol.ts:1452](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1452)*

___
<a id="proposer"></a>

###  proposer

**● proposer**: *[Address](../#Address)*

*Defined in [wrappers/genesisProtocol.ts:1456](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1456)*

address of the account the submitted the proposal

___
<a id="state"></a>

###  state

**● state**: *[ProposalState](../enums/ProposalState.md)*

*Defined in [wrappers/genesisProtocol.ts:1460](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1460)*

current phase in a proposal life-cycle

___
<a id="submittedTime"></a>

###  submittedTime

**● submittedTime**: *`number`*

*Defined in [wrappers/genesisProtocol.ts:1464](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1464)*

in seconds

___
<a id="votersStakes"></a>

###  votersStakes

**● votersStakes**: *`BigNumber`*

*Defined in [wrappers/genesisProtocol.ts:1468](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1468)*

the amount of staked GEN receivable by preboosted voters

___
<a id="winningVote"></a>

###  winningVote

**● winningVote**: *`number`*

*Defined in [wrappers/genesisProtocol.ts:1469](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1469)*

___

