[API Reference](../README.md) > [GetParticipantsOptions](../interfaces/GetParticipantsOptions.md)

# Interface: GetParticipantsOptions

## Hierarchy

 [EventFetcherFilterObject](EventFetcherFilterObject.md)

**↳ GetParticipantsOptions**

## Index

### Properties

* [address](GetParticipantsOptions.md#address)
* [fromBlock](GetParticipantsOptions.md#fromBlock)
* [participantAddress](GetParticipantsOptions.md#participantAddress)
* [returnReputations](GetParticipantsOptions.md#returnReputations)
* [suppressDups](GetParticipantsOptions.md#suppressDups)
* [toBlock](GetParticipantsOptions.md#toBlock)
* [topics](GetParticipantsOptions.md#topics)

---

## Properties

<a id="address"></a>

### `<Optional>` address

**● address**: *`string`*

*Inherited from [EventFetcherFilterObject](EventFetcherFilterObject.md).[address](EventFetcherFilterObject.md#address)*

*Defined in [web3EventService.ts:576](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L576)*

___
<a id="fromBlock"></a>

### `<Optional>` fromBlock

**● fromBlock**: * `number` &#124; `string`
*

*Inherited from [EventFetcherFilterObject](EventFetcherFilterObject.md).[fromBlock](EventFetcherFilterObject.md#fromBlock)*

*Defined in [web3EventService.ts:574](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L574)*

___
<a id="participantAddress"></a>

### `<Optional>` participantAddress

**● participantAddress**: *[Address](../#Address)*

*Defined in dao.ts:442*

optional address of a single participant to filter on

___
<a id="returnReputations"></a>

### `<Optional>` returnReputations

**● returnReputations**: *`boolean`*

*Defined in dao.ts:446*

true to retrieve and return the current reputation of each participant

___
<a id="suppressDups"></a>

### `<Optional>` suppressDups

**● suppressDups**: *`boolean`*

*Inherited from [EventFetcherFilterObject](EventFetcherFilterObject.md).[suppressDups](EventFetcherFilterObject.md#suppressDups)*

*Defined in [web3EventService.ts:582](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L582)*

true to suppress duplicate events (see [https://github.com/ethereum/web3.js/issues/398)](https://github.com/ethereum/web3.js/issues/398)). The default is true.

___
<a id="toBlock"></a>

### `<Optional>` toBlock

**● toBlock**: * `number` &#124; `string`
*

*Inherited from [EventFetcherFilterObject](EventFetcherFilterObject.md).[toBlock](EventFetcherFilterObject.md#toBlock)*

*Defined in [web3EventService.ts:575](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L575)*

___
<a id="topics"></a>

### `<Optional>` topics

**● topics**: *`Array`<`LogTopic`>*

*Inherited from [EventFetcherFilterObject](EventFetcherFilterObject.md).[topics](EventFetcherFilterObject.md#topics)*

*Defined in [web3EventService.ts:577](https://github.com/daostack/arc.js/blob/6f704389/lib/web3EventService.ts#L577)*

___

