[API Reference](../README.md) > [GetProposalEventsOptions](../interfaces/GetProposalEventsOptions.md)

# Interface: GetProposalEventsOptions

## Type parameters
#### TProposal 
#### TEventArgs :  [EventHasPropertyId](EventHasPropertyId.md)
## Hierarchy

**GetProposalEventsOptions**

## Index

### Properties

* [baseArgFilter](GetProposalEventsOptions.md#baseArgFilter)
* [proposalsEventFetcher](GetProposalEventsOptions.md#proposalsEventFetcher)
* [transformEventCallback](GetProposalEventsOptions.md#transformEventCallback)
* [votableOnly](GetProposalEventsOptions.md#votableOnly)
* [votingMachine](GetProposalEventsOptions.md#votingMachine)

---

## Properties

<a id="baseArgFilter"></a>

### `<Optional>` baseArgFilter

**● baseArgFilter**: *`any`*

*Defined in [proposalService.ts:177](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L177)*

Optional to filter events on the given filter, like `{ _avatar: [anAddress] }`. This will be merged with any filter that the caller provides when creating the EntityFetcher.

___
<a id="proposalsEventFetcher"></a>

###  proposalsEventFetcher

**● proposalsEventFetcher**: *[EventFetcherFactory](../#EventFetcherFactory)<`TEventArgs`>*

*Defined in [proposalService.ts:167](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L167)*

Event fetcher to use to get or watch the event that supplies `TEventArgs`.

___
<a id="transformEventCallback"></a>

###  transformEventCallback

**● transformEventCallback**: *[TransformEventCallback](../#TransformEventCallback)<`TProposal`, `TEventArgs`>*

*Defined in [proposalService.ts:172](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L172)*

Returns Promise of `TProposal` given `TEventArgs` for the event. Return of `undefined` will be ignored, not passed-on to the caller.

___
<a id="votableOnly"></a>

### `<Optional>` votableOnly

**● votableOnly**: *`boolean`*

*Defined in [proposalService.ts:181](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L181)*

True to only return votable proposals. Default is false.

___
<a id="votingMachine"></a>

### `<Optional>` votingMachine

**● votingMachine**: *[IntVoteInterfaceWrapper](../classes/IntVoteInterfaceWrapper.md)*

*Defined in [proposalService.ts:186](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L186)*

Used to determine whether proposals are votable. This is only required when votableOnly is set to `true`.

___

