[API Reference](../README.md) > [IContractWrapper](../interfaces/IContractWrapper.md)

# Interface: IContractWrapper

## Hierarchy

**IContractWrapper**

↳  [ISchemeWrapper](ISchemeWrapper.md)

↳  [IVotingMachineWrapper](IVotingMachineWrapper.md)

## Implemented by

* [AbsoluteVoteWrapper](../classes/AbsoluteVoteWrapper.md)
* [Auction4ReputationWrapper](../classes/Auction4ReputationWrapper.md)
* [ContractWrapperBase](../classes/ContractWrapperBase.md)
* [ContributionRewardWrapper](../classes/ContributionRewardWrapper.md)
* [DaoCreatorWrapper](../classes/DaoCreatorWrapper.md)
* [DaoTokenWrapper](../classes/DaoTokenWrapper.md)
* [ExternalLocking4ReputationWrapper](../classes/ExternalLocking4ReputationWrapper.md)
* [FixedReputationAllocationWrapper](../classes/FixedReputationAllocationWrapper.md)
* [GenesisProtocolWrapper](../classes/GenesisProtocolWrapper.md)
* [GlobalConstraintRegistrarWrapper](../classes/GlobalConstraintRegistrarWrapper.md)
* [IntVoteInterfaceWrapper](../classes/IntVoteInterfaceWrapper.md)
* [Locking4ReputationWrapper](../classes/Locking4ReputationWrapper.md)
* [LockingEth4ReputationWrapper](../classes/LockingEth4ReputationWrapper.md)
* [LockingToken4ReputationWrapper](../classes/LockingToken4ReputationWrapper.md)
* [MintableTokenWrapper](../classes/MintableTokenWrapper.md)
* [ProposalGeneratorBase](../classes/ProposalGeneratorBase.md)
* [RedeemerWrapper](../classes/RedeemerWrapper.md)
* [ReputationWrapper](../classes/ReputationWrapper.md)
* [SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)
* [SchemeWrapperBase](../classes/SchemeWrapperBase.md)
* [StandardTokenWrapper](../classes/StandardTokenWrapper.md)
* [TokenCapGCWrapper](../classes/TokenCapGCWrapper.md)
* [USchemeWrapperBase](../classes/USchemeWrapperBase.md)
* [UpgradeSchemeWrapper](../classes/UpgradeSchemeWrapper.md)
* [VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)
* [VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)

## Index

### Properties

* [address](IContractWrapper.md#address)
* [contract](IContractWrapper.md#contract)
* [factory](IContractWrapper.md#factory)
* [friendlyName](IContractWrapper.md#friendlyName)
* [name](IContractWrapper.md#name)

### Methods

* [hydrateFromAt](IContractWrapper.md#hydrateFromAt)
* [hydrateFromNew](IContractWrapper.md#hydrateFromNew)

---

## Properties

<a id="address"></a>

###  address

**● address**: *[Address](../#Address)*

*Defined in [iContractWrapperBase.ts:13](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L13)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Defined in [iContractWrapperBase.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L14)*

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](IContractWrapperFactory.md)<`any`>*

*Defined in [iContractWrapperBase.ts:10](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L10)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`*

*Defined in [iContractWrapperBase.ts:12](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L12)*

___
<a id="name"></a>

###  name

**● name**: *`string`*

*Defined in [iContractWrapperBase.ts:11](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L11)*

___

## Methods

<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<`any`>

*Defined in [iContractWrapperBase.ts:16](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L16)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| address | `string` |

**Returns:** `Promise`<`any`>

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<`any`>

*Defined in [iContractWrapperBase.ts:15](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L15)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<`any`>

___

