[API Reference](../README.md) > [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)

# Interface: IContractWrapperFactory

## Type parameters
#### TWrapper :  [IContractWrapper](IContractWrapper.md)
## Hierarchy

**IContractWrapperFactory**

## Implemented by

* [Auction4ReputationType](../classes/Auction4ReputationType.md)
* [ContractWrapperFactory](../classes/ContractWrapperFactory.md)
* [DaoCreatorFactoryType](../classes/DaoCreatorFactoryType.md)
* [DaoTokenFactoryType](../classes/DaoTokenFactoryType.md)
* [ExternalLocking4ReputationType](../classes/ExternalLocking4ReputationType.md)
* [FixedReputationAllocationType](../classes/FixedReputationAllocationType.md)
* [GenesisProtocolFactoryType](../classes/GenesisProtocolFactoryType.md)
* [IntVoteInterfaceFactoryType](../classes/IntVoteInterfaceFactoryType.md)
* [LockingEth4ReputationType](../classes/LockingEth4ReputationType.md)
* [LockingToken4ReputationType](../classes/LockingToken4ReputationType.md)
* [MintableTokenFactoryType](../classes/MintableTokenFactoryType.md)
* [RedeemerFactoryType](../classes/RedeemerFactoryType.md)
* [ReputationFactoryType](../classes/ReputationFactoryType.md)
* [StandardTokenFactoryType](../classes/StandardTokenFactoryType.md)

## Index

### Properties

* [at](IContractWrapperFactory.md#at)
* [deployed](IContractWrapperFactory.md#deployed)
* [new](IContractWrapperFactory.md#new)

### Methods

* [ensureSolidityContract](IContractWrapperFactory.md#ensureSolidityContract)

---

## Properties

<a id="at"></a>

###  at

**● at**: *`function`*

*Defined in [iContractWrapperBase.ts:50](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L50)*

#### Type declaration
▸(address: *`string`*): `Promise`<`TWrapper`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| address | `string` |

**Returns:** `Promise`<`TWrapper`>

___
<a id="deployed"></a>

###  deployed

**● deployed**: *`function`*

*Defined in [iContractWrapperBase.ts:51](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L51)*

#### Type declaration
▸(): `Promise`<`TWrapper`>

**Returns:** `Promise`<`TWrapper`>

___
<a id="new"></a>

###  new

**● new**: *`function`*

*Defined in [iContractWrapperBase.ts:49](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L49)*

#### Type declaration
▸(...rest: *`Array`<`any`>*): `Promise`<`TWrapper`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<`TWrapper`>

___

## Methods

<a id="ensureSolidityContract"></a>

###  ensureSolidityContract

▸ **ensureSolidityContract**(): `Promise`<`any`>

*Defined in [iContractWrapperBase.ts:52](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L52)*

**Returns:** `Promise`<`any`>

___

