[API Reference](../README.md) > [IIntVoteInterface](../interfaces/IIntVoteInterface.md)

# Interface: IIntVoteInterface

The Arc contract `IntVoteInterface`.

## Hierarchy

**IIntVoteInterface**

## Implemented by

* [AbsoluteVoteWrapper](../classes/AbsoluteVoteWrapper.md)
* [GenesisProtocolWrapper](../classes/GenesisProtocolWrapper.md)
* [IntVoteInterfaceWrapper](../classes/IntVoteInterfaceWrapper.md)

## Index

### Properties

* [CancelProposal](IIntVoteInterface.md#CancelProposal)
* [CancelVoting](IIntVoteInterface.md#CancelVoting)
* [ExecuteProposal](IIntVoteInterface.md#ExecuteProposal)
* [NewProposal](IIntVoteInterface.md#NewProposal)
* [VoteProposal](IIntVoteInterface.md#VoteProposal)
* [address](IIntVoteInterface.md#address)

### Methods

* [cancelProposal](IIntVoteInterface.md#cancelProposal)
* [cancelVote](IIntVoteInterface.md#cancelVote)
* [execute](IIntVoteInterface.md#execute)
* [getNumberOfChoices](IIntVoteInterface.md#getNumberOfChoices)
* [isAbstainAllow](IIntVoteInterface.md#isAbstainAllow)
* [isVotable](IIntVoteInterface.md#isVotable)
* [ownerVote](IIntVoteInterface.md#ownerVote)
* [propose](IIntVoteInterface.md#propose)
* [vote](IIntVoteInterface.md#vote)
* [voteStatus](IIntVoteInterface.md#voteStatus)
* [voteWithSpecifiedAmounts](IIntVoteInterface.md#voteWithSpecifiedAmounts)

---

## Properties

<a id="CancelProposal"></a>

###  CancelProposal

**● CancelProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[CancelProposalEventResult](CancelProposalEventResult.md)>*

*Defined in [wrappers/iIntVoteInterface.ts:12](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L12)*

___
<a id="CancelVoting"></a>

###  CancelVoting

**● CancelVoting**: *[EventFetcherFactory](../#EventFetcherFactory)<[CancelVotingEventResult](CancelVotingEventResult.md)>*

*Defined in [wrappers/iIntVoteInterface.ts:15](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L15)*

___
<a id="ExecuteProposal"></a>

###  ExecuteProposal

**● ExecuteProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[ExecuteProposalEventResult](ExecuteProposalEventResult.md)>*

*Defined in [wrappers/iIntVoteInterface.ts:13](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L13)*

___
<a id="NewProposal"></a>

###  NewProposal

**● NewProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[NewProposalEventResult](NewProposalEventResult.md)>*

*Defined in [wrappers/iIntVoteInterface.ts:11](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L11)*

___
<a id="VoteProposal"></a>

###  VoteProposal

**● VoteProposal**: *[EventFetcherFactory](../#EventFetcherFactory)<[VoteProposalEventResult](VoteProposalEventResult.md)>*

*Defined in [wrappers/iIntVoteInterface.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L14)*

___
<a id="address"></a>

###  address

**● address**: *[Address](../#Address)*

*Defined in [wrappers/iIntVoteInterface.ts:17](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L17)*

___

## Methods

<a id="cancelProposal"></a>

###  cancelProposal

▸ **cancelProposal**(options: * [ProposalIdOption](ProposalIdOption.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

*Defined in [wrappers/iIntVoteInterface.ts:20](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L20)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [ProposalIdOption](ProposalIdOption.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

___
<a id="cancelVote"></a>

###  cancelVote

▸ **cancelVote**(options: * [ProposalIdOption](ProposalIdOption.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

*Defined in [wrappers/iIntVoteInterface.ts:25](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L25)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [ProposalIdOption](ProposalIdOption.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

___
<a id="execute"></a>

###  execute

▸ **execute**(options: * [ProposalIdOption](ProposalIdOption.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

*Defined in [wrappers/iIntVoteInterface.ts:30](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L30)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [ProposalIdOption](ProposalIdOption.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

___
<a id="getNumberOfChoices"></a>

###  getNumberOfChoices

▸ **getNumberOfChoices**(options: *[ProposalIdOption](ProposalIdOption.md)*): `Promise`<`number`>

*Defined in [wrappers/iIntVoteInterface.ts:26](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L26)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options | [ProposalIdOption](ProposalIdOption.md) |

**Returns:** `Promise`<`number`>

___
<a id="isAbstainAllow"></a>

###  isAbstainAllow

▸ **isAbstainAllow**(): `Promise`<`boolean`>

*Defined in [wrappers/iIntVoteInterface.ts:29](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L29)*

**Returns:** `Promise`<`boolean`>

___
<a id="isVotable"></a>

###  isVotable

▸ **isVotable**(options: *[ProposalIdOption](ProposalIdOption.md)*): `Promise`<`boolean`>

*Defined in [wrappers/iIntVoteInterface.ts:27](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L27)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options | [ProposalIdOption](ProposalIdOption.md) |

**Returns:** `Promise`<`boolean`>

___
<a id="ownerVote"></a>

###  ownerVote

▸ **ownerVote**(options: * [OwnerVoteOptions](OwnerVoteOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

*Defined in [wrappers/iIntVoteInterface.ts:21](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L21)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [OwnerVoteOptions](OwnerVoteOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

___
<a id="propose"></a>

###  propose

▸ **propose**(options: * [ProposeOptions](ProposeOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionProposalResult](../classes/ArcTransactionProposalResult.md)>

*Defined in [wrappers/iIntVoteInterface.ts:19](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L19)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [ProposeOptions](ProposeOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionProposalResult](../classes/ArcTransactionProposalResult.md)>

___
<a id="vote"></a>

###  vote

▸ **vote**(options: * [VoteOptions](VoteOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

*Defined in [wrappers/iIntVoteInterface.ts:22](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L22)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [VoteOptions](VoteOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

___
<a id="voteStatus"></a>

###  voteStatus

▸ **voteStatus**(options: *[VoteStatusOptions](VoteStatusOptions.md)*): `Promise`<`BigNumber`>

*Defined in [wrappers/iIntVoteInterface.ts:28](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L28)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options | [VoteStatusOptions](VoteStatusOptions.md) |

**Returns:** `Promise`<`BigNumber`>

___
<a id="voteWithSpecifiedAmounts"></a>

###  voteWithSpecifiedAmounts

▸ **voteWithSpecifiedAmounts**(options: * [VoteWithSpecifiedAmountsOptions](VoteWithSpecifiedAmountsOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

*Defined in [wrappers/iIntVoteInterface.ts:23](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L23)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| options |  [VoteWithSpecifiedAmountsOptions](VoteWithSpecifiedAmountsOptions.md) & `TxGeneratingFunctionOptions`|

**Returns:** `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

___

