[API Reference](../README.md) > [IVotingMachineWrapper](../interfaces/IVotingMachineWrapper.md)

# Interface: IVotingMachineWrapper

The minimum requirements for a voting machine wrapper.

## Hierarchy

 [IContractWrapper](IContractWrapper.md)

**↳ IVotingMachineWrapper**

## Implemented by

* [AbsoluteVoteWrapper](../classes/AbsoluteVoteWrapper.md)
* [GenesisProtocolWrapper](../classes/GenesisProtocolWrapper.md)

## Index

### Properties

* [address](IVotingMachineWrapper.md#address)
* [contract](IVotingMachineWrapper.md#contract)
* [factory](IVotingMachineWrapper.md#factory)
* [friendlyName](IVotingMachineWrapper.md#friendlyName)
* [name](IVotingMachineWrapper.md#name)

### Methods

* [getParameters](IVotingMachineWrapper.md#getParameters)
* [getParametersArray](IVotingMachineWrapper.md#getParametersArray)
* [getParametersHash](IVotingMachineWrapper.md#getParametersHash)
* [hydrateFromAt](IVotingMachineWrapper.md#hydrateFromAt)
* [hydrateFromNew](IVotingMachineWrapper.md#hydrateFromNew)
* [setParameters](IVotingMachineWrapper.md#setParameters)

---

## Properties

<a id="address"></a>

###  address

**● address**: *[Address](../#Address)*

*Inherited from [IContractWrapper](IContractWrapper.md).[address](IContractWrapper.md#address)*

*Defined in [iContractWrapperBase.ts:13](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L13)*

___
<a id="contract"></a>

###  contract

**● contract**: *`any`*

*Inherited from [IContractWrapper](IContractWrapper.md).[contract](IContractWrapper.md#contract)*

*Defined in [iContractWrapperBase.ts:14](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L14)*

___
<a id="factory"></a>

###  factory

**● factory**: *[IContractWrapperFactory](IContractWrapperFactory.md)<`any`>*

*Inherited from [IContractWrapper](IContractWrapper.md).[factory](IContractWrapper.md#factory)*

*Defined in [iContractWrapperBase.ts:10](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L10)*

___
<a id="friendlyName"></a>

###  friendlyName

**● friendlyName**: *`string`*

*Inherited from [IContractWrapper](IContractWrapper.md).[friendlyName](IContractWrapper.md#friendlyName)*

*Defined in [iContractWrapperBase.ts:12](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L12)*

___
<a id="name"></a>

###  name

**● name**: *`string`*

*Inherited from [IContractWrapper](IContractWrapper.md).[name](IContractWrapper.md#name)*

*Defined in [iContractWrapperBase.ts:11](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L11)*

___

## Methods

<a id="getParameters"></a>

###  getParameters

▸ **getParameters**(paramsHash: *[Hash](../#Hash)*): `Promise`<`any`>

*Defined in [iContractWrapperBase.ts:42](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L42)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| paramsHash | [Hash](../#Hash) |

**Returns:** `Promise`<`any`>

___
<a id="getParametersArray"></a>

###  getParametersArray

▸ **getParametersArray**(paramsHash: *[Hash](../#Hash)*): `Promise`<`Array`<`any`>>

*Defined in [iContractWrapperBase.ts:45](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L45)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| paramsHash | [Hash](../#Hash) |

**Returns:** `Promise`<`Array`<`any`>>

___
<a id="getParametersHash"></a>

###  getParametersHash

▸ **getParametersHash**(params: *`any`*): `Promise`<[Hash](../#Hash)>

*Defined in [iContractWrapperBase.ts:43](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L43)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params | `any` |

**Returns:** `Promise`<[Hash](../#Hash)>

___
<a id="hydrateFromAt"></a>

###  hydrateFromAt

▸ **hydrateFromAt**(address: *`string`*): `Promise`<`any`>

*Inherited from [IContractWrapper](IContractWrapper.md).[hydrateFromAt](IContractWrapper.md#hydrateFromAt)*

*Defined in [iContractWrapperBase.ts:16](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L16)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| address | `string` |

**Returns:** `Promise`<`any`>

___
<a id="hydrateFromNew"></a>

###  hydrateFromNew

▸ **hydrateFromNew**(...rest: *`Array`<`any`>*): `Promise`<`any`>

*Inherited from [IContractWrapper](IContractWrapper.md).[hydrateFromNew](IContractWrapper.md#hydrateFromNew)*

*Defined in [iContractWrapperBase.ts:15](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L15)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<`any`>

___
<a id="setParameters"></a>

###  setParameters

▸ **setParameters**(params: *`any`*): `Promise`<[ArcTransactionDataResult](../classes/ArcTransactionDataResult.md)<[Hash](../#Hash)>>

*Defined in [iContractWrapperBase.ts:44](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L44)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| params | `any` |

**Returns:** `Promise`<[ArcTransactionDataResult](../classes/ArcTransactionDataResult.md)<[Hash](../#Hash)>>

___

