[API Reference](../README.md) > [LockTokenInitializeOptions](../interfaces/LockTokenInitializeOptions.md)

# Interface: LockTokenInitializeOptions

## Hierarchy

 [InitializeOptions](InitializeOptions.md)

**↳ LockTokenInitializeOptions**

## Index

### Properties

* [avatarAddress](LockTokenInitializeOptions.md#avatarAddress)
* [lockingEndTime](LockTokenInitializeOptions.md#lockingEndTime)
* [lockingStartTime](LockTokenInitializeOptions.md#lockingStartTime)
* [maxLockingPeriod](LockTokenInitializeOptions.md#maxLockingPeriod)
* [priceOracleContract](LockTokenInitializeOptions.md#priceOracleContract)
* [redeemEnableTime](LockTokenInitializeOptions.md#redeemEnableTime)
* [reputationReward](LockTokenInitializeOptions.md#reputationReward)

---

## Properties

<a id="avatarAddress"></a>

###  avatarAddress

**● avatarAddress**: *[Address](../#Address)*

*Inherited from [InitializeOptions](InitializeOptions.md).[avatarAddress](InitializeOptions.md#avatarAddress)*

*Defined in [wrappers/locking4Reputation.ts:402](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L402)*

___
<a id="lockingEndTime"></a>

###  lockingEndTime

**● lockingEndTime**: *`Date`*

*Inherited from [InitializeOptions](InitializeOptions.md).[lockingEndTime](InitializeOptions.md#lockingEndTime)*

*Defined in [wrappers/locking4Reputation.ts:403](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L403)*

___
<a id="lockingStartTime"></a>

###  lockingStartTime

**● lockingStartTime**: *`Date`*

*Inherited from [InitializeOptions](InitializeOptions.md).[lockingStartTime](InitializeOptions.md#lockingStartTime)*

*Defined in [wrappers/locking4Reputation.ts:404](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L404)*

___
<a id="maxLockingPeriod"></a>

###  maxLockingPeriod

**● maxLockingPeriod**: *`number`*

*Inherited from [InitializeOptions](InitializeOptions.md).[maxLockingPeriod](InitializeOptions.md#maxLockingPeriod)*

*Defined in [wrappers/locking4Reputation.ts:408](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L408)*

maximum period length in seconds

___
<a id="priceOracleContract"></a>

###  priceOracleContract

**● priceOracleContract**: *[Address](../#Address)*

*Defined in [wrappers/lockingToken4Reputation.ts:120](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/lockingToken4Reputation.ts#L120)*

___
<a id="redeemEnableTime"></a>

###  redeemEnableTime

**● redeemEnableTime**: *`Date`*

*Inherited from [InitializeOptions](InitializeOptions.md).[redeemEnableTime](InitializeOptions.md#redeemEnableTime)*

*Defined in [wrappers/locking4Reputation.ts:412](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L412)*

Reputation cannot be redeemed until after this time, even if redeeming has been enabled.

___
<a id="reputationReward"></a>

###  reputationReward

**● reputationReward**: * `BigNumber` &#124; `string`
*

*Inherited from [InitializeOptions](InitializeOptions.md).[reputationReward](InitializeOptions.md#reputationReward)*

*Defined in [wrappers/locking4Reputation.ts:413](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L413)*

___

