[API Reference](../README.md) > [NewDaoConfig](../interfaces/NewDaoConfig.md)

# Interface: NewDaoConfig

## Hierarchy

 [ForgeOrgConfig](ForgeOrgConfig.md)

 [SchemesConfig](SchemesConfig.md)

**↳ NewDaoConfig**

## Index

### Properties

* [daoCreatorAddress](NewDaoConfig.md#daoCreatorAddress)
* [founders](NewDaoConfig.md#founders)
* [name](NewDaoConfig.md#name)
* [schemes](NewDaoConfig.md#schemes)
* [tokenCap](NewDaoConfig.md#tokenCap)
* [tokenName](NewDaoConfig.md#tokenName)
* [tokenSymbol](NewDaoConfig.md#tokenSymbol)
* [universalController](NewDaoConfig.md#universalController)
* [votingMachineParams](NewDaoConfig.md#votingMachineParams)

---

## Properties

<a id="daoCreatorAddress"></a>

### `<Optional>` daoCreatorAddress

**● daoCreatorAddress**: *[Address](../#Address)*

*Defined in dao.ts:388*

Address of a DaoCreator to use. Default is the Arc DaoCreator supplied in this release of Arc.js. If given, the current Arc.js wrapper class must be compatible with Arc contract at the given address.

___
<a id="founders"></a>

### `<Optional>` founders

**● founders**: *`Array`<[FounderConfig](FounderConfig.md)>*

*Inherited from [ForgeOrgConfig](ForgeOrgConfig.md).[founders](ForgeOrgConfig.md#founders)*

*Defined in [wrappers/daoCreator.ts:571](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L571)*

Optional array describing founders. Default is \[\].

___
<a id="name"></a>

###  name

**● name**: *`string`*

*Inherited from [ForgeOrgConfig](ForgeOrgConfig.md).[name](ForgeOrgConfig.md#name)*

*Defined in [wrappers/daoCreator.ts:554](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L554)*

The name of the new DAO.

___
<a id="schemes"></a>

### `<Optional>` schemes

**● schemes**: *`Array`<[SchemeConfig](SchemeConfig.md)>*

*Inherited from [SchemesConfig](SchemesConfig.md).[schemes](SchemesConfig.md#schemes)*

*Defined in [wrappers/daoCreator.ts:641](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L641)*

Any Arc schemes you would like to automatically register with the new DAO. Non-Arc schemes are not allowed here. You may add them later in your application's workflow using SchemeRegistrar.

___
<a id="tokenCap"></a>

### `<Optional>` tokenCap

**● tokenCap**: * `BigNumber.BigNumber` &#124; `string`
*

*Inherited from [ForgeOrgConfig](ForgeOrgConfig.md).[tokenCap](ForgeOrgConfig.md#tokenCap)*

*Defined in [wrappers/daoCreator.ts:558](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L558)*

Optional cap on the number of tokens, in the DAO's token. Default is zero, which means no cap.

___
<a id="tokenName"></a>

###  tokenName

**● tokenName**: *`string`*

*Inherited from [ForgeOrgConfig](ForgeOrgConfig.md).[tokenName](ForgeOrgConfig.md#tokenName)*

*Defined in [wrappers/daoCreator.ts:562](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L562)*

The name of the token to be associated with the DAO

___
<a id="tokenSymbol"></a>

###  tokenSymbol

**● tokenSymbol**: *`string`*

*Inherited from [ForgeOrgConfig](ForgeOrgConfig.md).[tokenSymbol](ForgeOrgConfig.md#tokenSymbol)*

*Defined in [wrappers/daoCreator.ts:566](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L566)*

The symbol of the token to be associated with the DAO

___
<a id="universalController"></a>

### `<Optional>` universalController

**● universalController**: *`boolean`*

*Inherited from [ForgeOrgConfig](ForgeOrgConfig.md).[universalController](ForgeOrgConfig.md#universalController)*

*Defined in [wrappers/daoCreator.ts:576](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L576)*

true to use the UniversalController contract, false to instantiate and use a new Controller contract. The default is true.

___
<a id="votingMachineParams"></a>

### `<Optional>` votingMachineParams

**● votingMachineParams**: *[NewDaoVotingMachineConfig](NewDaoVotingMachineConfig.md)*

*Inherited from [SchemesConfig](SchemesConfig.md).[votingMachineParams](SchemesConfig.md#votingMachineParams)*

*Defined in [wrappers/daoCreator.ts:635](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L635)*

Default votingMachine parameters if you have not configured a scheme that you want to register with the new DAO with its own voting parameters.

New schemes will be created these voting machine parameters unless overrideen by the `SchemeConfig`. This is only relevant to schemes that can create proposals upon which there can be a vote. Other schemes will ignore these parameters.

Defaults are described in [NewDaoVotingMachineConfig](NewDaoVotingMachineConfig.md).

___

