[API Reference](../README.md) > [ProposalRewards](../interfaces/ProposalRewards.md)

# Interface: ProposalRewards

## Hierarchy

**ProposalRewards**

## Index

### Properties

* [ethAvailableToReward](ProposalRewards.md#ethAvailableToReward)
* [ethReward](ProposalRewards.md#ethReward)
* [ethRewardRedeemable](ProposalRewards.md#ethRewardRedeemable)
* [ethRewardUnredeemed](ProposalRewards.md#ethRewardUnredeemed)
* [externalTokenReward](ProposalRewards.md#externalTokenReward)
* [externalTokenRewardRedeemable](ProposalRewards.md#externalTokenRewardRedeemable)
* [externalTokenRewardUnredeemed](ProposalRewards.md#externalTokenRewardUnredeemed)
* [externalTokensAvailableToReward](ProposalRewards.md#externalTokensAvailableToReward)
* [nativeTokenReward](ProposalRewards.md#nativeTokenReward)
* [nativeTokenRewardRedeemable](ProposalRewards.md#nativeTokenRewardRedeemable)
* [nativeTokenRewardUnredeemed](ProposalRewards.md#nativeTokenRewardUnredeemed)
* [proposalId](ProposalRewards.md#proposalId)
* [reputationChange](ProposalRewards.md#reputationChange)
* [reputationChangeRedeemable](ProposalRewards.md#reputationChangeRedeemable)
* [reputationChangeUnredeemed](ProposalRewards.md#reputationChangeUnredeemed)

---

## Properties

<a id="ethAvailableToReward"></a>

###  ethAvailableToReward

**● ethAvailableToReward**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:604](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L604)*

The amount of ETH the DAO currently has on hand to reward.

___
<a id="ethReward"></a>

###  ethReward

**● ethReward**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:608](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L608)*

The total ETH reward

___
<a id="ethRewardRedeemable"></a>

###  ethRewardRedeemable

**● ethRewardRedeemable**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:616](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L616)*

The currently-redeemable external token reward

___
<a id="ethRewardUnredeemed"></a>

###  ethRewardUnredeemed

**● ethRewardUnredeemed**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:612](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L612)*

The total unredeemed amount of ETH

___
<a id="externalTokenReward"></a>

###  externalTokenReward

**● externalTokenReward**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:624](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L624)*

The total external token reward

___
<a id="externalTokenRewardRedeemable"></a>

###  externalTokenRewardRedeemable

**● externalTokenRewardRedeemable**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:632](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L632)*

The currently-redeemable external token reward

___
<a id="externalTokenRewardUnredeemed"></a>

###  externalTokenRewardUnredeemed

**● externalTokenRewardUnredeemed**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:628](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L628)*

The total unredeemed number of external tokens

___
<a id="externalTokensAvailableToReward"></a>

###  externalTokensAvailableToReward

**● externalTokensAvailableToReward**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:620](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L620)*

The amount of external tokens the DAO currently has on hand to reward.

___
<a id="nativeTokenReward"></a>

###  nativeTokenReward

**● nativeTokenReward**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:636](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L636)*

The total native token reward

___
<a id="nativeTokenRewardRedeemable"></a>

###  nativeTokenRewardRedeemable

**● nativeTokenRewardRedeemable**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:644](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L644)*

The currently-redeemable native token reward

___
<a id="nativeTokenRewardUnredeemed"></a>

###  nativeTokenRewardUnredeemed

**● nativeTokenRewardUnredeemed**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:640](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L640)*

The total unredeemed number of native tokens

___
<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Defined in [wrappers/contributionReward.ts:648](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L648)*

The proposal Id

___
<a id="reputationChange"></a>

###  reputationChange

**● reputationChange**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:652](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L652)*

The total reputation reward

___
<a id="reputationChangeRedeemable"></a>

###  reputationChangeRedeemable

**● reputationChangeRedeemable**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:660](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L660)*

The currently-redeemable reputation reward

___
<a id="reputationChangeUnredeemed"></a>

###  reputationChangeUnredeemed

**● reputationChangeUnredeemed**: *`BigNumber`*

*Defined in [wrappers/contributionReward.ts:656](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L656)*

The total unredeemed amount of reputation

___

