[API Reference](../README.md) > [ProposeContributionRewardParams](../interfaces/ProposeContributionRewardParams.md)

# Interface: ProposeContributionRewardParams

## Hierarchy

**ProposeContributionRewardParams**

## Index

### Properties

* [avatar](ProposeContributionRewardParams.md#avatar)
* [beneficiaryAddress](ProposeContributionRewardParams.md#beneficiaryAddress)
* [description](ProposeContributionRewardParams.md#description)
* [descriptionIsHashed](ProposeContributionRewardParams.md#descriptionIsHashed)
* [ethReward](ProposeContributionRewardParams.md#ethReward)
* [externalToken](ProposeContributionRewardParams.md#externalToken)
* [externalTokenReward](ProposeContributionRewardParams.md#externalTokenReward)
* [nativeTokenReward](ProposeContributionRewardParams.md#nativeTokenReward)
* [numberOfPeriods](ProposeContributionRewardParams.md#numberOfPeriods)
* [periodLength](ProposeContributionRewardParams.md#periodLength)
* [reputationChange](ProposeContributionRewardParams.md#reputationChange)

---

## Properties

<a id="avatar"></a>

###  avatar

**● avatar**: *[Address](../#Address)*

*Defined in [wrappers/contributionReward.ts:701](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L701)*

avatar address

___
<a id="beneficiaryAddress"></a>

###  beneficiaryAddress

**● beneficiaryAddress**: *`string`*

*Defined in [wrappers/contributionReward.ts:748](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L748)*

beneficiary address

___
<a id="description"></a>

###  description

**● description**: *`string`*

*Defined in [wrappers/contributionReward.ts:705](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L705)*

description of the constraint

___
<a id="descriptionIsHashed"></a>

### `<Optional>` descriptionIsHashed

**● descriptionIsHashed**: *`boolean`*

*Defined in [wrappers/contributionReward.ts:753](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L753)*

True if description is a hashed, false if not and in which case Arc.js will hash it. The default is false.

___
<a id="ethReward"></a>

### `<Optional>` ethReward

**● ethReward**: * `BigNumber` &#124; `string`
*

*Defined in [wrappers/contributionReward.ts:722](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L722)*

Reward per period, in ethers. Must be >= 0. In Wei. Default is 0;

___
<a id="externalToken"></a>

### `<Optional>` externalToken

**● externalToken**: *`string`*

*Defined in [wrappers/contributionReward.ts:744](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L744)*

The address of the external token (for externalTokenReward) Only required when externalTokenReward is non-zero.

___
<a id="externalTokenReward"></a>

### `<Optional>` externalTokenReward

**● externalTokenReward**: * `BigNumber` &#124; `string`
*

*Defined in [wrappers/contributionReward.ts:728](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L728)*

Reward per period in the given external token. Must be >= 0. In Wei. Default is 0;

___
<a id="nativeTokenReward"></a>

### `<Optional>` nativeTokenReward

**● nativeTokenReward**: * `BigNumber` &#124; `string`
*

*Defined in [wrappers/contributionReward.ts:716](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L716)*

Reward in tokens per period, in the DAO's native token. Must be >= 0. In Wei. Default is 0;

___
<a id="numberOfPeriods"></a>

###  numberOfPeriods

**● numberOfPeriods**: *`number`*

*Defined in [wrappers/contributionReward.ts:739](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L739)*

Maximum number of periods that can be paid out. Must be > 0.

___
<a id="periodLength"></a>

###  periodLength

**● periodLength**: *`number`*

*Defined in [wrappers/contributionReward.ts:734](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L734)*

The number of blocks in a period. Must be >= 0. If zero then the rewards will be redeemable immediately upon proposal execution.

___
<a id="reputationChange"></a>

### `<Optional>` reputationChange

**● reputationChange**: * `BigNumber` &#124; `string`
*

*Defined in [wrappers/contributionReward.ts:710](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/contributionReward.ts#L710)*

Amount of reputation change requested, per period. Can be negative. In Wei. Default is 0;

___

