[API Reference](../README.md) > [ProposeToAddModifySchemeParams](../interfaces/ProposeToAddModifySchemeParams.md)

# Interface: ProposeToAddModifySchemeParams

## Hierarchy

**ProposeToAddModifySchemeParams**

## Index

### Properties

* [avatar](ProposeToAddModifySchemeParams.md#avatar)
* [permissions](ProposeToAddModifySchemeParams.md#permissions)
* [schemeAddress](ProposeToAddModifySchemeParams.md#schemeAddress)
* [schemeName](ProposeToAddModifySchemeParams.md#schemeName)
* [schemeParametersHash](ProposeToAddModifySchemeParams.md#schemeParametersHash)

---

## Properties

<a id="avatar"></a>

###  avatar

**● avatar**: *[Address](../#Address)*

*Defined in [wrappers/schemeRegistrar.ts:312](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L312)*

avatar address

___
<a id="permissions"></a>

### `<Optional>` permissions

**● permissions**: * [SchemePermissions](../enums/SchemePermissions.md) &#124; `null`
*

*Defined in [wrappers/schemeRegistrar.ts:336](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L336)*

Optionally supply values from SchemePermissions or DefaultSchemePermissions.

This value is manditory for non-Arc schemes.

For Arc schemes the default is taken from DefaultSchemePermissions for the scheme given by schemeName.

___
<a id="schemeAddress"></a>

### `<Optional>` schemeAddress

**● schemeAddress**: *[Address](../#Address)*

*Defined in [wrappers/schemeRegistrar.ts:318](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L318)*

Optional scheme address. Supply this if you are submitting a non-Arc scheme or wish to use a different Arc scheme than the default. In the latter case, you must also supply the schemeName.

___
<a id="schemeName"></a>

### `<Optional>` schemeName

**● schemeName**: * `string` &#124; `null`
*

*Defined in [wrappers/schemeRegistrar.ts:323](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L323)*

Scheme name, like "SchemeRegistrar" or "ContributionReward". Not required if you are registering a non-arc scheme.

___
<a id="schemeParametersHash"></a>

###  schemeParametersHash

**● schemeParametersHash**: *`string`*

*Defined in [wrappers/schemeRegistrar.ts:327](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L327)*

Fash of scheme parameters. These must be already registered with the new scheme.

___

