[API Reference](../README.md) > [RedeeemableResult](../interfaces/RedeeemableResult.md)

# Interface: RedeeemableResult

## Hierarchy

**RedeeemableResult**

## Index

### Properties

* [contributionRewardEther](RedeeemableResult.md#contributionRewardEther)
* [contributionRewardExternalToken](RedeeemableResult.md#contributionRewardExternalToken)
* [contributionRewardNativeToken](RedeeemableResult.md#contributionRewardNativeToken)
* [contributionRewardReputation](RedeeemableResult.md#contributionRewardReputation)
* [daoStakingBountyPotentialReward](RedeeemableResult.md#daoStakingBountyPotentialReward)
* [daoStakingBountyReward](RedeeemableResult.md#daoStakingBountyReward)
* [proposalExecuted](RedeeemableResult.md#proposalExecuted)
* [proposalId](RedeeemableResult.md#proposalId)
* [proposerReputationAmount](RedeeemableResult.md#proposerReputationAmount)
* [stakerReputationAmount](RedeeemableResult.md#stakerReputationAmount)
* [stakerTokenAmount](RedeeemableResult.md#stakerTokenAmount)
* [voterReputationAmount](RedeeemableResult.md#voterReputationAmount)
* [voterTokenAmount](RedeeemableResult.md#voterTokenAmount)
* [winningVote](RedeeemableResult.md#winningVote)

---

## Properties

<a id="contributionRewardEther"></a>

###  contributionRewardEther

**● contributionRewardEther**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:115](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L115)*

___
<a id="contributionRewardExternalToken"></a>

###  contributionRewardExternalToken

**● contributionRewardExternalToken**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:116](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L116)*

___
<a id="contributionRewardNativeToken"></a>

###  contributionRewardNativeToken

**● contributionRewardNativeToken**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:117](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L117)*

___
<a id="contributionRewardReputation"></a>

###  contributionRewardReputation

**● contributionRewardReputation**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:118](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L118)*

___
<a id="daoStakingBountyPotentialReward"></a>

###  daoStakingBountyPotentialReward

**● daoStakingBountyPotentialReward**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:120](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L120)*

___
<a id="daoStakingBountyReward"></a>

###  daoStakingBountyReward

**● daoStakingBountyReward**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:119](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L119)*

___
<a id="proposalExecuted"></a>

###  proposalExecuted

**● proposalExecuted**: *`boolean`*

*Defined in [wrappers/redeemer.ts:121](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L121)*

___
<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Defined in [wrappers/redeemer.ts:122](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L122)*

___
<a id="proposerReputationAmount"></a>

###  proposerReputationAmount

**● proposerReputationAmount**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:123](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L123)*

___
<a id="stakerReputationAmount"></a>

###  stakerReputationAmount

**● stakerReputationAmount**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:124](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L124)*

___
<a id="stakerTokenAmount"></a>

###  stakerTokenAmount

**● stakerTokenAmount**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:125](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L125)*

___
<a id="voterReputationAmount"></a>

###  voterReputationAmount

**● voterReputationAmount**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:126](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L126)*

___
<a id="voterTokenAmount"></a>

###  voterTokenAmount

**● voterTokenAmount**: *`BigNumber`*

*Defined in [wrappers/redeemer.ts:127](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L127)*

___
<a id="winningVote"></a>

###  winningVote

**● winningVote**: *[BinaryVoteResult](../enums/BinaryVoteResult.md)*

*Defined in [wrappers/redeemer.ts:128](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/redeemer.ts#L128)*

___

