[API Reference](../README.md) > [SchemeRegistrarParams](../interfaces/SchemeRegistrarParams.md)

# Interface: SchemeRegistrarParams

## Hierarchy

 [StandardSchemeParams](StandardSchemeParams.md)

**↳ SchemeRegistrarParams**

## Index

### Properties

* [voteParametersHash](SchemeRegistrarParams.md#voteParametersHash)
* [voteRemoveParametersHash](SchemeRegistrarParams.md#voteRemoveParametersHash)
* [votingMachineAddress](SchemeRegistrarParams.md#votingMachineAddress)

---

## Properties

<a id="voteParametersHash"></a>

###  voteParametersHash

**● voteParametersHash**: *[Hash](../#Hash)*

*Inherited from [StandardSchemeParams](StandardSchemeParams.md).[voteParametersHash](StandardSchemeParams.md#voteParametersHash)*

*Defined in [iContractWrapperBase.ts:198](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L198)*

Hash of the voting machine parameters to use when voting on a proposal.

___
<a id="voteRemoveParametersHash"></a>

### `<Optional>` voteRemoveParametersHash

**● voteRemoveParametersHash**: *[Hash](../#Hash)*

*Defined in [wrappers/schemeRegistrar.ts:357](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L357)*

Optional hash of voting machine parameters to use when voting on a proposal to unregister a scheme that is being registered.

Default is the value of voteParametersHash.

___
<a id="votingMachineAddress"></a>

###  votingMachineAddress

**● votingMachineAddress**: *[Address](../#Address)*

*Inherited from [StandardSchemeParams](StandardSchemeParams.md).[votingMachineAddress](StandardSchemeParams.md#votingMachineAddress)*

*Defined in [iContractWrapperBase.ts:202](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L202)*

Address of the voting machine to use when voting on a proposal.

___

