[API Reference](../README.md) > [SetSchemesConfig](../interfaces/SetSchemesConfig.md)

# Interface: SetSchemesConfig

## Hierarchy

 [SchemesConfig](SchemesConfig.md)

 `TxGeneratingFunctionOptions`

**↳ SetSchemesConfig**

## Index

### Properties

* [avatar](SetSchemesConfig.md#avatar)
* [schemes](SetSchemesConfig.md#schemes)
* [txEventContext](SetSchemesConfig.md#txEventContext)
* [votingMachineParams](SetSchemesConfig.md#votingMachineParams)

---

## Properties

<a id="avatar"></a>

###  avatar

**● avatar**: *[Address](../#Address)*

*Defined in [wrappers/daoCreator.ts:648](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L648)*

avatar address

___
<a id="schemes"></a>

### `<Optional>` schemes

**● schemes**: *`Array`<[SchemeConfig](SchemeConfig.md)>*

*Inherited from [SchemesConfig](SchemesConfig.md).[schemes](SchemesConfig.md#schemes)*

*Defined in [wrappers/daoCreator.ts:641](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L641)*

Any Arc schemes you would like to automatically register with the new DAO. Non-Arc schemes are not allowed here. You may add them later in your application's workflow using SchemeRegistrar.

___
<a id="txEventContext"></a>

### `<Optional>` txEventContext

**● txEventContext**: *`TxEventContext`*

*Inherited from TxGeneratingFunctionOptions.txEventContext*

*Defined in [transactionService.ts:675](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L675)*

___
<a id="votingMachineParams"></a>

### `<Optional>` votingMachineParams

**● votingMachineParams**: *[NewDaoVotingMachineConfig](NewDaoVotingMachineConfig.md)*

*Inherited from [SchemesConfig](SchemesConfig.md).[votingMachineParams](SchemesConfig.md#votingMachineParams)*

*Defined in [wrappers/daoCreator.ts:635](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L635)*

Default votingMachine parameters if you have not configured a scheme that you want to register with the new DAO with its own voting parameters.

New schemes will be created these voting machine parameters unless overrideen by the `SchemeConfig`. This is only relevant to schemes that can create proposals upon which there can be a vote. Other schemes will ignore these parameters.

Defaults are described in [NewDaoVotingMachineConfig](NewDaoVotingMachineConfig.md).

___

