[API Reference](../README.md) > [StandardSchemeParams](../interfaces/StandardSchemeParams.md)

# Interface: StandardSchemeParams

Common scheme parameters for schemes that are able to create proposals.

## Hierarchy

**StandardSchemeParams**

↳  [ContributionRewardParams](ContributionRewardParams.md)

↳  [ContributionRewardParamsReturn](ContributionRewardParamsReturn.md)

↳  [SchemeRegistrarParams](SchemeRegistrarParams.md)

## Index

### Properties

* [voteParametersHash](StandardSchemeParams.md#voteParametersHash)
* [votingMachineAddress](StandardSchemeParams.md#votingMachineAddress)

---

## Properties

<a id="voteParametersHash"></a>

###  voteParametersHash

**● voteParametersHash**: *[Hash](../#Hash)*

*Defined in [iContractWrapperBase.ts:198](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L198)*

Hash of the voting machine parameters to use when voting on a proposal.

___
<a id="votingMachineAddress"></a>

###  votingMachineAddress

**● votingMachineAddress**: *[Address](../#Address)*

*Defined in [iContractWrapperBase.ts:202](https://github.com/daostack/arc.js/blob/6f704389/lib/iContractWrapperBase.ts#L202)*

Address of the voting machine to use when voting on a proposal.

___

