[API Reference](../README.md) > [StandardTokenApproveOptions](../interfaces/StandardTokenApproveOptions.md)

# Interface: StandardTokenApproveOptions

## Hierarchy

**StandardTokenApproveOptions**

↳  [ApproveAndCallOptions](ApproveAndCallOptions.md)

## Index

### Properties

* [amount](StandardTokenApproveOptions.md#amount)
* [owner](StandardTokenApproveOptions.md#owner)
* [spender](StandardTokenApproveOptions.md#spender)

---

## Properties

<a id="amount"></a>

###  amount

**● amount**: * `BigNumber` &#124; `string`
*

*Defined in [wrappers/standardToken.ts:237](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L237)*

Amount to approve to transfer.

___
<a id="owner"></a>

### `<Optional>` owner

**● owner**: *[Address](../#Address)*

*Defined in [wrappers/standardToken.ts:242](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L242)*

The account that has the tokens to spend. Default is msg.sender.

___
<a id="spender"></a>

###  spender

**● spender**: *[Address](../#Address)*

*Defined in [wrappers/standardToken.ts:247](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L247)*

The account that will initiate the transfer of tokens on behalf of the owner.

___

