[API Reference](../README.md) > [ThresholdSchemeInfo](../interfaces/ThresholdSchemeInfo.md)

# Interface: ThresholdSchemeInfo

Input to `GenesisProtocolWrapper.getThresholdForSchemeAndCreator`. Provides info about a proposal-creating scheme that is generating proposals using GenesisProtocol.

## Hierarchy

**ThresholdSchemeInfo**

## Index

### Properties

* [address](ThresholdSchemeInfo.md#address)

### Methods

* [getSchemeParameters](ThresholdSchemeInfo.md#getSchemeParameters)

---

## Properties

<a id="address"></a>

###  address

**● address**: *[Address](../#Address)*

*Defined in [wrappers/genesisProtocol.ts:1502](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1502)*

address of the scheme

___

## Methods

<a id="getSchemeParameters"></a>

###  getSchemeParameters

▸ **getSchemeParameters**(avatarAddress: *[Address](../#Address)*): `Promise`<[StandardSchemeParams](StandardSchemeParams.md)>

*Defined in [wrappers/genesisProtocol.ts:1508](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1508)*

Returns promise of a `StandardSchemeParams` as the referenced scheme's parameters, as registered with the given avatar address.

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address) |   |

**Returns:** `Promise`<[StandardSchemeParams](StandardSchemeParams.md)>

___

