[API Reference](../README.md) > [TransactionReceiptsEventInfo](../interfaces/TransactionReceiptsEventInfo.md)

# Interface: TransactionReceiptsEventInfo

Information supplied to the event callback when the event is published. Otherwise known as the "payload".

## Hierarchy

**TransactionReceiptsEventInfo**

## Index

### Properties

* [error](TransactionReceiptsEventInfo.md#error)
* [functionName](TransactionReceiptsEventInfo.md#functionName)
* [invocationKey](TransactionReceiptsEventInfo.md#invocationKey)
* [options](TransactionReceiptsEventInfo.md#options)
* [tx](TransactionReceiptsEventInfo.md#tx)
* [txCount](TransactionReceiptsEventInfo.md#txCount)
* [txReceipt](TransactionReceiptsEventInfo.md#txReceipt)
* [txStage](TransactionReceiptsEventInfo.md#txStage)

---

## Properties

<a id="error"></a>

### `<Optional>` error

**● error**: *`Error`*

*Defined in [transactionService.ts:646](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L646)*

Error when a failure has occured. Supplied by the ".failed" events.

___
<a id="functionName"></a>

###  functionName

**● functionName**: *`string`*

*Defined in [transactionService.ts:623](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L623)*

The name of the function that is generating the transactions and these events.

___
<a id="invocationKey"></a>

###  invocationKey

**● invocationKey**: *`number`*

*Defined in [transactionService.ts:614](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L614)*

A value that is unique to the invocation of the function that is generating the transaction. It is useful for grouping events by a single function invocation.

___
<a id="options"></a>

### `<Optional>` options

**● options**: *`any`*

*Defined in [transactionService.ts:619](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L619)*

The options that were passed to the function that is generating the transaction, if any. In most cases this will have default values filled in.

___
<a id="tx"></a>

###  tx

**● tx**: * [Hash](../#Hash) &#124; `null`
*

*Defined in [transactionService.ts:629](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L629)*

The transaction hash id. Note that the transaction may not necessarily have completed successfully in the case of errors or rejection. Will be null in `kickoff` events.

___
<a id="txCount"></a>

###  txCount

**● txCount**: *`number`*

*Defined in [transactionService.ts:638](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L638)*

The total expected number of transactions.

___
<a id="txReceipt"></a>

###  txReceipt

**● txReceipt**: * [TransactionReceiptTruffle](TransactionReceiptTruffle.md) &#124; `null`
*

*Defined in [transactionService.ts:634](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L634)*

The `TransactionReceiptTruffle` once the transaction has been mined. Will be null in `kickoff` and `sent` events.

___
<a id="txStage"></a>

###  txStage

**● txStage**: *[TransactionStage](../enums/TransactionStage.md)*

*Defined in [transactionService.ts:642](https://github.com/daostack/arc.js/blob/6f704389/lib/transactionService.ts#L642)*

Stage of the transaction. Can be `kickoff`, `sent`, `mined` or `confirmed`.

___

