[API Reference](../README.md) > [TruffleContract](../interfaces/TruffleContract.md)

# Interface: TruffleContract

## Hierarchy

**TruffleContract**

## Index

### Properties

* [at](TruffleContract.md#at)
* [deployed](TruffleContract.md#deployed)
* [new](TruffleContract.md#new)

---

## Properties

<a id="at"></a>

###  at

**● at**: *`function`*

*Defined in [commonTypes.ts:74](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L74)*

Returns a promise of an existing instance of the contract. Note that the so-called promise returned by Truffle only supplies a 'then' function, You have to call 'then' to get the real promise.

#### Type declaration
▸(address: *`string`*): `Promise`<`any`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| address | `string` |

**Returns:** `Promise`<`any`>

___
<a id="deployed"></a>

###  deployed

**● deployed**: *`function`*

*Defined in [commonTypes.ts:80](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L80)*

Returns a promise of the deployed instance of the contract. Note that the so-called promise returned by Truffle only supplies a 'then' function, You have to call 'then' to get the real promise.

#### Type declaration
▸(): `Promise`<`any`>

**Returns:** `Promise`<`any`>

___
<a id="new"></a>

###  new

**● new**: *`function`*

*Defined in [commonTypes.ts:68](https://github.com/daostack/arc.js/blob/6f704389/lib/commonTypes.ts#L68)*

Migrate a new instance of the contract. Returns promise of being migrated. Note that the so-called promise returned by Truffle only supplies a 'then' function, You have to call 'then' to get the real promise.

#### Type declaration
▸(...rest: *`Array`<`any`>*): `Promise`<`any`>

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Rest` rest | `Array`<`any`> |

**Returns:** `Promise`<`any`>

___

